-- DUMP EVENT
function DumpEvent(foo)
   LuaDebugString("Event "..foo.id);
   LuaDebugString(". type "..GetType(foo.id));
   LuaDebugString(". name "..GetName(foo.id));
   LuaDebugString(". duration "..GetDuration(foo.id));
   LuaDebugString(". lastUpdate "..GetLastUpdate(foo.id));
   LuaDebugString(". updateTime "..GetUpdateTime(foo.id));
   LuaDebugString(". callCount "..GetCallCount(foo.id));
   
   if 	GetBeginCalled(foo.id) == true then LuaDebugString(". beginCalled true");
   else LuaDebugString(". beginCalled false");
   end
   
   if 	GetEndCalled(foo.id) == true then LuaDebugString(". endCalled true");
   else LuaDebugString(". endCalled false");
   end
end -- function DumpEvent

-- INIT
function InitEvent(foo)
   if foo then
      if foo.typ and foo.id then
        if GotEvent(foo.id) == false then 
			LuaDebugString("Create Event ["..foo.id.."]");
			CreateEvent(foo.id, foo.typ); 
		else
			LuaDebugString("ReCreate Event ["..foo.id.."]");		
		end;
        if foo.name then  SetName(foo.id, foo.name); end;
        if foo.duration then SetDuration(foo.id, foo.duration); end;
        if foo.lastUpdate then SetLastUpdate(foo.id, foo.lastUpdate); end;
        if foo.update then SetUpdateTime(foo.id, foo.update); end;
        if foo.beginCalled then SetBeginCalled(foo.id, foo.beginCalled); end;
        if foo.endCalled then SetEndCalled(foo.id, foo.endCalled); end;
      end  -- if foo.*
   end   -- if foo
end   -- function InitEvent

-- PRINT SOME KIND OF DATA TO SAVE STREAM
function PrintValue(data, index, table, tableName)
  local ____indexA = "";   local ____indexB = "";
  local ____valueA = "";   local ____valueB = "";
  local ____value = "";
  if type(index) == "number" then       ____indexA = "[";     ____indexB = "]";
  elseif type(index) == "string" then   ____indexA = "[\"";  ____indexB = "\"]";
  end;
  
  if type(data) == "string" then 
    ____valueA = "\""; ____valueB = ____valueA; 
  end;
  
  if type(data) == "boolean" then 
    if data == true then ____value = "true" else ____value = "false" end;
  else  ____value = data;
  end;

  if index == "name" or 
    index == "duration" or
    index == "id" or 
    index == "typ" or
    index == "update" then return; 
  end;
  if tableName == "math" then return; end;
  if tableName == "_G" then
    if index == "_VERSION" then return; end;
    ____indexA = ""; tableName = ""; ____indexB = "";
  end;

  if type(____value) == "string" or type(____value) == "number" then
    Save_Add( tableName..____indexA..index..____indexB.." = "..____valueA..____value..____valueA..";");
  end;
end;

-- PARSE TABLE TO SAVE
function ParseTable(table, tableName)
  for i in table do
    PrintValue(table[i], i, table, tableName);
  end;
end;

-- SAVE SCRIPT VALUES
function Save()
  EnableDebug(false);
  Save_Clear();
  for i in _G do
    if type(i) == "string" then
      if type(_G[i]) == "table" then 
         ParseTable(_G[i], i);
      end;
    end;
  end;
  Save_Finished();
  EnableDebug(true);
end;

-- INIT FUNCTIONS

-- Verschickt Emails, wenn der Schwierigkeitsgrad auf einfach gesetzt wurde
function TriggerHelpMail(mailID)
	if GetTutorial() == true then
		CreateEmail(mailID,-1);
	end
end


-- speichert ActivityLevels aller Ambient-Themes in Array dumpen (true) oder gespeicherte Levels resetten (false)
function DumpThemeActivityLevels(dump)
	if dump == true then
		for i in allThemeActivityLevels do
			allThemeActivityLevels[i] = GetThemeActivityLevel(i-1);
		end
	else
		for i in allThemeActivityLevels do
			 SetThemeActivityLevel(i-1, allThemeActivityLevels[i]);
		end
	end
end

-- berechnet die Dauer von PromiEvents in Wochen
function SetPromiDuration(eventID, min, max)
	local newduration = math.random(min,max)*7;
	SetDuration(eventID, newduration);
end

-- Funktion fr Streiks bei Gegnern (anschalten/auschalten)
function OpponentStrike(action,whichStrike)
	-- 0 = Senderangestellte
	-- 1 = Moderatoren
	-- 2 = Produktionsleiter
	if whichStrike == 0 then
		opponentstrike = {2401,2402,2403};
	elseif whichStrike == 1 then
		opponentstrike = {2411,2412,2413};
	elseif whichStrike == 2 then
		opponentstrike = {2421,2422,2423};
	end
	if action == true then
		for o=1,3,1 do
			if math.random(3)== 3 then				--@TWEAK: Wahrscheinlichkeit fr Streiks
				SetAmbient(opponentstrike[o],true) 	--Ambient Streik beim Gegner "o" aktivieren
				EnableChannel(o, false);
			end
		end
	else 
		for o=1,3,1 do
			SetAmbient(opponentstrike[o],false) 	--Ambient Streik beim Gegner "o" deaktivieren
			EnableChannel(o, true);
		end
	end
end

-- Ermittelt, inwiefern Gewerkschaften ihre 2. Forderung modulieren
function GetDemandAlterator()	
	local z = math.random(10);
	if z<6 then
		return(0);
	elseif z>8 then
		return(math.random(2));
	else
		return(-1*math.random(2));
	end
end


-- Ermittelt die Dauer eines Streiks bzw. eines jeden beliebigen Events
-- 3, 5 oder 7 Tage
function GetStrikeDuration(eventID)
	local t = math.random(3)
	if t==1 then
		SetDuration(eventID,3);
	elseif t==2 then
		SetDuration(eventID,5);
	else
		SetDuration(eventID,7);
	end
end


-- Verteilt eine Menge an Bubbles an einen bestimmten Personenkreis
function BubbleSpam(who, bubbles)
    --[[
		who == 1 Alle Sender NPC
		who == 2 Alle Labertaschen (Empfangsdame, Archivar, Azubine...)
		who == 3 Alle NPC (fr Feiertage)
	]]
	if who == 1 then
		persons = { 1, 2, 3, 4, 15, 26};											
	elseif who == 2 then
		persons = { 2, 4, 24};														
	elseif who == 3 then
		persons = { 0, 1, 3, 8, 9, 10, 11, 12, 13, 15, 16, 17, 18, 19, 25, 26 };
	end
	bubbles = MixArray(bubbles);
	for i in persons do
		SetBubble(persons[i],bubbles[math.random(table.getn(bubbles))]);
	end
end



-- Verwrfelt die Felder eines Arrays
function MixArray(foo)
	if foo == nil then
		return;
	end
    if type(foo) == "table" then
		local size = table.getn(foo);
		local loops = math.ceil(size / 2);
        for i = 0, loops, 1 do
			a = math.random(1, size);
            b = math.random(1, size);
			swapTemp = rawget(foo, a);
			rawset(foo, a, rawget(foo, b));
			rawset(foo, b, swapTemp);
        end
		return(foo);
	else 
		LuaDebugString("Error in MixArray - type is "..type(foo));
	end
end

-- vereint die beiden NPC status funktionen
function NPCactive(npcID, flag)
	EnableRoom(npcID, flag);
	EnableNPC(npcID, flag);
end


--Sonderbericht Calling Funktionen
--Hauptfunktion zum SB Aufruf (wird von Event 3000 aufgerufen und ermittelt "sbEvent")
	function SBCallerMain()
		random = math.random(10);
		if random == 10 and PKstat == 1 then				-- Panzerknacker Reihe wird gestartet
			SBCallerPK();
		elseif PKnext <= 1 and PKended == false then		-- Panzerknacker Reihe wird fortgesetzt
			SBCallerPK();
		elseif random > 9 then								-- Seltenen SB triggern
			SBCallerRare();
		elseif random > 6 then								-- Einzelnen SB triggern
			SBCallerSingle();
		elseif IsEventRunning(1050) == true and math.random(10) > 5 then		-- Sommer SB triggern
			SBCallerSummer();
		else
			SBCallerRepeat();								-- Wiederholbaren SB triggern
		end
		if PKended == false then
			PKnext = PKnext - 1;							--	Bei PKnext auf 1 wird als naechstes ein Panzerknacker SB gestartet
		end
	end
	
	-- Seltene SBs
		function SBCallerRare()
			sbEvent = sbRare[rareCounter];
			rareCounter = rareCounter + 1;
			if rareCounter > table.getn(sbRare) then
				sbRare = MixArray(sbRare);
				rareCounter = 1;
			end
		end
	
	-- Einmalige SBs
		function SBCallerSingle()
			sbEvent = sbSingle[singleCounter];
			singleCounter = singleCounter + 1;
			if singleCounter > table.getn(sbSingle) then	-- Die einfachen Events werden wiederholt, wenn jedes eimal vorgekommen ist		
				sbSingle = MixArray(sbSingle);
				singleCounter = 1;
			end
		end
	
	-- wiederholbare SBs
		function SBCallerRepeat()
			breaker = 0;
			while sbRepeat[1] == lastsb or breaker == 100 do			-- Verhindert, dass ein SB zweimal hintereinander luft
				sbRepeat = MixArray(sbRepeat);
				breaker = breaker + 1;
			end
			sbEvent = sbRepeat[1];
			lastsb = sbRepeat[1];
		end
		
	-- Panzerknacker SBs
		function SBCallerPK()
			PKnext = math.random(1,2);						-- Fr SBCallerMain, der nchste,- bis bernchste SB wird ein PK-SB
			if PKbreakout == true then						-- Panzerknacker brechen aus
				sbEvent = 3215;				
				PKbreakout = false;
			elseif PKstat == 1 then
				sbEvent = 3190;								-- Erster Einbruch der Panzerknacker
			elseif PKstat == 2 then
				sbEvent = 3195;								-- Zweiter Einbruch der Panzerknacker
			elseif PKstat == 3 then
				sbEvent = 3200;								-- Dritter Einbruch der Panzerknacker
			elseif PKstat > 3 then
				if (PKstat-3) > table.getn(PKevents) then
					CallEvent(3210);
					PKended = true;
				else
					if PKevents[PKstat-3] == 3205 then
						sbEvent = PKevents[PKstat-3];
						PKbreakout = true;					-- nchstes PK Event wird der Ausbruch
						PKnext = math.random(4,8);			-- Bewirkt, dass die Panzerknacker frhestens nach vier bis acht anderen SBs ausbrechen
					else
						sbEvent = PKevents[PKstat-3];
					end
				end
			end
			PKstat = PKstat + 1;
		end

	-- Sommer SBs
		function SBCallerSummer()
			if math.random(2) == 1 then
				sbEvent = 3125;			-- Algen
			else
				sbEvent = 3050;			-- Stechmuecken
			end
			SetEndCalled(1050,true);
		end



-- INIT SCRIPT
function Init()
--Fr das CrisisWeather Event (4997)
	weatherState = 0;
--Scriptversionsnummer setzen
	SetScriptVersion(119);
--Temporre all-purpose Variable
	basicTemp = 0;
--fr Auftrag 1120 (grossen Film produzieren)
	bigFilmID = 0;
--fr Promi Events
	promiEventID = -1;
	allskills = {0, 1, 2, 3, 4, 5, 6};
--fr Grundstckspreise
	landPrice = (100);
--Array mit den Levels der Ambient Themes
	allThemeActivityLevels = {};
	for i = 1,22,1 do
		allThemeActivityLevels[i] = -1;
	end
--Fr Event 1215f
	pomagID = -1;
	politikMagCanceled = 0;
	politikMagCanceledID = -1;
--Fr Event 1306
	wirtschaftsMagID = -1;
	wirtschaftsMag = 0;
--G&B Events
	allGBEvents = { Event2201, Event2210, Event2213, Event2260, Event2265 }    --Alle G&B Events eintragen!!!
--Regelmaessige Terminplaner-Eintr�e setzen:
	for n=1045, 1059, 1 do 
		AddCalendarEntry(n,-1,-1);		--Feiertage, Ferien
	end
	for n=1,48,1 do
		AddCalendarEntry(n,-1,-1);		--Programmabgabe, Cheftermine
	end
-- Zufallsberechnungsgrundlage initialisieren
	math.randomseed(os.time ());
	math.random(); math.random(); math.random()
-- Variablendeklaration
	tempValentin = false;
	-- Emailtippflags
		helpMailLive = true;
		helpMailSB = true;
		helpMailLaura = true;
		helpMailAuction = true;
	-- Streiks
		-- Script/Engine kommunikation
			salaryraised = false;			-- Rckmeldung an das Script, wen nder Spieler die Lohnforderungen akzeptiert hat
			moderatoren = false;			-- welche gruppe ist betroffen
			produzenten = false;			-- welche gruppe ist betroffen
			angestellte = false;			-- welche gruppe ist betroffen
			erhoehung = 0;					-- fr die Forderung in Prozent
		-- nur frs Script
			strikeduration = {3,5,7};
			strikeodds = 15;
	-- Status-Array der 25 verschiedenen w�hentlichen Intendantenauftr�e
		quest = {};
		for i=1,25,1 do
			quest[i] = false
		end
	-- Belohnungsfaktor fr die w�hentlichen Intendantenauftr�e in Event 7999
		reward = 0;
	-- Faction durch Auftr�e
		BossFactionStory = {0.3, -0.4};
		BossFactionQuest = {0.2, -0.3};
		NPCFactionStory  = {0.2, -0.3};
	-- Standard-Sprechblasenarray resetten
		sprechblasen = {};
	-- Indikator fr aktive Groevents
		bigEventRunning = false;
	-- fr Sonderberichtscaller
		sbEnabled = false;					-- wird von 999 auf true gesetzt & ist bedingung fr 3000 um zu laufen
		sbEvent = -1;
		rareCounter = 1;
		singleCounter = 1;
		lastsb = 1;
		sbRare = {3010, 3130, 3130, 3160, 3240};
		sbRepeat = {3040, 3075, 3080, 3085, 3100, 3105, 3145, 3170, 3175, 3180};
		sbSingle = {3005, 3015, 3035, 3045, 3055, 3060, 3065, 3070, 3090, 3095, 3110, 3135, 3150, 3155};
	-- Arrays fr wiederholbare SB mit wechselndem Content
		sbDemoCounter = 1;
		sbPopstarCounter = 1;
		sbPolitikerCounter = 1;
		sbUnfallABCounter = 1;
		sbKuenstlerCounter = 1;
		sbDiskussionCounter = 1; 
		sbUnfallCounter = 1;
		sbFeuerCounter = 1;
		sbGraffitiCounter = 1;
		sbBaupfuschCounter = 1;
		sbUmweltCounter = 1;
		sbDemo = { 3040, 3041, 3042, 3043 };
		sbPopstar = { 3075, 3076, 3077, 3078 };
		sbPolitiker = { 3080, 3081, 3082, 3083 };
		sbKuenstler = { 3085, 3086, 3087, 3088 };
		sbDiskussion = {3025, 3026, 3027, 3028, 3029, 3030, 3031, 3032};
		sbUnfall = {3170, 3171, 3172, 3173 };
		sbUnfallAB = {3175, 3176, 3177, 3178 };
		sbFeuer = {3180, 3181, 3182 };
		sbGraffiti = {3145, 3146, 3147, 3148 };
		sbUmwelt = {3100, 3101, 3102, 3103 };
		sbBaupfusch = {3105, 3106, 3107, 3108 };
	-- fuer Panzerknacker Sonderberichtsreihe
		sbPKcount = 1;
		PKended = false;
		PKnext = 99;														
		PKstat = 1;
		PKbreakout = false;
		PKevents = {3205, 3220, 3220, 3220, 3225, 3230, 3235};				-- Der Einbruch in einen Privathaushalt (3220) ist wiederholbar
end


-- TESTING

--Testfunktion: Prft, ob bergebenes Event laeuft und berweist dem Spieler bei Erfolg 5 Credits
function Verify(ereignis)
	if IsEventRunning(ereignis) == true then
		AddCash(5,4);														-- Geldbetrag wird als "Zuschu� in der Bilanz gefhrt
	end
end

-- Ruft Anti-GameOver Event auf
function NoGameOver()
    CallEvent(995)
end



-- Anti Gameoverevent
Event995 = {id=995; duration=9999; update=1; typ=-1; name="NoGameOver";}

function Event995:OnTrigger()
end

function Event995:OnBegin()
end

function Event995:OnUpdate()
        AddFaction(0,4);
        mymoney=GetCash();
        if mymoney<=0 then
            AddCash(1000000-mymoney,4);
        end
end

function Event995:OnEnd()
end

InitEvent(Event995);

--[[
Event 22
Decription: Sonderberichtsverwaltungs/Trigger - Event
]]

Event22 = {id=22; duration=9999; update=1; typ=-1; name="Sonderberichtsverwaltungs/Trigger"}

function Event22:OnTrigger()
end

function Event22:OnBegin()
	SBCallerMain();
	CallEvent(sbEvent);	
end

function Event22:OnUpdate()
end

function Event22:OnEnd()

end

InitEvent(Event22);

function SBTesting()
	NoGameOver();
	SetEndCalled(999,true);
	CallEvent(22);
end

--[[
Event 666
Test some basic functions
]]
Event666 = {id=666; duration=3; update=1; typ=-1; testValue=10; name="Test event"}
function Event666:OnTrigger()
  LuaDebugString("Event666:OnTrigger()");
end

function Event666:OnBegin()
  LuaDebugString("Event666:OnBegin()");
end

function Event666:OnUpdate()
  LuaDebugString("Event666:OnUpdate() val = "..self.testValue);
  self.testValue = self.testValue -1;
  if self.testValue <= 0 then
    LuaDebugString("Event666:OnUpdate() SetEndCalled(666,true); ");
    SetEndCalled(666,true);
    LuaDebugString("Event666:OnUpdate() SetEndCalled(666,true) finished; ");
  end
end

function Event666:OnEnd()
  LuaDebugString("Event666:OnEnd()");
end

InitEvent(Event666);
--]] TESTING


--[[
Event 997
Decription: Emailtipps Abspielgertdingsievent
]]
Event997 = {id=997; duration=30; update=1; typ=-1; name="Emailtipps"}

function Event997:OnTrigger()
end

function Event997:OnBegin()
	TriggerHelpMail(7700);
	helpMailCounter = 7701;
end

function Event997:OnUpdate()
	TriggerHelpMail(helpMailCounter);
	helpMailCounter = helpMailCounter + 1;
	if helpMailCounter == 7718 then
		SetEndCalled(997,true);
	end
end

function Event997:OnEnd()
end

InitEvent(Event997);

--[[
Event 999
Decription: Erste Begr?ngen triggern (siehe NPC.xls fr ID-Schlssel) und Arrays verwrfeln)
			+ Im Update wchentlich berwachen, ob Sendergebude stufe II erreicht wurde (fr Sonderberichte und Event 1110)
			+ Ausbauten verbeiten, gebude deaktivieren
]]
Event999 = {id=999; duration=999; update=7; typ=-1; name="first greetings"}

function Event999:OnTrigger()
end

function Event999:OnBegin()
	if GetFaction(0) <= 0.5 then					-- Intendant, abh?gig vom Schwierigkeitsgrad (Fame)
		gameLevel = 0.75;							-- schwer
	elseif GetFaction(0) <= 1.5 then
		SetBubble(0,9399);							-- normal
		gameLevel = 0.9;
	else
		SetBubble(0,9400);							-- leicht
		gameLevel = 1;
	end
	SetBubble(1,9401);
	SetBubble(2,9402);
	SetBubble(8,9403);
	SetBubble(9,9404);
	SetBubble(10,9405);
	SetBubble(16,9407);
	SetBubble(17,9408);
	SetBubble(18,9409);
	sbDemo 			= MixArray(sbDemo);
	sbPopstar 		= MixArray(sbPopstar);
	sbPolitiker 	= MixArray(sbPolitiker);
	sbKuenstler 	= MixArray(sbKuenstler);
	sbDiskussion 	= MixArray(sbDiskussion);
	sbUnfall 		= MixArray(sbUnfall);
	sbUnfallAB 		= MixArray(sbUnfallAB);
	sbFeuer 		= MixArray(sbFeuer);
	sbGraffiti 		= MixArray(sbGraffiti);
	sbUmwelt 		= MixArray(sbUmwelt);
	sbBaupfusch 	= MixArray(sbBaupfusch);
	PKevents 		= MixArray(PKevents);
	sbRare 			= MixArray(sbRare);
	sbRepeat 		= MixArray(sbRepeat);
	sbSingle 		= MixArray(sbSingle);
-- BGM und Bankdirektor wegschalten
	NPCactive(10, false);
	NPCactive(11, false);
-- Nichte des BGM auf Off setzen
	SelectPerson(1117);
	PersonOff();
-- Verbesserte Marktforschung deaktivieren
	--EnableAdvancedMarketScience(false); 
-- Diverse Ausbauten Verbieten (werden dann von Intendantenauftr�en freigeschaltet)
	SetNewStudioLevelAllowed(7, false); --> -Wagen Garage
	SetNewStudioLevelAllowed(5, false); --> Nachrichtenzentrale
	SetMaxLicenceLevel(0);
-- Anfangsarchiv vom Spieler bestimmen (fr Event 1120)
	bigMovieArchive = 15 + GetProducedMovies(0);
end

function Event999:OnUpdate()
	if (GetBuildingLevel(0,5) >= 0) then				-- wenn Nachrichtenzentrale errichtet wird gibts SBs
		sbEnabled = true;
		SetDuration(999,4);								-- ein bis zwei Wochen spter erfolgt der Auftrag "-Wagen Garage" bauen
		SetUpdateTime(999,999);
	end
end

function Event999:OnEnd()
	CallEvent(1110);
end

InitEvent(Event999);



--[[
Event 1000
Description: Weihnachten - ver�dert Quote und setzt Begr�ngssprechblasen
]]
Event1000 = {id=1000; duration=2; update=-1; typ=-1; name="Weihnachten"}
function Event1000:OnTrigger()
end

function Event1000:OnBegin()
	AddChannel5(-15);
	sprechblasen = {1001, 1002};
	BubbleSpam(3, sprechblasen);
	sprechblasen = {1000, 1001, 1002, 1003, 1004};
	BubbleSpam(2, sprechblasen);
	SetHoliday(1);
end

function Event1000:OnUpdate()
end

function Event1000:OnEnd()
	ResetChannel5();
    ResetHoliday();
end

InitEvent(Event1000);



--[[
Event 1005
Description: Silvester - ver�dert Quote und setzt Begr�ngssprechblasen
]]
Event1005 = {id=1005; duration=1; update=-1; typ=-1; name="Silvester"}

function Event1005:OnTrigger()
end

function Event1005:OnBegin()
	AddChannel5(-10);
	sprechblasen = {1008, 1009};
	BubbleSpam(3, sprechblasen);
	sprechblasen = {1005, 1006, 1007, 1008, 1009};
	BubbleSpam(2, sprechblasen);
	SetHoliday(3);
end

function Event1005:OnUpdate()
end

function Event1005:OnEnd()
	ResetChannel5();
	ResetHoliday();
end

InitEvent(Event1005);


--[[
Event 1010
Description: Neujahrstag - ver�dert Quote und setzt Begr�ngssprechblasen
]]
Event1010 = {id=1010; duration=1; update=-1; typ=-1; name="Neujahrstag"}

function Event1010:OnTrigger()
end

function Event1010:OnBegin()
	AddChannel5(-10);
	sprechblasen = {1010, 1011, 1012, 1013, 1014};
	BubbleSpam(2, sprechblasen);
	sprechblasen = {1010, 1012, 1013, 1014};
	BubbleSpam(3, sprechblasen);
	SetHoliday(2);
end

function Event1010:OnUpdate()
end

function Event1010:OnEnd()
	ResetChannel5();
	ResetHoliday();
end

InitEvent(Event1010);

--[[
Event 1015
Description: Ostern - ver�dert Quote und setzt Begr�ngssprechblasen
]]
Event1015 = {id=1015; duration=4; update=-1; typ=-1; name="Ostern"}

function Event1015:OnTrigger()
end

function Event1015:OnBegin()
	AddChannel5(-5);
	sprechblasen = {1016, 1017};
	BubbleSpam(3, sprechblasen);
	sprechblasen = {1015, 1016, 1017, 1018, 1019};
	BubbleSpam(2, sprechblasen);
	SetHoliday(4);
end

function Event1015:OnUpdate()
end

function Event1015:OnEnd()
	ResetChannel5();
	ResetHoliday();
end

InitEvent(Event1015);

--[[
Event 1020
Description: Fasching - ver�dert Quote und setzt Begr�ngssprechblasen
]]
Event1020 = {id=1020; duration=2; update=1; typ=-1; name="Fasching"}

function Event1020:OnTrigger()
end

function Event1020:OnBegin()
	SetHoliday(5);
end

function Event1020:OnUpdate()
	AddChannel5(5);
	sprechblasen = {1020, 1022, 1023, 1024};
	BubbleSpam(2, sprechblasen);
	SetUpdateTime(1020,999);
end

function Event1020:OnEnd()
	ResetChannel5();
	ResetHoliday();
end

InitEvent(Event1020);

--[[
Event 1025
Description: Valentinstag - Setzt Begr�ngssprechblasen und verschickt evtl. eine anonyme Liebes-Email
]]
Event1025 = {id=1025; duration=1; update=-1; typ=-1; name="Valentinstag";}

function Event1025:OnTrigger()
end

function Event1025:OnBegin()
	sprechblasen = {1025, 1026, 1027, 1029};
	BubbleSpam(2, sprechblasen);
	SetHoliday(6);
	if tempValentin == false then
		valentinWS = (GetCallCount(1025)+1)*10;
		if math.random(100) <= valentinWS then		-- steigende Wahrscheinlichkeit die Valentinsmail zu triggern
			tempValentin = true;
			CreateEmail(1025,19);
		end
	end
end

function Event1025:OnUpdate()
end

function Event1025:OnEnd()
	ResetHoliday();
end

InitEvent(Event1025);

--[[
Event 1030
Description: Helloween - ver�dert Quote und setzt Begr�ngssprechblasen
]]
Event1030 = {id=1030; duration=3; update=2; typ=-1; name="Helloween"}

function Event1030:OnTrigger()
end

function Event1030:OnBegin()
	SetHoliday(7);
end

function Event1030:OnUpdate()
	AddChannel5(5);
	sprechblasen = {1030, 1031, 1032, 1033, 1034};
	BubbleSpam(2, sprechblasen);
end

function Event1030:OnEnd()
	ResetChannel5();
	ResetHoliday();
end

InitEvent(Event1030);

--[[
Event 1035
Description: Winterferien - ver�dert Quote und setzt Begr�ngssprechblasen

09.12.

]]
Event1035 = {id=1035; duration=10; update=-1; typ=-1; name="Winterferien"}

function Event1035:OnTrigger()
end

function Event1035:OnBegin()
	AddChannel5(3);
	sprechblasen = {1035, 1036, 1037, 1039};
	BubbleSpam(2, sprechblasen);
	SetHoliday(8);
end

function Event1035:OnUpdate()
end

function Event1035:OnEnd()
	ResetChannel5();
        ResetHoliday();
end

InitEvent(Event1035);

--[[
Event 1040
Description: Sommerurlaub - ver�dert Quote und setzt Begr�ngssprechblasen
]]
Event1040 = {id=1040; duration=21; update=2; typ=-1; name="Sommerferien"}

function Event1040:OnTrigger()
end

function Event1040:OnBegin()
	AddChannel5(5);
	sprechblasen = {1040, 1041, 1042, 1043, 1044};
	BubbleSpam(2, sprechblasen);
	SetHoliday(9);
end

function Event1040:OnUpdate()
end

function Event1040:OnEnd()
	ResetChannel5();
	ResetHoliday();
end

InitEvent(Event1040);


--[[
Event 1050
Decription: Sommer

fr saisonale SBs

]]
Event1050 = {id=1050; duration=42; update=-1; typ=-1; name="Sommer"}

function Event1050:OnTrigger()
end

function Event1050:OnBegin()
end

function Event1050:OnUpdate()
end

function Event1050:OnEnd()
end

InitEvent(Event1050);


--[[
Event 1051
Decription: Livediskussions Triggerevent
Wird zweimal pro Jahr getriggert (Mrz und September)
]]
Event1051 = {id=1051; duration=15; update=14; typ=-1; name="Livediskussions Triggerevent"}

function Event1051:OnTrigger()
end

function Event1051:OnBegin()
	if bigEventRunning == false and GetBuildingLevel(0, 7) >= 0 then				
		if helpMailLive == true then
			TriggerHelpMail(7719);
			helpMailLive = false;
		end
		CreateEmail(sbDiskussion[sbDiskussionCounter], 19);
		InitLive((sbDiskussion[sbDiskussionCounter] - 3008),14);				-- Drehbuch freischalten
	else
		SetEndCalled(1051,true);
	end
end

function Event1051:OnUpdate()
	SetBubble(2,sbDiskussion[sbDiskussionCounter]);
	SetTicker(sbDiskussion[sbDiskussionCounter]);
	SetAmbient(3025, true);
end

function Event1051:OnEnd()
	SetNews(sbDiskussion[sbDiskussionCounter]);
	SetAmbient(3025, false);
	sbDiskussionCounter = sbDiskussionCounter + 1;
	if sbDiskussionCounter > table.getn(sbDiskussion) then
		sbDiskussionCounter = 1;									-- luft vier Jahre ohne wiederholung, danach reset
	end
end

InitEvent(Event1051);



--[[
Event 1060
Description: Einladung zum Quartalsmeeting beim Intendanten verschicken und Terminplanereintrag setzen
]]
Event1060 = {id=1060; duration=1; update=-1; typ=-1; name="Einladung Quartalsmeeting"}

function Event1060:OnTrigger()
end

function Event1060:OnBegin()
	CreateEmail(1060,19);
end

function Event1060:OnUpdate()
end

function Event1060:OnEnd()
end

InitEvent(Event1060);




--[[
Event 1090
Description: Preisverleihung "Genia" (Beste Quote bei Intellektuellen) - prft Gewinnbedingungen und verschickt beim Sieg
die Trophaee, eine Email und setzt eine Glckwunschbubble auf die Empfangsdame
]]
Event1090 = {id=1090; duration=1; update=-1; typ=-1; name="Preisverleihung Kulturverein"}

function Event1090:OnTrigger()
end

function Event1090:OnBegin()
	sender, quote = GetBestIntellectualQuote();
	if sender == 0 then				-- Die beste Durchschnittsquote bei Intellektuellen seit 168 Tagen 
		AddSenderFame(0,5);
		AddTrophy(1);
		SetBubble(2,1090);
		CreateEmail(1090,19);
		SetBubble(0,1080);
	end
end

function Event1090:OnUpdate()
end

function Event1090:OnEnd()
end

InitEvent(Event1090);


--[[
Event 1091
Description: Preisverleihung "Feder" Infoshow mit bester Quote - prft Gewinnbedingungen und verschickt beim Sieg
die Troph�, eine Email und setzt eine Glckwunschbubble auf die Empfangsdame
]]
Event1091 = {id=1091; duration=1; update=-1; typ=-1; name="Preisverleihung Presseverein"}

function Event1091:OnTrigger()
end

function Event1091:OnBegin()
	if GetBestInfo() == 0 then			-- Informationssendung mit der besten Durchschnittsquote seit 168 Tagen
		AddSenderFame(0,5);
		AddTrophy(2);
		SetBubble(2,1091);
		CreateEmail(1091,19);			-- "$bestInfo" name der entsprechenden Sendung, "$quote" Gewinnquote
		SetBubble(0,1081);				-- Glckwunsch vom Intendant
	end
end

function Event1091:OnUpdate()
end

function Event1091:OnEnd()
end

InitEvent(Event1091);



--[[
Event 1092
Description: Preisverleihung "Blitz" fr Aktuellste Berichterstattung - prft Gewinnbedingungen und verschickt beim Sieg
die Troph�, eine Email und setzt eine Glckwunschbubble auf die Empfangsdame
]]

Event1092 = {id=1092; duration=1; update=-1; typ=-1; name="Preisverleihung Aktuellste Berichterstattung"}

function Event1092:OnTrigger()
end

function Event1092:OnBegin()
	local blitz = GetSBCount()*4;
	if blitz > 32 then
		if math.random(100) < blitz then
			AddSenderFame(0,5);
			AddTrophy(5);
			SetBubble(2,1092);
			CreateEmail(1092,19);
			SetBubble(0,1082);										-- Glueckwunsch vom Intendant
		end
	end
end

function Event1092:OnUpdate()
end

function Event1092:OnEnd()
end

InitEvent(Event1092);



--[[
Event 1093
Description: Preisverleihung "Spot" fr Werbung - prft Gewinnbedingungen und verschickt beim Sieg
die Troph�, eine Email und setzt eine Glckwunschbubble auf die Empfangsdame
]]
Event1093 = {id=1093; duration=1; update=-1; typ=-1; name="Preisverleihung Werbeindustrie"}

function Event1093:OnTrigger()
end

function Event1093:OnBegin()
	if GetFailedSpamValue() <= 0 then							-- gibt den geldbetrag eventueller Strafzahlungungen des letzten Jahres zurck
		AddSenderFame(0,5);
		AddTrophy(4);
		SetBubble(2,1093);
		CreateEmail(1093,19);
		SetBubble(0,1083);										-- Glueckwunsch vom Intendant
	end
end

function Event1093:OnUpdate()
end

function Event1093:OnEnd()
end

InitEvent(Event1093);



--[[
Event 1094
Decription: Preisverleihung "Flutlicht" fr Sport - prft Gewinnbedingungen und verschickt beim Sieg
die Troph�, eine Email und setzt eine Glckwunschbubble auf die Empfangsdame
]]
Event1094 = {id=1094; duration=1; update=-1; typ=-1; name="Preisverleihung flutlicht"}

function Event1094:OnTrigger()
end

function Event1094:OnBegin()
	player, count = GetBestSport();		-- Parservariable $count enth�t die Anzahl der �ertragungen
	if player == 0 then
		if count > 0 then
			AddSenderFame(0,5);
			AddTrophy(7);
			SetBubble(2,1095);
			CreateEmail(1094,20);
			SetBubble(0,1085);				-- Glckwunsch vom Intendant
		end
	end
end

function Event1094:OnUpdate()
end

function Event1094:OnEnd()
end

InitEvent(Event1094);



--[[
Event 1095
Description: Preisverleihung "Goldene Gitarre" fuer Konzerte - prueft Gewinnbedingungen und verschickt beim Sieg
die Trophaee, eine Email und setzt eine Glueckwunschbubble auf die Empfangsdame

]]
Event1095 = {id=1095; duration=1; update=-1; typ=-1; name="Preisverleihung goldene gitarre"}

function Event1095:OnTrigger()
end

function Event1095:OnBegin()
	player, count = GetBestConcert();		-- Parservariable $count enthaelt die Anzahl der Uebertragungen
	if player == 0 then
		if count > 0 then
			AddSenderFame(0,5);
			AddTrophy(6);
			SetBubble(2,1094);
			CreateEmail(1095,20);
			SetBubble(0,1084);					-- Glueckwunsch vom Intendant
		end
	end
end

function Event1095:OnUpdate()
end

function Event1095:OnEnd()
end

InitEvent(Event1095);


--[[
Event 1100
Description: Intendant - Nachrichtenzentrale einrichten - Sprechblase
01.12.05
]]
Event1100 = {id=1100; duration=1; update=-1; typ=-1; name="Nachrichtenzentrale einrichten I"}

function Event1100:OnTrigger()
end

function Event1100:OnBegin()
	SetParserInt("money", 200000*gameLevel);
	SetBubble(0,1100);
end

function Event1100:OnUpdate()
end

function Event1100:OnEnd()
end

InitEvent(Event1100);



--[[
Event 1101
Description: Intendant - Nachrichtenzentrale einrichten - Termin setzen,
Geld ueberweisen, Status ueberpruefen und auswerten
]]
Event1101 = {id=1101; duration=14; update=1; typ=-1; name="Nachrichtenzentrale einrichten II"}

function Event1101:OnTrigger()
end

function Event1101:OnBegin()
	TriggerHelpMail(7721);
	SetNewStudioLevelAllowed(5, true);				-- Die Option auf Nachrichtenzentrale freischalten
	AddCash(200000*gameLevel, 4);
	AddCalendarEntry(1101,-1,13)
end

function Event1101:OnUpdate()
	if GetBuildingLevel(0, 5) >= 0 then		
		AddFaction(0,BossFactionStory[1]);
		SetBubble(0,1102);
		SetEndCalled(1101,true);
	end
end

function Event1101:OnEnd()
	AddFaction(0,BossFactionStory[2]);
	SetBubble(0,1103);
end

InitEvent(Event1101);


--[[
Event 1105
Description: Intendant - Senderreichweite vergroessern/Lizenz - Sprechblase

im Kalender: 01.06.06
]]
Event1105 = {id=1105; duration=1; update=-1; typ=-1; name="Senderreichweite vergroessern/Lizenz I"}

function Event1105:OnTrigger()
end

function Event1105:OnBegin()
	SetParserInt("money", 4000000*gameLevel);
	SetBubble(0,1105);
end

function Event1105:OnUpdate()
end

function Event1105:OnEnd()
end

InitEvent(Event1105);



--[[
Event 1106
Description: Intendant - Senderreichweite vergroessern/Lizenz - Termin setzen,
Geld berweisen, Status ueberprfen und auswerten
]]
Event1106 = {id=1106; duration=14; update=1; typ=-1; name="Senderreichweite vergroessern/Lizenz II"}

function Event1106:OnTrigger()
end

function Event1106:OnBegin()
	SetMaxLicenceLevel(1);					-- Moeglichkeit die 1. Lizenz zu kaufen
	AddCash(5000000*gameLevel, 4);
	AddCalendarEntry(1106,-1,13)
end

function Event1106:OnUpdate()
	if GetAntennaLicence() >= 1 then			-- Bei Spielstart Level 0
		AddFaction(0,BossFactionStory[1]);
		SetBubble(0,1107);
		SetEndCalled(1106,true);
	end
end

function Event1106:OnEnd()
	AddFaction(0,BossFactionStory[2]);
	SetBubble(0,1108);
	TriggerHelpMail(7723);
end

InitEvent(Event1106);



--[[
Event 1110
Decription: Intendant - Sonderberichte enablen - Sprechblase setzen
]]
Event1110 = {id=1110; duration=1; update=-1; typ=-1; name="Sonderberichte enablen I"}

function Event1110:OnTrigger()
end

function Event1110:OnBegin()
	SetParserInt("money", 600000*gameLevel);
	SetBubble(0,1110);
end

function Event1110:OnUpdate()
end

function Event1110:OnEnd()
end

InitEvent(Event1110);

--[[
Event 1111
Decription: Intendant - Sonderberichte enablen - Termin setzen,
Geld berweisen, Status berprfen und auswerten
]]
Event1111 = {id=1111; duration=14; update=1; typ=-1; name="Sonderberichte enablen II"}

function Event1111:OnTrigger()
end

function Event1111:OnBegin()
	SetNewStudioLevelAllowed(7, true);					-- Option auf Ue-Wagen Garage berhaupt erst freischalten
	AddCash(600000*gameLevel, 4);
	AddCalendarEntry(1111,-1,13);
end

function Event1111:OnUpdate()
	if GetBuildingLevel(0, 7) == 0 then
		AddFaction(0,BossFactionStory[1]);
		SetBubble(0,1112);
		SetEndCalled(1111,true);
	end
end

function Event1111:OnEnd()
	AddFaction(0,BossFactionStory[2]);
	SetBubble(0,1113);
end

InitEvent(Event1111);


--[[
Event 1115
Decription: Intendant - Studio bauen - Sprechblase

01. April 2006
]]

Event1115 = {id=1115; duration=1; update=5; typ=-1; name="Studio bauen I"}

function Event1115:OnTrigger()
end

function Event1115:OnBegin()
	if GetStudioCount(0) < 5 then
		SetParserInt("money", 1500000*gameLevel);
		SetBubble(0,1115);
		SetEndCalled(1115,true);
	end
end

function Event1115:OnUpdate()
end

function Event1115:OnEnd()
end

InitEvent(Event1115);

--[[
Event 1116
Decription: Intendant - Studio bauen -  Termin setzen,
Geld berweisen, Status berprfen und auswerten
]]
Event1116 = {id=1116; duration=14; update=1; typ=-1; name="Studio bauen II"}

function Event1116:OnTrigger()
end

function Event1116:OnBegin()
	playerStudios = GetStudioCount(0);
	--SetNewStudioAllowed(true);									-- zusaetzliche Studios bauen freischalten
	AddCash(1500000*gameLevel, 4);
	AddCalendarEntry(1116,-1,13);
end

function Event1116:OnUpdate()
	if GetStudioCount(0) > playerStudios then
		AddFaction(0,BossFactionStory[1]);
		SetBubble(0,1117);
		SetEndCalled(1116,true);
	end
end

function Event1116:OnEnd()
	AddFaction(0,BossFactionStory[2]);
	SetBubble(0,1118);
	SetEndCalled(1116,true);
end

InitEvent(Event1116);

--[[
Event 1120
Decription: Intendant - einen grossen Film produzieren - Sprechblase

laeuft von Anfang an

]]
Event1120 = {id=1120; duration=999; update=7; typ=-1; name="Einen Grossen Film produzieren I"}

function Event1120:OnTrigger()
end

function Event1120:OnBegin()
end

function Event1120:OnUpdate()
	if GetProducedMovies(0) >= bigMovieArchive then
		SetBubble(0,1120);
		SetEndCalled(1120,true);
	else
		SetDuration(1120,10);
	end
end

function Event1120:OnEnd()
end

InitEvent(Event1120);


--[[
Event 1121
Decription: Intendant - einen grossen Film produzieren - Termin setzen,
Status berprfen und auswerten
]]
Event1121 = {id=1121; duration=35; update=1; typ=-1; name="Einen Grossen Film produzieren II"}

function Event1121:OnTrigger()
end

function Event1121:OnBegin()
	AddCalendarEntry(1121,-1,34);
	SetBigFilmValue(1000000);							-- @TWEAK: Wie teuer ist ein "grosser" Film? --> In Sprechblase anpassen!!
end

function Event1121:OnUpdate()
	if bigFilmInProduction then
		AddFaction(0,BossFactionStory[1]);
		SetBubble(0,1122);
		SetEndCalled(1121,true);
	end
end

function Event1121:OnEnd()
	AddFaction(0,BossFactionStory[2]);
	SetBubble(0,1123);
	SetEndCalled(1121,true);
end

InitEvent(Event1121);

--[[
Event 1125
Decription: Intendant - Moderator einstellen - Sprechblase

Event1125 = {id=1125; duration=700; update=7; typ=-1; name="Moderator unter Vertrag nehmen I"}

function Event1125:OnTrigger()
end

function Event1125:OnBegin()
	oldstudiocount = GetStudioTypeCount(0, 2);								-- Anzahl der Showstudios bei Spielbeginn
end

function Event1125:OnUpdate()
	if GetStudioTypeCount(0, 2) > oldstudiocount then
		moderatortohire = GetRandomPerson(5, 4, 0);
        if moderatortohire >= 0 then
          SetupPersonForDossier(moderatortohire);							-- Ausgewhlter Moderator meldet sich auf die nchste Ausschreibung
		  SetBubble(0,1125);
		  SetUpdateTime(1125,666);
		  SetEndCalled(1125,true);
        end
	end
end

function Event1125:OnEnd()
end

InitEvent(Event1125);

--[[
Event 1126
Decription: Intendant - Moderator einstellen - Termin setzen,
Status berprfen und auswerten
]]
Event1126 = {id=1126; duration=14; update=1; typ=-1; name="Moderator unter Vertrag nehmen II"}

function Event1126:OnTrigger()
end

function Event1126:OnBegin()
	SelectPerson(moderatortohire);
	AddCalendarEntry(1126,-1,13);
end

function Event1126:OnUpdate()
        SelectPerson(moderatortohire);
	if GetChief() == 0 then
		AddFaction(0,BossFactionStory[1]);
		SetBubble(0,1127);
		SetEndCalled(1126,true);
	end
end

function Event1126:OnEnd()
	AddFaction(0,BossFactionStory[2]);
	SetBubble(0,1128);
	SetEndCalled(1126,true);
end

InitEvent(Event1126);
]]

--[[
Event 1130
Decription: Intendant - Sendereichweite vergroessern/Technik - Sprechblase
]]
Event1130 = {id=1130; duration=1; update=-1; typ=-1; name="Sendereichweite vergr�ern/Technik I"}

function Event1130:OnTrigger()
end

function Event1130:OnBegin()
	SetBubble(0,1130);
end

function Event1130:OnUpdate()
end

function Event1130:OnEnd()
end

InitEvent(Event1130);

--[[
Event 1131
Decription: Intendant - Sendereichweite vergroessern/Technik - Termin setzen,
Status berprfen und auswerten
]]
Event1131 = {id=1131; duration=35; update=1; typ=-1; name="Sendereichweite vergr�ern/Technik II"}

function Event1131:OnTrigger()
end

function Event1131:OnBegin()
	AddCalendarEntry(1131,-1,34);
	SetMaxLicenceLevel(2);									-- Lizenzlevel 2 freischalten
end

function Event1131:OnUpdate()
	if GetBuildingLevel(0, 2) >= 2 then 					-- UpgradeStufe 2 ist gefordert
		AddFaction(0,BossFactionStory[1]);
		SetBubble(0,1132);
		SetEndCalled(1131,true);
	end
end

function Event1131:OnEnd()
	AddFaction(0,BossFactionStory[2]);
	SetBubble(0,1133);
	SetEndCalled(1131,true);
end

InitEvent(Event1131);







--[[
Event 1199
Decription: Feedback Intendant wenn Meetings mit NPC nicht wahrgenommen wurden
]]
Event1199 = {id=1199; duration=1; update=-1; typ=-1; name="Feedback Intendant wenn Meetings mit NPC nicht wahrgenommen wurden"}

function Event1199:OnTrigger()
end

function Event1199:OnBegin()
	AddFaction(0,-0.5)
end

function Event1199:OnUpdate()
end

function Event1199:OnEnd()
end

InitEvent(Event1199);



--[[
Event 1205
Decription: Buergermeister - Mehr Kulturprogramm - Einladung verschicken, BGM aktivieren und auf Besuch berprfen
]]
Event1205 = {id=1205; duration=8; update=-1; typ=-1; name="Mehr Kulturprogramm I"}

function Event1205:OnTrigger()
end

function Event1205:OnBegin()
	if GetBGM() == 0 then
		NPCactive(10, true);
		CreateEmail(1200,19);
		AddCalendarEntry(1200,19,7);
		SetBubble(10,1205);
	else
		SetEndCalled(1205,true);
		return;
	end
end

function Event1205:OnUpdate()
end

function Event1205:OnEnd()
	if IsInBubbleQueue(10,1205) == true then
		RemoveBubble(10,1205);
		SetBubble(0,1198);					-- Intendant weist den Spieler zurecht (Follow-Up 1199, Fameverlust)
		NPCactive(10, false);
	end
end

InitEvent(Event1205);

--[[
Event 1206
Decription: Buergermeister - Mehr Kulturprogramm - Termin setzen, BGM deaktivieren und Erfolg berprfen

??? 

]]
Event1206 = {id=1206; duration=22; update=-1; typ=-1; name="Mehr Kulturprogramm II"}

function Event1206:OnTrigger()
end

function Event1206:OnBegin()
	AddCalendarEntry(1206,-1,21);
	NPCactive(10, false);
	themeCultureCount = 0;											-- zhlt das Thema Kultur in infoformaten
	themeCultureCountNew = 0;
	cultureCount = 0;												-- zhlt wieviele Kulturartige Sendungen der Spieler gesendet hat
	cultureCountNew = 0;
	cultureThemesInfo = {2,3,7,8,14,15};							-- "kultur"-Bausteine von Infosendungen
	cultureThemesShow = {2,5,6,9,13};								-- "kultur"-Bausteine von Showsendungen
	for formatCount = 1,6,1 do										-- schleife geht alle formate durch
		for i in cultureThemesInfo do								-- schleife geht alle "kultur"-Bausteine von Infosendungen durch
			loopCount = GetProducedCount(0, 2, formatCount, cultureThemesInfo[i]);
			cultureCount = cultureCount + loopCount;
		end
		for j in cultureThemesShow do								-- schleife geht alle"kultur"-Bausteine von Showsendungen durch
			loopCount = GetProducedCount(0, 1, formatCount, cultureThemesShow[j]);
			cultureCount = cultureCount + loopCount;
		end
	loopCount = GetProducedCount(0, 2, formatCount, 13);
	themeCultureCount = themeCultureCount + loopCount;				-- zhlt die verwendung des themas "kultur" in Infoformaten	 
	end
end

function Event1206:OnUpdate()
end

function Event1206:OnEnd()
	for formatCount = 1,6,1 do										-- schleife geht alle formate durch
		LuaDebugString("Formatloop " .. formatCount .. ". Run" );
		for i in cultureThemesInfo do								-- schleife geht alle "kultur"-Bausteine von Infosendungen durch
			loopCount = GetProducedCount(0, 2, formatCount, cultureThemesInfo[i]);
			cultureCountNew = cultureCountNew + loopCount;
			LuaDebugString("Infoloop " .. i .. ". Run" );
		end
		LuaDebugString("Infoloop done");
		for j in cultureThemesShow do								-- schleife geht alle"kultur"-Bausteine von Showsendungen durch
			loopCount = GetProducedCount(0, 1, formatCount, cultureThemesShow[j]);
			cultureCountNew = cultureCountNew + loopCount;	
			LuaDebugString("Showloop " .. j .. ". Run" );
		end
		LuaDebugString("Showloop done");
		loopCount = GetProducedCount(0, 2, formatCount, 13);
		LuaDebugString("Baustein Kultur=" .. loopCount);
		themeCultureCountNew = themeCultureCountNew + loopCount;		-- zhlt die verwendung des themas "kultur" in Infoformaten	 
		LuaDebugString("ges. Baustein Kultur=" .. themeCultureCountNew);
	end
	LuaDebugString("Formatloop done");
	cultureCountNew = cultureCountNew + (themeCultureCountNew - themeCultureCount) * 2;
	LuaDebugString("neue Anzahl: " .. cultureCountNew);
	LuaDebugString("alte Anzahl: " .. cultureCount);
	if cultureCountNew - cultureCount >= 4 then					-- @TWEAK
		AddFaction(0,NPCFactionStory[1]);
		CreateEmail(1207, -1);									-- BGM bedankt sich
		SetBubble(0,1207);										-- Intendant ist erfreut
		--  Mehr Etablierte, Konservative und Intellektuelle
		ModifyPopulation(	 0.0070,							-- etablierte 					
							 0.0000,							-- moderne performer 	
							-0.0035,							-- experimentalisten 	
							-0.0035,							-- hedonisten 			
							 0.0035,							-- postmaterielle 		
							-0.0035,							-- brgerliche mitte		
							-0.0035,							-- konsummaterialisten	
							 0.0070,							-- konservative			
							-0.0035);							-- traditionsverw.		
	else
		AddFaction(0,NPCFactionStory[2]);
		CreateEmail(1208, -1);									-- BGM ist nicht erfreut
		SetBubble(0,1208);										-- Intendant ist nicht erfreut
	end
end

InitEvent(Event1206);

--[[
Event 1210
Decription: BGM - Stadtmagazin produzieren - Einladung verschicken, BGM aktivieren und auf Besuch berprfen
]]
Event1210 = {id=1210; duration=8; update=-1; typ=-1; name="Stadtmagazin produzieren I"}

function Event1210:OnTrigger()
end

function Event1210:OnBegin()
	NPCactive(10, true);
	SetBubble(8,math.random(1200,1204));					-- Schalterbeamter winkt zum BGM durch
	CreateEmail(1200,19);
	AddCalendarEntry(1200,19,7);
	SetBubble(10,1210);
end

function Event1210:OnUpdate()
end

function Event1210:OnEnd()
	if IsInBubbleQueue(10,1210) == true then
		RemoveBubble(10,1210);
		SetBubble(0,1198);					-- Intendant weist den Spieler zurecht (Follow-Up 1199, Fameverlust)
		NPCactive(10, false);
	end
end

InitEvent(Event1210);

--[[
Event 1211
Decription: BGM - Stadtmagazin produzieren - Termin setzen, BGM deaktivieren und Erfolg berprfen
]]
Event1211 = {id=1211; duration=15; update=1; typ=-1; name="Stadtmagazin produzieren II"}

function Event1211:OnTrigger()
end

function Event1211:OnBegin()
	tempFor1211 = GetProducedCount(0, 2, 3, 5);
	AddCalendarEntry(1211,-1,14);
	NPCactive(10, false);
end

function Event1211:OnUpdate()
	if GetProducedCount(0, 2, 3, 5) > tempFor1211 then
		AddFaction(0,NPCFactionStory[1]);
		CreateEmail(1212, -1);
		SetBubble(0,1212);
		ModifyPopulation(	 0.0035,					-- etablierte 	
							-0.0035,					-- moderne performer
							-0.0035,					-- experimentalisten
							-0.0070,					-- hedonisten
							 0.0000,					-- postmaterielle
							 0.0000,					-- brgerliche mitte
							 0.0000,					-- konsummaterialisten
							 0.0035,					-- konservative
							 0.0070);					-- traditionsverw.
		SetEndCalled(1211,true);
	end
end

function Event1211:OnEnd()
	AddFaction(10,NPCFactionStory[2]);
	CreateEmail(1213, -1);
	SetBubble(0,1213);
end

InitEvent(Event1211);


--[[
Event 1220
Decription: BGM - Nichte will Schauspieljob - Einladung verschicken, BGM aktivieren und auf Besuch berprfen
]]
Event1220 = {id=1220; duration=8; update=-1; typ=-1; name="Schauspieljob fr Nichte I"}

function Event1220:OnTrigger()
end

function Event1220:OnBegin()
	SelectPerson(1117);
	NPCactive(10, true);
	SetBubble(8, math.random(1200,1203));									-- Schalterbeamter winkt zum BGM durch
	CreateEmail(1200,20);
	AddCalendarEntry(1200,20,7);
	SetBubble(10,1220);
end

function Event1220:OnUpdate()
end

function Event1220:OnEnd()
	if IsInBubbleQueue(10,1220) == true then
		SelectPerson(1117);
		RemoveBubble(10,1220)
		SetBubble(0,1198);								-- Intendant weist den Spieler zurecht (Follow-Up 1199, Fameverlust)
		NPCactive(10, false);
	end
end

InitEvent(Event1220);

--[[
Event 1221
Decription: BGM - Nichte will Schauspieljob - Termin setzen, BGM deaktivieren und Erfolg berprfen
]]
Event1221 = {id=1221; duration=29; update=1; typ=-1; name="Schauspieljob fr Nichte II"}

function Event1221:OnTrigger()
end

function Event1221:OnBegin()
	SelectPerson(1117);
	PersonOn();
	AddCalendarEntry(1221,-1,28);
	NPCactive(10, false);
end

function Event1221:OnUpdate()
	if IsActorIn(1117, 0, -1, 0) == true then
		SelectPerson(1117);
		AddFaction(0, NPCFactionStory[1]);
		CreateEmail(1222, -1);
		SetBubble(0, 1222);
		landPrice = 90;
		SetLandPricePercent(landPrice);				--TWEAK: Verbilligte Grundstueckspreise 90%
		SetEndCalled(1221, true);
	end
end

function Event1221:OnEnd()
		SelectPerson(1117);
        AddFaction(0,NPCFactionStory[2]);
        CreateEmail(1223,-1);
        SetBubble(0,1223);
end

InitEvent(Event1221);




--[[
Event 1305
Decription: Bankdirektor - Wirtschaftsmagazin produzieren - Einladung verschicken, aktivieren und auf Besuch ueberprfen
]]
Event1305 = {id=1305; duration=8; update=-1; typ=-1; name="Wirtschaftsmagazin produzieren I"}

function Event1305:OnTrigger()
end

function Event1305:OnBegin()
	NPCactive(11, true);
	SetBubble(8, math.random(1300,1304));
	AddCalendarEntry(1300,19,7);
	CreateEmail(1300, 19);
	SetBubble(11,1305);
end

function Event1305:OnUpdate()
end

function Event1305:OnEnd()
	if IsInBubbleQueue(11,1305) == true then
		Remove(11,1305);
		SetBubble(0,1199);					-- Intendant weist den Spieler zurecht (Follow-Up 1199, Fameverlust)
		NPCactive(11, false);
	end
end

InitEvent(Event1305);

--[[
Event 1306
Decription: Bankdirektor - Wirtschaftsmagazin produzieren - Termin setzen, BGM deaktivieren und Erfolg berprfen
]]
Event1306 = {id=1306; duration=29; update=1; typ=-1; name="Wirtschaftsmagazin produzieren II"}

function Event1306:OnTrigger()
end

function Event1306:OnBegin()
	AddCalendarEntry(1306,-1,28);
	NPCactive(11, false);
	wimagbegin = wirtschaftsMag;
end

function Event1306:OnUpdate()
	wimagend = wirtschaftsMag;
	if wimagend > wimagbegin  then
		AddFaction(0,NPCFactionStory[1]);
		GetProduction(wirtschaftsMagID);
		CreateEmail(1307,20);
		SetBubble(0,1307);
		-- Mehr Etablierte, Konservative und Yuppies
		ModifyPopulation(	 0.0070,					-- etablierte
							 0.0035,					-- moderne performer
							-0.0070,					-- experimentalisten
							-0.0070,					-- hedonisten
							 0,							-- postmaterielle
							 0,							-- brgerliche mitte
							-0.0035,					-- konsummaterialisten
							 0.007,					 	-- konservative
							 0);						-- traditionsverw.
		SetEndCalled(1306,true);
	end
end

function Event1306:OnEnd()
	AddFaction(0,NPCFactionStory[2]);
	CreateEmail(1308,20);
	SetBubble(0,1308);
end

InitEvent(Event1306);

--[[
Event 1310
Decription: Bankdirektor - Moderator feuern - Einladung verschicken, BGM aktivieren und auf Besuch berprfen
]]
Event1310 = {id=1310; duration=8; update=-1; typ=-1; name="Moderator feuern I"}

function Event1310:OnTrigger()
end

function Event1310:OnBegin()
	randomModerator = GetRandomPerson(5, 0, 0);
	if randomModerator == -1 then
		SetEndCalled(1310, true);
	else
		NPCactive(11, true);
		SetBubble(8, math.random(1300,1304));
		CreateEmail(1300,21);										
		AddCalendarEntry(1300,21,7);
		SetBubble(11,1310);
	end
end

function Event1310:OnUpdate()
end

function Event1310:OnEnd()
	if IsInBubbleQueue(11,1310) == true then
		RemoveBubble(11,1310);
		SetBubble(0,1199);					-- Intendant weist den Spieler zurecht (Follow-Up 1199, Fameverlust)
		NPCactive(11, false);
	end
end

InitEvent(Event1310);

--[[
Event 1311
Decription: Bankdirektor - Moderator feuern - Termin setzen, BGM deaktivieren und Erfolg berprfen
]]
Event1311 = {id=1311; duration=15; update=1; typ=-1; name="Moderator feuern II"}

function Event1311:OnTrigger()
end

function Event1311:OnBegin()
	AddCalendarEntry(1311,-1,14);
	NPCactive(11, false);
end

function Event1311:OnUpdate()
	SelectPerson(randomModerator);
	if GetChief() ~= 0 then
		AddFaction(0,NPCFactionStory[1]);
		CreateEmail(1312,19);
		SetBubble(0,1312);
		SetEndCalled(1311,true);
	end
end

function Event1311:OnEnd()
	AddFaction(0,NPCFactionStory[2]);
	CreateEmail(1313,20);
	SetBubble(0,1313);
end

InitEvent(Event1311);

--[[
Event 1315
Decription: Bankdirektor - Sonderbericht verhindern - Einladung verschicken, BGM aktivieren und auf Besuch berprfen

03. November 08

]]
Event1315 = {id=1315; duration=1; update=-1; typ=-1; name="Bankdirektor - Sonderbericht verhindern"}

function Event1315:OnTrigger()
end

function Event1315:OnBegin()
	if GetBuildingLevel(0, 7) > -1 then
		CreateEmail(1315, -1);													-- Bankdirektor bittet den Spieler ihn schnellstm�lich zu besuchen
		NPCactive(11, true);
		AddCalendarEntry(1301,-1,0);
		SetBubble(11,1315);
	else
		SetEndCalled(1315,true);												-- @TWEAK: mehrmaliges Abprfen einbauen?
	end
end

function Event1315:OnUpdate()
end

function Event1315:OnEnd()
	if IsInBubbleQueue(11,1315) == true then
		RemoveBubble(11,1315);
		SetBubble(0,1199);													-- Intendant weist den Spieler zurecht (Follow-Up 1199, Fameverlust)
	end
	NPCactive(11, false);
	CallEvent(3115);
end

InitEvent(Event1315);



--[[
Event 1590
Description: Einladung zur Filmauktion - L�ft nach Aufruf bis zum Ende des Spiels
und verschickt jedes Quartal Einladungsmails
]]
Event1590 = {id=1590; duration=9999; update=42; typ=-1; name="Einladung Filmauktion"}

function Event1590:OnTrigger()
end

function Event1590:OnBegin()
	InitAuction(1,7); 				-- W�lt Filme aus der Datenbank aus und fgt sie in die Auktionsqueue ein
	if helpMailAuction == true then
		TriggerHelpMail(7724);
		helpMailAuction = false;
	end
	AddCalendarEntry(1590,20,7);
	-- Email(1590,20) wird extern verschickt
end

function Event1590:OnUpdate()
	--SetDuration(1590,50);
	InitAuction(1,7); 
	AddCalendarEntry(1590,20,7);
	-- Email(1590,20) wird extern verschickt
end

function Event1590:OnEnd()
end

InitEvent(Event1590);


--[[
Event 1593
Description: Einladung zur Sportlizenzauktion - L�ft nach Aufruf bis zum Ende des Spiels
]]
Event1593 = {id=1593; duration=9999; update=42; typ=-1; name="Einladung Sportlizenzauktion"}

function Event1593:OnTrigger()
end

function Event1593:OnBegin()
	InitAuction(2,7); 
	AddCalendarEntry(1593,21,7);
	-- Email(1593,21) wird extern verschickt
end

function Event1593:OnUpdate()
	InitAuction(2,7); 
	AddCalendarEntry(1593,21,7);
	-- SetDuration(1593,50);
	-- Email(1593,21) wird extern verschickt
end

function Event1593:OnEnd()
end

InitEvent(Event1593);


--[[
Event 1596 
Description:  Einladung zur Konzertlizenzauktion - L�ft nach Aufruf bis zum Ende des Spiels
]]
Event1596 = {id=1596; duration=9999; update=42; typ=-1; name="Konzertlizenzauktion"}

function Event1596:OnTrigger()
end

function Event1596:OnBegin()
	InitAuction(3,7); 
	AddCalendarEntry(1596,18,7);
	-- Email(1596,18) wird extern verschickt
end

function Event1596:OnUpdate()
	InitAuction(3,7); 
	AddCalendarEntry(1596,18,7);
	-- SetDuration(1596,50);
	-- Email(1596,18) wird extern verschickt
end

function Event1596:OnEnd()
end

InitEvent(Event1596);




--[[
Event 2000
Decription: Followeventcaller ( wow... ) for Promievents
]]

Event2000 = {id=2000; duration=-1; update=-1; typ=-1; name="Followeventcaller ( wow... ) for Promievents"}

function Event2000:OnTrigger()
end

function Event2000:OnBegin()
end

function Event2000:OnUpdate()
end

function Event2000:OnEnd()
  CallEvent(GetFollowID(self.id));
end

InitEvent(Event2000);

--[[
Event 2001
Description: Comeback - ein Promi der "retired" ist, wird wieder verfgbar,
			und bekommt einen ver�derten Fame.
]]
Event2001 = {id=2001; duration=8; update=7; typ=3; name="Comeback"}

function Event2001:OnTrigger()
end

function Event2001:OnBegin()
	SelectPerson(promiEventID);
	PersonComeback();
	fame = math.random(-5,15);
	if fame<=0 then
		comebackID = math.random(2001,2002);
	else
		comebackID = math.random(2003,2004);
	end
	AddMotivation(-1, math.random(0,10));
	SetTicker(comebackID);
	SetBubble(2,comebackID);
end

function Event2001:OnUpdate()
end

function Event2001:OnEnd()
	SelectPerson(promiEventID);
	AddAveragePersonalFame(-1,fame);
	SetNews(comebackID);
end

InitEvent(Event2001);

--[[
Event 2010
Description: Shootingstar - ein Promi erh�t einen zuf�ligen Fameboost,
			welcher zuf�lig lange anh�t, und am Ende des Events einen zuf�ligen Fame Abzug
]]
Event2010 = {id=2010; duration=1; update=0; typ=3; name="Shootingstar"}

function Event2010:OnTrigger()
end

function Event2010:OnBegin()
	SetPromiDuration(2010, 3, 6);
	SelectPerson(promiEventID);				
	AddAveragePersonalFame(-1, math.random(10,25));
	local temp = math.random(2010,2011);
	SetNews(temp);
	SetTicker(temp);
	SetBubble(2,temp);
end

function Event2010:OnUpdate()
end

function Event2010:OnEnd()
	SelectPerson(promiEventID);
	local fameChange = math.random(10,25) * (-1);
	AddAveragePersonalFame(-1, fameChange);
	SetEndCalled(2010, true);
end

InitEvent(Event2010);

--[[
Event 2015
Description: Setzt sich zur Ruhe - ein Promi wird auf "retired" gesetzt
]]
Event2015 = {id=2015; duration=1; update=0; typ=3; name="Setzt sich zur Ruhe"}

function Event2015:OnTrigger()
end

function Event2015:OnBegin()
	SelectPerson(promiEventID);
	if GetChief()==0 then
		CreateEmail(temp,22);
	end
	PersonRetired();
	temp = math.random(2015,2016);
	SetTicker(temp);	
	SetNews(temp);
	SetBubble(2,temp);
end

function Event2015:OnUpdate()
end

function Event2015:OnEnd()
end

InitEvent(Event2015);


--[[
Event 2022
Description: Ziegenfarm in den Anden - Der Promi zieht sich aus dem Beruf zurck
]]
Event2022 = {id=2022; duration=1; update=0; typ=2; name="Ziegenfarm in den Anden"}

function Event2022:OnTrigger()
end

function Event2022:OnBegin()
	SelectPerson(promiEventID);
	PersonRetired();
	SetNews(2022);
	SetTicker(2022);
	if GetChief()==0 then
		CreateEmail(2022,-1);
	end
	SetBubble(2,2022);
end

function Event2022:OnUpdate()
end

function Event2022:OnEnd()
end

InitEvent(Event2022);

--[[
Event 2023
Description: Geht ins Kloster - Der Promi zieht sich aus dem Beruf zurck
]]
Event2023 = {id=2023; duration=1; update=0; typ=2; name="Geht ins Kloster"}

function Event2023:OnTrigger()
end

function Event2023:OnBegin()
	SelectPerson(promiEventID);
	PersonRetired();
	SetNews(2023);
	SetTicker(2023);
	if GetChief()==0 then
		CreateEmail(2023,-1);
	end
	SetBubble(2,2023);
end

function Event2023:OnUpdate()
end

function Event2023:OnEnd()
end

InitEvent(Event2023);

--[[
Event 2024
Description: Briefmarkensammeln - Der Promi verliert Fame und Action-Skill
]]
Event2024 = {id=2024; duration=7; update=0; typ=2; name="Briefmarkensammeln"}

function Event2024:OnTrigger()
end

function Event2024:OnBegin()
	SelectPerson(promiEventID);
	SetNews(2024);
	SetTicker(2024);
	SetBubble(2,2024);
end

function Event2024:OnUpdate()
end

function Event2024:OnEnd()
	SelectPerson(promiEventID);
	AddAveragePersonalFame(-1, -10);
	AddSkill(1,-10);
end

InitEvent(Event2024);

--[[
Event 2025
Description: Baby gerettet - Der Promi gewinnt viel Fame
]]
Event2025 = {id=2025; duration=7; update=0; typ=2; name="Baby gerettet"}

function Event2025:OnTrigger()
end

function Event2025:OnBegin()
	SelectPerson(promiEventID);
	SetNews(2025);
	SetTicker(2025);
	SetBubble(2,2025);
end

function Event2025:OnUpdate()
end

function Event2025:OnEnd()
	SelectPerson(promiEventID);
	AddAveragePersonalFame(-1, 25);
end

InitEvent(Event2025);

--[[
Event 2026
Description: Erleuchtung beim Yoga - Der Promi gewinnt an einem zuf�ligem Skill
]]
Event2026 = {id=2026; duration=1; update=0; typ=2; name="Erleuchtung beim Yoga"}

function Event2026:OnTrigger()
end

function Event2026:OnBegin()
	SelectPerson(promiEventID);
	SetNews(2026);
	SetTicker(2026);
	SetBubble(2,2026);
	AddSkill(math.random(0,6),15);
end

function Event2026:OnUpdate()
end

function Event2026:OnEnd()	
end

InitEvent(Event2026);

--[[
Event 2027
Description: Knackigster Hintern - Der Promi gewinnt Motivation, Fame und Charisma
]]
Event2027 = {id=2027; duration=7; update=0; typ=2; name="Knackigster Hintern"}

function Event2027:OnTrigger()
end

function Event2027:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2027);
	SetNews(2027);
	SetTicker(2027);
end

function Event2027:OnUpdate()
end

function Event2027:OnEnd()
	SelectPerson(promiEventID);
	AddAveragePersonalFame(-1, 10);
	AddMotivation(-1, 10);
	AddFeature(1,1);
end

InitEvent(Event2027);

--[[
Event 2028
Description: Der Promi begeistert sich fr Quantenphysik, was ihm Motivation raubt aber dafr den Anspruch-Skill steigert
]]
Event2028 = {id=2028; duration=1; update=0; typ=2; name="Quantenphysik Studium"}

function Event2028:OnTrigger()
end

function Event2028:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2028);
	AddSkill(5,10);
	AddMotivation(-1, -10);
	SetTicker(2028);
	SetNews(2028);
end

function Event2028:OnUpdate()
end

function Event2028:OnEnd()
end

InitEvent(Event2028);

--[[
Event 2029
Description: Der Promi beleidigt �fentlich seinen gr�ten,
was einen starken Fame-Abfall zur Folge hat.
]]
Event2029 = {id=2029; duration=7; update=0; typ=2; name="Fan beleidigt"}

function Event2029:OnTrigger()
end

function Event2029:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2029);
	SetTicker(2029);
	SetNews(2029);
end

function Event2029:OnUpdate()
end

function Event2029:OnEnd()
	SelectPerson(promiEventID);
	AddAveragePersonalFame(-1, -25);
end

InitEvent(Event2029);

--[[
Event 2030
Description: Fitnesswahn - der Promi erh�t einen h�eren Action-Skill und wird attraktiver
]]
Event2030 = {id=2030; duration=1; update=0; typ=2; name="Fitnesswahn"}

function Event2030:OnTrigger()
end

function Event2030:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2030);
	SetTicker(2030);
	SetNews(2030);
	AddSkill(1,10);
	AddFeature(3,1);
end

function Event2030:OnUpdate()
end

function Event2030:OnEnd()
end

InitEvent(Event2030);

--[[
Event 2031
Description: Friseur-Fauxpas - der Promi verliert Attraktivit�
]]
Event2031 = {id=2031; duration=1; update=0; typ=2; name="Friseur-Fauxpas"}

function Event2031:OnTrigger()
end

function Event2031:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2031);
	SetTicker(2031);
	SetNews(2031);
	AddFeature(3,-1);
end

function Event2031:OnUpdate()

end

function Event2031:OnEnd()
end

InitEvent(Event2031);

--[[
Event 2032
Description: Sektenbeitritt - der Promi gewinnt Charisma und Empathie, verliert aber Fame
]]
Event2032 = {id=2032; duration=7; update=0; typ=2; name="Sektenbeitritt"}

function Event2032:OnTrigger()
end

function Event2032:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2032);
	SetTicker(2032);
	SetNews(2032);
	AddFeature(1,1);
	AddFeature(2,1);
end

function Event2032:OnUpdate()
end

function Event2032:OnEnd()
	SelectPerson(promiEventID);
	AddAveragePersonalFame(-1, -10);
end

InitEvent(Event2032);

--[[
Event 2033
Description: Egotrip - der Promi verliert Empathie und Wahrnehmung
]]
Event2033 = {id=2033; duration=1; update=0; typ=2; name="Egotrip"}

function Event2033:OnTrigger()
end

function Event2033:OnBegin()
	SetPromiDuration(2033, 3, 8);
	SelectPerson(promiEventID);
	SetBubble(2,2033);
	SetTicker(2033);
	SetNews(2033);
	AddFeature(2,-1);
	AddFeature(4,-1);
end

function Event2033:OnUpdate()
end

function Event2033:OnEnd()
	SelectPerson(promiEventID);
	AddFeature(2,1);
	AddFeature(4,1);
end

InitEvent(Event2033);

--[[
Event 2034
Description: Seitensprung - der Promi verliert Fame
]]
Event2034 = {id=2034; duration=7; update=0; typ=2; name="Seitensprung"}

function Event2034:OnTrigger()
end

function Event2034:OnBegin()
	SelectPerson(promiEventID);
	SetTicker(2034);
	SetNews(2034);
	SetBubble(2,2034);
end

function Event2034:OnUpdate()
end

function Event2034:OnEnd()
	SelectPerson(promiEventID);
	AddAveragePersonalFame(-1, -10);
end

InitEvent(Event2034);

--[[
Event 2035
Description: Drogenprobleme - der Promi verliert Fame und Skillpunkte zuf�liger Kategorien
]]
Event2035 = {id=2035; duration=7; update=0; typ=2; name="Drogenprobleme"}

function Event2035:OnTrigger()
end

function Event2035:OnBegin()
	SelectPerson(promiEventID);
	SetTicker(2035);
	SetNews(2035);
	MixArray(allskills);
	AddSkill(allskills[math.random(1,2)],-10);
	AddSkill(allskills[math.random(3,4)],-10);
	AddSkill(allskills[math.random(5,7)],-10);
	SetBubble(2,2035);
end

function Event2035:OnUpdate()
end

function Event2035:OnEnd()
	SelectPerson(promiEventID);
	AddAveragePersonalFame(-1, -10);
end

InitEvent(Event2035);

--[[
Event 2036
Description: Tierqu�erei - der Promi verliert enorm viel Fame
]]
Event2036 = {id=2036; duration=7; update=0; typ=2; name="Tierqu�erei"}

function Event2036:OnTrigger()
end

function Event2036:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2036);
	SetTicker(2036);
	SetNews(2036);
end

function Event2036:OnUpdate()
end

function Event2036:OnEnd()
	SelectPerson(promiEventID);
	AddAveragePersonalFame(-1, -25);
end

InitEvent(Event2036);

--[[
Event 2037
Description: 2. Karriere im Pop-Business - der Promi gewinnt Fame, verliert aber Motivation
]]
Event2037 = {id=2037; duration=7; update=0; typ=2; name="Karriere im Pop-Business"}

function Event2037:OnTrigger()
end

function Event2037:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2037);
	SetTicker(2037);
	SetNews(2037);
	AddMotivation(-1, -10);
end

function Event2037:OnUpdate()
end

function Event2037:OnEnd()
	SelectPerson(promiEventID);
	AddAveragePersonalFame(-1, 10);
end

InitEvent(Event2037);

--[[
Event 2038
Description: Nahtoderfahrung - der Promi erh�t einen Bonus auf Motivation und den Anspruch-Skill,
sowie Mali auf Action und Unterhaltung
]]
Event2038 = {id=2038; duration=1; update=0; typ=2; name="Nahtoderfahrung"}

function Event2038:OnTrigger()
end

function Event2038:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2038);
	SetTicker(2038);
	SetNews(2038);
	AddMotivation(-1, 10);
	AddSkill(5,10);
	AddSkill(1,-10);
	AddSkill(6,-10);
end

function Event2038:OnUpdate()
end

function Event2038:OnEnd()
end

InitEvent(Event2038);

--[[
Event 2039
Description: Kreative Krise - der Promi verliert viel Motivation; Dauer bis zu 62 Tage
]]
Event2039 = {id=2039; duration=1; update=0; typ=2; name="Kreative Krise"}

function Event2039:OnTrigger()
end

function Event2039:OnBegin()
	SetPromiDuration(2039, 3, 8);
	SelectPerson(promiEventID);
	SetBubble(2,2039);
	SetTicker(2039);
	SetNews(2039);
	AddMotivation(-1, -25);
end

function Event2039:OnUpdate()
end

function Event2039:OnEnd()
	SelectPerson(promiEventID);
	AddMotivation(-1, 25);
end

InitEvent(Event2039);

--[[
Event 2040
Description: Kreativer H�epunkt - der Promi gewinnt viel Motivation; Dauer bis zu 62 Tage
]]
Event2040 = {id=2040; duration=62; update=-1; typ=2; name="Kreativer H�epunkt"}

function Event2040:OnTrigger()
end

function Event2040:OnBegin()
	SetPromiDuration(2040, 3, 8);
	SelectPerson(promiEventID);
	SetBubble(2,2040);
	SetTicker(2040);
	SetNews(2040);
	AddMotivation(-1, 25);
end

function Event2040:OnUpdate()
end

function Event2040:OnEnd()
	SelectPerson(promiEventID);
	AddMotivation(-1, -25);
end

InitEvent(Event2040);

--[[
Event 2041
Description: Neues Hobby: Makramee - der Promi verliert Action-Skill und Fame
]]
Event2041 = {id=2041; duration=7; update=0; typ=2; name="Hobby: Makramee"}

function Event2041:OnTrigger()
end

function Event2041:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2041);
	SetTicker(2041);
	SetNews(2041);
	AddSkill(1,-10);
end

function Event2041:OnUpdate()
end

function Event2041:OnEnd()
	SelectPerson(promiEventID);
	AddAveragePersonalFame(-1, -10);
end

InitEvent(Event2041);

--[[
Event 2042
Description: Frisch verliebt - Motivation und Liebes-Skill steigen, am Ende f�lt die Motivation
]]
Event2042 = {id=2042; duration=62; update=-1; typ=2; name="Frisch verliebt"}

function Event2042:OnTrigger()
end

function Event2042:OnBegin()
	SetPromiDuration(2042, 3, 8);
	SelectPerson(promiEventID);
	SetBubble(2,2042);
	SetTicker(2042);
	SetNews(2042);
	AddSkill(2,10);
	AddMotivation(-1, 10);
end

function Event2042:OnUpdate()
end

function Event2042:OnEnd()
	SelectPerson(promiEventID);
	AddMotivation(-1, -10);
end

InitEvent(Event2042);


--[[
Event 2043
Description: Trauerfall - Trag�ien Skill steigt und die Motivation sinkt, dauert bis zu 62 Tage lang
]]
Event2043 = {id=2043; duration=62; update=-1; typ=2; name="Trauerfall"}

function Event2043:OnTrigger()
end

function Event2043:OnBegin()
	SetPromiDuration(2043, 3, 8);
	SelectPerson(promiEventID);
	SetBubble(2,2043);
	SetTicker(2043);
	SetNews(2043);
	AddSkill(3,10);
	AddMotivation(-1, -10);
end

function Event2043:OnUpdate()
end

function Event2043:OnEnd()
	SelectPerson(promiEventID);
	AddMotivation(-1, 10);
end

InitEvent(Event2043);

--[[
Event 2044
Description: Besuch 3. welt - Promi ist fr eine Woche "off" und sein Fame steigt
]]
Event2044 = {id=2044; duration=7; update=0; typ=2; name="Besuch 3. Welt" }

function Event2044:OnTrigger()
end

function Event2044:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2044);
	SetTicker(2044);
	SetNews(2044);
	PersonOff();
	AddAveragePersonalFame(-1, 10);
end

function Event2044:OnUpdate()
end

function Event2044:OnEnd()
	SelectPerson(promiEventID);
	PersonOn();
	if GetChief()==0 then
		CreateEmail(2045,19);
	end
end

InitEvent(Event2044);

--[[
Event 2046
Description: Zweitkarriere als Ausdruckst�zer - Promi hat verminderte Motivation und setzt sich evt. zur Ruhe
]]
Event2046 = {id=2046; duration=1; update=0; typ=2; name="Ausdruckstanz"}

function Event2046:OnTrigger()
end

function Event2046:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2046);
	SetTicker(2046);
	AddMotivation(-1, -15);
	if math.random(1,10)>5 then
		PersonRetired();
		SetNews(2046);
		if GetChief()==0 then
			CreateEmail(2046,-1);
		end
	else
		SetNews(2047);
	end
end

function Event2046:OnUpdate()
end

function Event2046:OnEnd()
end

InitEvent(Event2046);

--[[
Event 2048
Description: Audienz beim Papst - Promi fr eine Woche "off" und erh�t einen Fameanstieg
]]
Event2048 = {id=2048; duration=7; update=0; typ=2; name="Papstbesuch"}

function Event2048:OnTrigger()
end

function Event2048:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2048);
	SetTicker(2048);
	SetNews(2048);
	PersonOff();
	if GetChief()==0 then
		CreateEmail(2048,-1);
	end
	AddAveragePersonalFame(-1, 10);
end

function Event2048:OnUpdate()        
end

function Event2048:OnEnd()
	SelectPerson(promiEventID);
	PersonOn();
	if GetChief()==0 then
		CreateEmail(2049,-1);
	end
end

InitEvent(Event2048);

--[[
Event 2049
Description: Ladendiebstahl - Promi erh�t Fame-Malus und setzt sich evt. zur Ruhe
]]
Event2049 = {id=2049; duration=7; update=0; typ=2; name="Ladendiebstahl"}

function Event2049:OnTrigger()
end

function Event2049:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2049);
	SetTicker(2049);
	SetNews(2049);
	AddAveragePersonalFame(-1, -10);
end

function Event2049:OnUpdate()
end

function Event2049:OnEnd()
	if math.random(1,2)==2 then
		SelectPerson(promiEventID);
		PersonRetired();
		SetNews(2050);
		SetTicker(2050);
		if GetChief()==0 then
			CreateEmail(2050,-1);
		end
	end
end

InitEvent(Event2049);

--[[
Event 2051
Description: Nacktphotos - Promi erh�t Fame-Malus und setzt sich evt. zur Ruhe
]]
Event2051 = {id=2051; duration=7; update=0; typ=2; name="Nacktphotos"}

function Event2051:OnTrigger()
end

function Event2051:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2051);
	SetTicker(2051);
	SetNews(2051);
	AddAveragePersonalFame(-1, -10);
end

function Event2051:OnUpdate()
end

function Event2051:OnEnd()
	if math.random(1,2)==2 then
		SelectPerson(promiEventID);
		PersonRetired();
		SetNews(2052);
		SetTicker(2052);
		if GetChief()==0 then
			CreateEmail(2052,-1);
		end
	end
end

InitEvent(Event2051);

--[[
Event 2053
Description: Spielsucht - Promi erh�t Motivations-Bonus, Fame-Malus und setzt sich evt. zur Ruhe
]]
Event2053 = {id=2053; duration=7; update=0; typ=2; name="Spielsucht"}

function Event2053:OnTrigger()
end

function Event2053:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2053);
	SetTicker(2053);
	SetNews(2053);
	AddMotivation(-1, 10);
	AddAveragePersonalFame(-1, -10);
end

function Event2053:OnUpdate()
end

function Event2053:OnEnd()
	if math.random(1,2)==2 then
		SelectPerson(promiEventID);
		PersonRetired();
		SetNews(2054);
		SetTicker(2054);
		if GetChief()==0 then
			CreateEmail(2054,-1);
		end
	end
end

InitEvent(Event2053);

--[[
Event 2055
Description: Fahrerflucht - Promi erh�t hohen Fame-Malus und setzt sich evt. zur Ruhe
]]
Event2055 = {id=2055; duration=7; update=-1; typ=2; name="Fahrerflucht"}

function Event2055:OnTrigger()
end

function Event2055:OnBegin()
	SelectPerson(promiEventID);
	SetBubble(2,2055);
	SetTicker(2055);
	SetNews(2055);
	AddAveragePersonalFame(-1, -25);
end

function Event2055:OnUpdate()
end

function Event2055:OnEnd()
	SelectPerson(promiEventID);
	if math.random(1,2)==2 then
		PersonRetired();
		SetBubble(2,2056);
		SetNews(2056);
		SetTicker(2056);
		if GetChief()==0 then
			CreateEmail(2056,-1);
		end
	else
		SetBubble(2,2057);
		SetNews(2057);
		SetTicker(2057);
	end
end

InitEvent(Event2055);

--[[
Event 2058
Description: Entfhrung durch Ausserirdische - Promi ist fr h�hstens 42 Tage "off",
erh�t bei Rckkehr Bonus auf Intelligenz und Wahrnehmung
]]
Event2058 = {id=2058; duration=1; update=0; typ=2; name="Alien Abduction"}

function Event2058:OnTrigger()
end

function Event2058:OnBegin()
	SetPromiDuration(2058, 2, 4);
	SelectPerson(promiEventID);
	SetTicker(2058);
	SetNews(2058);
	SetBubble(2,2058);
    PersonOff();
	if GetChief()==0 then
		CreateEmail(2058, -1);
		SetBubble(2,2058);
	end
end

function Event2058:OnUpdate()
end

function Event2058:OnEnd()
	SelectPerson(promiEventID);
	PersonOn();
	AddFeature(0,1);
	AddFeature(4,1);
	SetNews(2059);
	SetTicker(2059);
	SetBubble(2,2059);
	if GetChief()==0 then
		CreateEmail(2059, -1);
	end
end

InitEvent(Event2058);

--[[
Event 2060
Description: Entfhrung - Promi ist fr h�hstens 42 Tage "off"
]]
Event2060 = {id=2060; duration=1; update=0; typ=2; name="Entfhrung"}

function Event2060:OnTrigger()
end

function Event2060:OnBegin()
	SetPromiDuration(2060, 2, 4);
	SelectPerson(promiEventID);
	SetTicker(2060);
	SetNews(2060);
	SetBubble(2,2060);
	PersonOff();
	if GetChief()==0 then
		SetBubble(2,2060);
	end
end

function Event2060:OnUpdate()
end

function Event2060:OnEnd()
	SelectPerson(promiEventID);
	PersonOn();
	SetNews(2061);
	SetTicker(2061);
	SetBubble(2,2061);
	if GetChief()==0 then
		CreateEmail(2061, -1)
	end
end

InitEvent(Event2060);

--[[
Event 2062
Description: Sch�heits-OP - Promi ist fr 14 Tage "off",
erh�t bei Rckkehr Attraktivit�s-Malus oder Bonus
]]
Event2062 = {id=2062; duration=14; update=0; typ=2; name="schnheits_op"}

function Event2062:OnTrigger()
end

function Event2062:OnBegin()
	SelectPerson(promiEventID);
	PersonOff();
	if GetChief()==0 then
		CreateEmail(2062, -1);
	end
end

function Event2062:OnUpdate()
end

function Event2062:OnEnd()
	SelectPerson(promiEventID);
	PersonOn();
	if GetChief()==0 then
		CreateEmail(2063, -1);
	end
	if math.random(1,2)==2 then
		AddFeature(3,1);
		SetNews(2062);
		SetTicker(2062);
		SetBubble(2,2062);
	else
		AddFeature(3,-1);
		SetNews(2063);
		SetTicker(2063);
		SetBubble(2,2062);
	end
end

InitEvent(Event2062);

--[[
Event 2064
Description: Bungee-Malheur - Promi ist fr 14 Tage "off",
und erh�t Intelligenz-Malus
]]
Event2064 = {id=2064; duration=14; update=0; typ=2; name="Bungee-Malheur"}

function Event2064:OnTrigger()
end

function Event2064:OnBegin()
	SelectPerson(promiEventID);
	SetTicker(2064);
	SetNews(2064);
	SetBubble(2,2064);
	PersonOff();
	AddFeature(0,-1);
	if GetChief()==0 then
		CreateEMail(2064, -1);
	end
end

function Event2064:OnUpdate()
end

function Event2064:OnEnd()
	SelectPerson(promiEventID);
	PersonOn();
	if GetChief()==0 then
		CreateEMail(2065, -1);
	end
end

InitEvent(Event2064);

--[[
Event 2065
Description: Reporter verprgelt - Promi erh�t starken Fame-Malus und geht evt. in Ruhestand
]]
Event2065 = {id=2065; duration=7; update=0; typ=2; name="Reporter verprgelt"}

function Event2065:OnTrigger()
end

function Event2065:OnBegin()
	SelectPerson(promiEventID);
	SetTicker(2065);
	SetNews(2065);
	SetBubble(2,2065);
	AddAveragePersonalFame(-1, -25);
end

function Event2065:OnUpdate()
end

function Event2065:OnEnd()
	if math.random(1,2)==2 then
		SelectPerson(promiEventID);
		PersonRetired();
		SetNews(2066);
		SetTicker(2066);
		SetBubble(2,2066);
	end
end

InitEvent(Event2065);

--[[
Event 2070
Description: Auszeit - Promi ist wegen Krankheit/Krise/Unfall usw. fr 14-28 Tage "off"
]]
Event2070 = {id=2070; duration=1; update=0; typ=3; name="Auszeit"}

function Event2070:OnTrigger()
end

function Event2070:OnBegin()
	SelectPerson(promiEventID);
	SetPromiDuration(2070, 2, 4);
	PersonOff();
	local temp=math.random(2070,2075);
	SetTicker(temp);
	SetNews(temp);
	SetBubble(2,temp);
	if GetChief()==0 then
		CreateEmail(temp, -1);
	end
end

function Event2070:OnUpdate()
end

function Event2070:OnEnd()
	SelectPerson(promiEventID);
	PersonOn();
	if GetChief()==0 then
		CreateEmail(temp+7, -1);
	end
	SetEndCalled(2070,true);
end

InitEvent(Event2070);

--[[
Event 2085
Description: Ged�htnisverlust - Promi ist fr 14 Tage "off" bekommt Mali auf zuf�lige Skills
]]
Event2085 = {id=2085; duration=14; update=0; typ=2; name="Ged�htnisverlust"}

function Event2085:OnTrigger()
end

function Event2085:OnBegin()
	SelectPerson(promiEventID);
	SetTicker(2085);
	SetNews(2085);
	SetBubble(2,2085);
	PersonOff();
	MixArray(allskills);
	AddSkill(allskills[math.random(1,2)],-10);
	AddSkill(allskills[math.random(3,4)],-10);
	AddSkill(allskills[math.random(5,7)],-10);
	if GetChief()==0 then
		CreateEmail(2085, -1);
		SetBubble(2, 2085);
	end
end

function Event2085:OnUpdate()
end

function Event2085:OnEnd()
	SelectPerson(promiEventID);
	PersonOn();
	if GetChief()==0 then
		CreateEmail(2086, -1);
	end
end

InitEvent(Event2085);

--[[
Event 2090
Description: Daneben benommen - Promi erh�t fr eine zuf�lige Aktion Fameabzug
]]
Event2090 = {id=2090; duration=1; update=0; typ=3; name="Daneben benommen"}

function Event2090:OnTrigger()
end

function Event2090:OnBegin()
	local temp=math.random(2090,2093);
	SelectPerson(promiEventID);
	SetTicker(temp);
	SetNews(temp);
	SetBubble(2,temp);
	AddAveragePersonalFame(-1, math.random(-15,-5));
end

function Event2090:OnUpdate()
end

function Event2090:OnEnd()
end

InitEvent(Event2090);

--[[
Event 2095
Description: Spende - Promi erh�t fr eine zuf�lige Spendenaktion Fame-Bonus
]]
Event2095 = {id=2095; duration=1; update=0; typ=3; name="Spende"}

function Event2095:OnTrigger()
end

function Event2095:OnBegin()
	local temp=math.random(2095,2098);
	SelectPerson(promiEventID);
	SetTicker(temp);
	SetNews(temp);
	SetBubble(2,temp);
	AddAveragePersonalFame(-1, math.random(5,15));
end

function Event2095:OnUpdate()
end

function Event2095:OnEnd()
end

InitEvent(Event2095);


--[[
Event 2200
Decription: Goodies and Badies Event Caller - einmal pro Monat
]]
Event2200 = {id=2200; duration=1; update=-1; typ=-1; name="Goodies and Badies Caller"}

function Event2200:OnTrigger()
end

function Event2200:OnBegin()
	if GetCallCount(2200) > 3 then
		SetDuration(2200,math.random(7));
		if GetRandomScript() == -1 then
			allGBEvents = { Event2201, Event2213, Event2260 }
		end
	else
		SetEndCalled(2200,true);
	end
end

function Event2200:OnUpdate()
end

function Event2200:OnEnd()
	-- Jedes G&B gibt im Trigger einen INT zurck, aus dieser Summe wird ein Zufallswert gebildet
	local sum = 0;
	local size = table.getn(allGBEvents);
	
	for i = 1, size do            
		sum = sum + allGBEvents[i].OnTrigger();
	end
    local target = math.random(0, sum);
	sum = 0;
	for i = 1, size do 
		sum = sum + allGBEvents[i].OnTrigger();
		if sum > target then
			CallEvent(allGBEvents[i].id);
			return
		end
	end
end

InitEvent(Event2200);




--[[
Event 2201
Decription: Eine laufende Produktion ver�dert sich - Teurer/Billiger - Schneller/Langsamer
]]
Event2201 = {id=2201; duration=28; update=1; typ=4; name="Produktion ver�dert sich I"}

function Event2201:OnTrigger()
	return(100);
end

function Event2201:OnBegin()
	if IsEventRunning(2310) or IsEventRunning(2403) or IsEventRunning(2413) or IsEventRunning(2423) or bigEventRunning == true then
		SetEndCalled(2201, true);
	else
		productionID = GetRandomProduction();	-- w�lt eine zuf�lige laufende Produktion aus
												-- Der Name des entsprechenden Produktionsleiters/Regisseurs wird fr die Parservariable $prodleiter gespeichert
												-- Der Name der Produktion wird fr die Parservariable $prodname gespeichert
		if productionID == -1 then
			SetEndCalled(2201,true)
		else
			if GetProductionDuration() < 7 then
				CallEvent(math.random(2202,2205));
			else
				CallEvent(math.random(2204,2205));
			end
		end
	end
end

function Event2201:OnUpdate()
end

function Event2201:OnEnd()
end

InitEvent(Event2201);




--[[
Event 2202
Decription: Produktion verz�ert sich um 15-30%, Email verschicken und Terminplaner Eintrag aktualisieren
]]
Event2202 = {id=2202; duration=1; update=-1; typ=-1; name="Produktion ver�dert sich II - Verz�erung"}

function Event2202:OnTrigger()
end

function Event2202:OnBegin()
	newDuration = math.ceil(GetProductionDuration() * math.random(115,130) / 100);
	if newDuration == 1 then
		newDuration = 2;
	end
	SetParserInt("delay", newDuration - GetProductionDuration())
	SetProductionDuration(newDuration,19);			
	CreateEmail(math.random(2220,2223),19);			-- Die Verz�erung in Tagen wird fr die Parservariable $delay gespeichert
end

function Event2202:OnUpdate()
end

function Event2202:OnEnd()
end

InitEvent(Event2202);



--[[
Event 2203
Decription: Produktion vorzeitig abgeschlossen, Email verschicken, Produktion als abgeschlossen setzen und Terminplaner Eintrag l�chen
]]
Event2203 = {id=2203; duration=1; update=-1; typ=-1; name="Produktion ver�dert sich II - Vorzeitig abgeschlossen"}

function Event2203:OnTrigger()
end

function Event2203:OnBegin()
	SetProductionDuration(0,17);
	CreateEmail(math.random(2230,2233), -1);
end

function Event2203:OnUpdate()
end

function Event2203:OnEnd()
end

InitEvent(Event2203);



--[[
Event 2204
Decription: Produktionskosten gnstiger ausgefallen, Betrag erechnen und Email verschicken
]]
Event2204 = {id=2204; duration=1; update=-1; typ=-1; name="Produktion ver�dert sich II - Produktionskosten gnstiger ausgefallen"}

function Event2204:OnTrigger()
end

function Event2204:OnBegin()
	costChange = math.ceil(GetProductionCost(productionID) * math.random(3,8) / 100);
	SetParserInt("costs", costChange);								
	AddCash(costChange,1);
	CreateEmail(math.random(2240,2243), -1);
end

function Event2204:OnUpdate()
end

function Event2204:OnEnd()
end

InitEvent(Event2204);



--[[
Event 2205
Decription: Produktion erfordert zus�zliche Kosten, Emailbenachrichtigung
]]
Event2205 = {id=2205; duration=1; update=-1; typ=-1; name="Produktion ver�dert sich II - zus�zliche Produktionskosten"}

function Event2205:OnTrigger()
end

function Event2205:OnBegin()
	costChange = math.ceil(GetProductionCost() * math.random(5,10) / 100);
	SetParserInt("costs", costChange);
	CreateEmail(math.random(2250,2253), -1);
	AddCash(-costChange(), 0);
end

function Event2205:OnUpdate()
end

function Event2205:OnEnd()
end

InitEvent(Event2205);



--[[
Event 2210
Decription: Angebot Drehbuch von unbekanntem Scripter
]]
Event2210 = {id=2210; duration=1; update=-1; typ=-1; name="Kostenloses Drehbuch I"}

function Event2210:OnTrigger()
	return(15);
end

function Event2210:OnBegin()
	if GetCallCount(2210) >= 1 then
		SetEndCalled(2210,true);
	else
		if GetRandomPerson(7,4,-1) ~= -1 then					--W�lt einen zuf�ligen Drehbuchschreiber aus
			scriptForSale = GetRandomScript();					--w�lt ein zuf�liges unverfilmtes Script aus der Datenbank aus
																-- CreateEmail(2210,22); wird vom Code getriggert
		else
			SetCallCount(2210, -1);
		end
	end
end

function Event2210:OnUpdate()
end

function Event2210:OnEnd()
end

InitEvent(Event2210);

--[[
Event 2211
Decription: Drehbuch von unbekanntem Scripter, dem Spieler berschreiben
]]
Event2211 = {id=2211; duration=1; update=-1; typ=-1; name="Kostenloses Drehbuch II"}

function Event2211:OnTrigger()
end

function Event2211:OnBegin()
	ThisScriptIsMine(scriptForSale);			-- Fgt das ausgew�lte Drehbuch aus der Datenbank in den Besitz des Spielers ein
end

function Event2211:OnUpdate()
end

function Event2211:OnEnd()
end

InitEvent(Event2211);



--[[
Event 2213
Decription: Hacker legt Sender lahm - Prft Vorraussetzung und ruft eigentliches Event auf
]]
Event2213 = {id=2213; duration=1; update=-1; typ=-1; name="Hacker I"}

function Event2213:OnTrigger()
	return(50);
end

function Event2213:OnBegin()
	if GotMostFame() == true and bigEventRunning == false and GetCallCount(2214) < 1 then
		CallEvent(2214);
	else
		SetCallCount(2213, -1);
	end
end

function Event2213:OnUpdate()
end

function Event2213:OnEnd()
end

InitEvent(Event2213);

--[[
Event 2214
Decription: Hacker legt Sender lahm - Mail vom Hacker, Mail und Sprechblase Programmdirektor, Zeitung, Ticker -ein bis zwei Tage kein Programm
]]
Event2214 = {id=2214; duration=5; update=-1; typ=-1; name="Hacker II"}

function Event2214:OnTrigger()
end

function Event2214:OnBegin()
	SetUpdateTime(2214,math.random(1,2));
	CallEvent(2200);
	CreateEmail(2214, -1);		-- Hacker
	CreateEmail(2215, -1);		
	SetBubble(1,2213);			-- Chefsekret�in
	SetBubble(3,2215);			-- Programmdirektor
	SetBubble(2,2216);			-- Empfangsdame
	SetTicker(2214);
	SetNews(2214);
	EnableChannel(0, false)		-- Ignoriert ab sofort die Sendeplanung des Spielers --> es wird nichts gesendet!
end

function Event2214:OnUpdate()
	EnableChannel(0, true)		-- Die Ausstrahlung des geplanten Programmes wird wieder aufgenommen
	SetTicker(2215);
	SetBubble(0,2214);			-- Intendant
	SetBubble(2,2217);			-- Empfangsdame
	SetBubble(3,2218);			-- Programmdirektor
	SetEndCalled(2214,true);
end

function Event2214:OnEnd()
end

InitEvent(Event2214);

--[[
Event 2260
Decription: Angebote Filmpakete - per Email versenden
]]
Event2260 = {id=2260; duration=1; update=-1; typ=-1; name="Filmpakete"}

function Event2260:OnTrigger()
	return(90);
end

function Event2260:OnBegin()
	if GetRandomMovies(math.random(3,4)) > 1 then				-- Filme aus der Datenbank auswaehlen, fr die Parservariable $movies speichern
		CreateEmail(2260, 21);
	end		
end

function Event2260:OnUpdate()
end

function Event2260:OnEnd()
end

InitEvent(Event2260);


--[[
Event 2261
Decription: Angebote Filmpakete - per Email versenden

Kopie von 2260 - luft in den ersten sechs Monaten

]]
Event2261 = {id=2261; duration=12; update=11; typ=-1; name="regelmige Filmpakete"}

function Event2261:OnTrigger()
end

function Event2261:OnBegin()
	SetUpdateTime(2261, math.random(5,10));
end

function Event2261:OnUpdate()
	if GetRandomMovies(2) > 1 then				
		CreateEmail(2260, 21);
	end
	SetUpdateTime(2261,999);
end

function Event2261:OnEnd()
end

InitEvent(Event2261);


--[[
Event 2265
Decription: Angebot Drehbuch per Email
]]
Event2265 = {id=2265; duration=1; update=-1; typ=-1; name="Angebot Drehbuch I"}

function Event2265:OnTrigger()
	return(15);
end

function Event2265:OnBegin()
	if GetRandomPerson(7,4,-1) ~= -1 then		-- Whlt einen zuflligen Drehbuchschreiber aus
		GetRandomScript2265(0.9);					-- Whlt ein Drehbuch aus und verschickt eine Email mit Kaufoption
	end
end

function Event2265:OnUpdate()
end

function Event2265:OnEnd()
end

InitEvent(Event2265);


--[[
Event 2300
Decription: Senderangestellte wnschen Kantine - Sprechblasen setzen und eine Email verschicken
]]
Event2300 = {id=2300; duration=30; update=-1; typ=-1; name="Senderangestellte wnschen Kantine"}

function Event2300:OnTrigger()
end

function Event2300:OnBegin()
		if GetBuildingLevel(0, 1) >= 0 then
			SetEndCalled(2300,true);									-- prft ab, ob Kantine vorhanden ist
		else
			SetUpdateTime(2300,math.random(1,14));							-- platziert das Event innerhalb den laufenden Monat
		end
end

function Event2300:OnUpdate()
	if GetBuildingLevel(0, 1) >= 0 then
		SetEndCalled(2300,true);
	else
		CreateEmail(2300, -1);											-- Email von der Gewerkschaft	
		sprechblasen = { 2300, 2301, 2302, 2303 };						-- Senderangestellte fabulieren ber die Vorzge einer Kantine
		BubbleSpam(1,sprechblasen);							
		SetDuration(2300,14);
		SetUpdateTime(2300,999);
	end
end

function Event2300:OnEnd()
	if GetBuildingLevel(0, 1) < 0 then
		CallEvent(2305);
	else
		sprechblasen = {2296, 2297, 2298, 2299};						-- Senderangestellte freuen sich ber die Kantine
		BubbleSpam(1, sprechblasen);
	end															
end

InitEvent(Event2300);


--[[
Event 2305
Decription: Angestellte fordern Kantine
]]
Event2305 = {id=2305; duration=14; update=-1; typ=-1; name="Senderangestellte fordern Kantine"}

function Event2305:OnTrigger()
end

function Event2305:OnBegin()
	if GetBuildingLevel(0, 1) >= 0 then
		SetEndCalled(2305,true);
	else
		CreateEmail(2305, -1);														-- Petition der Angestellten
		CreateEmail(2306, 19);														-- Email des Intendanten
		sprechblasen = { 2300, 2301, 2302, 2303, 2305, 2306, 2307, 2308 };			-- Senderangestellte gemischt zwischen Wunsch und Forderung
		BubbleSpam(1,sprechblasen);										
	end
end

function Event2305:OnUpdate()
end

function Event2305:OnEnd()
	CallEvent(2310);
end

InitEvent(Event2305);

--[[
Event 2309
Decription: Senderangestellte fordern Kantine - Wurde der Wunsch nicht erfllt, melden sich die Angestellten nach mindestens einem halben Jahr wieder
]]
Event2309 = {id=2309; duration=1; update=-1; typ=-1; name="The Cantina Strikes Back"}

function Event2309:OnTrigger()
end

function Event2309:OnBegin()
	SetDuration(2309,math.random(84,168));
end

function Event2309:OnUpdate()
end

function Event2309:OnEnd()
	if GetBuildingLevel(0, 1) < 0 then
		CallEvent(2305);
	end
end

InitEvent(Event2309);


--[[
Event 2310
Decription: Keine kantine-Streik
]]
Event2310 = {id=2310; duration=1; update=1; typ=-1; name="Keine Kantine Streik"}

function Event2310:OnTrigger()
end

function Event2310:OnBegin()
	if GetBuildingLevel(0, 1) < 0 then											-- Streik ausl�en
		CreateEmail(2310, -1);													-- Ankndigung der Gewerkschaft
		GetStrikeDuration(2310);
		SetAmbient(2400, true);
		RemoveSomeSenderPersons(true);											-- NPCs deaktivieren
		EnableChannel(0, false);	
	end
end

function Event2310:OnUpdate()
	if GetBuildingLevel(0, 1) >= 0 then
		Event2310:OnEnd();
	end
end

function Event2310:OnEnd()
	EnableChannel(0, true);
	SetAmbient(2400, false);
	RemoveSomeSenderPersons(false);												-- NPCs deaktivieren
	if GetBuildingLevel(0, 1) < 0 then
		CallEvent(2309);
	else
		sprechblasen = {2296, 2297, 2298, 2299};								-- Senderangestellte freuen sich ber die Kantine
		BubbleSpam(1, sprechblasen);
	end
end

InitEvent(Event2310);

--[[
Event 2320
Decription: Wissenschaftliche Entdeckung: Sendetechnik - Zeitungsartikel, Sprechblase Programmdirektor und Follow-Up Intendantenauftrag
]]
Event2320 = {id=2320; duration=1; update=-1; typ=-1; name="Wi-Entdeckung: Sendetechnik"}

function Event2320:OnTrigger()
end

function Event2320:OnBegin()
	SetTicker(2320);
	SetNews(2320);
	SetBubble(3,2320);				-- Programmdirektor
	CallEvent(1130);
end

function Event2320:OnUpdate()
end

function Event2320:OnEnd()
end

InitEvent(Event2320);


--[[
Event 2330
Decription: Neu Laden�fnungszeiten - Quote veraendern und nach einem halben Jahr wieder einpendeln lassen

Wird von der Wirtschaftskrise getriggert

]]
Event2330 = {id=2330; duration=70; update=1; typ=-1; name="Ladenoeffnungszeiten"}

function Event2330:OnTrigger()
end

function Event2330:OnBegin()
	SetBubble(2,2330);							-- Empfangsdame
	SetNews(2330);
	SetTicker(2330);
	SetAmbient(2330,true)
	for i=0,4,1 do
		for y=0,3,1 do
			SetNoTV(i, y, 60)
		end
		for y=4,7,1 do
			SetNoTV(i, y, 40)
		end
	end
	CreateEmail(2330,20);
	openingHours = 1;
end

function Event2330:OnUpdate()
	if openingHours == 1 then
		SetAmbient(2330, false);
		SetUpdateTime(2330,42);
		openingHours = 2;
	elseif openingHours == 2 then
		SetUpdateTime(2330,14);
		openinghours = 3;
	else
		for i=0,4,1 do
			for y=0,3,1 do
				SetNoTV(i, y, -30)
			end
			for y=4,7,1 do
				SetNoTV(i, y, -20)
			end
		end
		
	end
end

function Event2330:OnEnd()
end

InitEvent(Event2330);


--[[
Event 2340
Decription: Streik der Angestellten der Stromversorgung
Follow up: 2360

im Kalender, jaehrlich

]]
Event2340 = {id=2340; duration=157; update=-1; typ=-1; name="Stromversorgung - Streik"}

function Event2340:OnTrigger()
end

function Event2340:OnBegin()
	if math.random(10) >2 then
		SetEndCalled(2340,true);
	else
		SetUpdateTime(2340,math.random(156));				
	end
end

function Event2340:OnUpdate()
	if bigEventRunning == true or IsEventRunning(2370) == true then
		SetEndCalled(2340, true);
	else
		GetStrikeDuration(2340);
		SetAmbient(2340,true);
		CallEvent(2360);										-- Stromausfall wird gestartet
		SetDuration(2360,GetDuration(2340));
		SetBubble(2, 2340);
		SetTicker(2340);
		SetNews(2340);
		SetUpdateTime(2340,666)									--soll nicht erneut upgedatet werden
	end
end

function Event2340:OnEnd()
	SetAmbient(2340,false);
	Event2360:OnEnd();
end

InitEvent(Event2340);


--[[
Event 2345
Decription: Streik der Angestellten der Dienstleistungsangestellten der Telekommunikation

im Kalender, j�rlich

]]
Event2345 = {id=2345; duration=1; update=-1; typ=-1; name="Telekommunikation - Streik"}

function Event2345:OnTrigger()
end

function Event2345:OnBegin()
	if math.random(10) >2 then
		SetEndCalled(2345,true);
	else
		SetDuration(2345,157);
		SetUpdateTime(2345,math.random(156));
	end
end

function Event2345:OnUpdate()
	if bigEventRunning == true then
		SetEndCalled(2345, true);
	else
		GetStrikeDuration(2345);
		SetAmbient(2345,true);
		SetBubble(2,2345);
		SetTicker(2345);
		SetNews(2345);
		SetUpdateTime(2345,666)							--soll nicht erneut upgedatet werden
	end
end

function Event2345:OnEnd()
	SetAmbient(2345,false);
end

InitEvent(Event2345);



--[[
Event 2350
Decription: Streik des Nahverkehrs

im Kalender, jhrlich

]]
Event2350 = {id=2350; duration=1; update=-1; typ=-1; name="Nahverkehr - Streik"}

function Event2350:OnTrigger()
end

function Event2350:OnBegin()
	if math.random(10) > 2 then
		SetEndCalled(2350,true);
	else
		SetDuration(2350,157);
		SetUpdateTime(2350,math.random(156));
	end
end

function Event2350:OnUpdate()
	if bigEventRunning == true then
		SetEndCalled(2350, true);
	else
		GetStrikeDuration(2350);
		SetAmbient(2350,true);
		SetAllProductionsPaused(0, true);
		SetBubble(2,2350);
		SetTicker(2350);
		SetNews(2350);
		SetUpdateTime(2350,666);								--soll nicht erneut upgedatet werden
	end
end

function Event2350:OnEnd()
	SetAmbient(2350,false);
	SetAllProductionsPaused(0, false);
end

InitEvent(Event2350);


--[[
Event 2360
Decription: Stromausfall!
Follow up von 2340
]]
Event2360 = {id=2360; duration=25; update=-1; typ=-1; name="Stromausfall"}

function Event2360:OnTrigger()
end

function Event2360:OnBegin()
	if IsEventRunning(2340) == true then
		CreateEmail(2361, -1);					-- Mail vom Kraftwerk wegen Streik
	else
		CreateEmail(2360, -1);					-- Mail vom Kraftwerk wegen Stromausfall
	end
	SetAmbient(2360,true);						-- Stadtbeleuchtung aus;
	if GetBuildingLevel(0, 0) == 2 then
		sprechblasen = {2360, 2361};			
	elseif GetBuildingLevel(0, 0) == 1 then
		SetAllProductionsPaused(0, true);
		sprechblasen ={2362, 2363};
	end
	if GetBuildingLevel(0, 0) == 0 then
		SetAllProductionsPaused(0, true);
		SetAllProductionsPaused(1, true);
		SetAllProductionsPaused(2, true);
		sprechblasen = {2364, 2365};
	end
	if GetBuildingLevel(0, 0) == -1 then
		SetAllProductionsPaused(0, true);
		SetAllProductionsPaused(1, true);
		SetAllProductionsPaused(2, true);
		EnableChannel(0, false);
		sprechblasen = {2366, 2367};
	end
	BubbleSpam(1, sprechblasen);
end

function Event2360:OnUpdate()
end

function Event2360:OnEnd()
	SetAmbient(2360,false);								-- Stadtbeleuchtung an;
	for i=0, 2, 1 do
		SetAllProductionsPaused(i, false);
		EnableChannel(0,true);
	end
	SetEndCalled(2360,true);
end

InitEvent(Event2360);


--[[
Event 2370
Decription: Elektrizit�skrise

Im Kalender: 05.08.06 

]]
Event2370 = {id=2370; duration=1; update=-1; typ=-1; name="Elektrizit�skrise"}

function Event2370:OnTrigger()
end

function Event2370:OnBegin()
	SetTicker(2370);				
	SetNews(2370);										-- Berichtet von der krise
	if GetBuildingLevel(0, 0) == 2 then
		SetBubble(0,2373);								-- Intendant zur Krise (beste USV)
	else
		SetBubble(0,2374);								-- Intendant zur Krise (USV ausbauf�ig)
	end
	sprechblasen = {2370, 2371, 2372};					-- Senderangestellte zur Krise
	BubbleSpam(1, sprechblasen);
	CallEvent(2360);
	GetStrikeDuration(2360);
end

function Event2370:OnUpdate()
end

function Event2370:OnEnd()
end

InitEvent(Event2370);


--[[
Event 2400
Decription: Gewerkschaft der Senderangestellten fordert h�ere L�ne 
]]
Event2400 = {id=2400; duration=1; update=-1; typ=-1; name="Gewerkschaft der Senderangestellten fordert h�ere L�ne I"}

function Event2400:OnTrigger()
end

function Event2400:OnBegin()
	if (IsEventRunning(2405)
	or IsEventRunning(2415)
	or IsEventRunning(2425)
	or (GetRandomPerson(0,0,-1) == -1 and GetRandomPerson(1,0,-1) == -1))
	or bigEventRunning == true then												-- Event xxx5 laeufft, wenn Lohnforderungen angenommen/gestreikt wurden, quasi als Puffer
		SetEndCalled(2400,true);							
	else
		if math.random(4)==1 then
			SetDuration(2400,math.random(13));									-- Sorgt fr eine zuf�lige Platzierung im laufenden Monat
		else
			SetEndCalled(2400,true);
		end
	end
end

function Event2400:OnUpdate()	
end

function Event2400:OnEnd()
	erhoehung = math.random(5,10);						-- Enth�t die Lohnforderung in prozent
	SetLohnforderung(erhoehung, 0)
	SetParserInt("percent", erhoehung);
	CreateEmail(2400,20);								-- Lohnforderungs-Email der Gewerkschaft
	angestellte = true;
	CallEvent(2401);
end

InitEvent(Event2400);


--[[
Event 2401
Decription: Gewerkschaft der Senderangestellten - statuscheck 1. Email
]]
Event2401 = {id=2401; duration=1; update=1; typ=-1; name="Gewerkschaft der Senderangestellten - Statuscheck"}

function Event2401:OnTrigger()
end

function Event2401:OnBegin()
	SetDuration(2401, math.random(5,8));
end

function Event2401:OnUpdate()
	if salaryraised then
		CreateEmail(2402, 19);								-- Dankes-Email der Gewerkschaft verschicken
		CallEvent(2405);
		SetEndCalled(2401, true);
	end
end

function Event2401:OnEnd()
	erhoehung = erhoehung + GetDemandAlterator();
	SetLohnforderung(erhoehung, 0)
	SetParserInt("percent", erhoehung);
	CreateEmail(2401, -1);
	CallEvent(2402);
end

InitEvent(Event2401);


--[[
Event 2402
Decription: Gewerkschaft der Senderangestellten - Statuscheck 2. Email
]]
Event2402 = {id=2402; duration=1; update=1; typ=-1; name="Gewerkschaft der Senderangestellten, Forderung angenommen"}

function Event2402:OnTrigger()
end

function Event2402:OnBegin()
	SetDuration(2402, math.random(4,7));
end

function Event2402:OnUpdate()
	if salaryraised==true then
		CreateEmail(2402, 19);								-- Dankes-Email der Gewerkschaft verschicken
		CallEvent(2405);
		SetEndCalled(2402, true);
	end
end

function Event2402:OnEnd()
	CallEvent(2403);
end

InitEvent(Event2402);


--[[
Event 2403
Decription: Gewerkschaft der Senderangestellten - Forderung abgelehnt - Streikdauer bestimmen
]]
Event2403 = {id=2403; duration=1; update=1; typ=-1; name="Gewerkschaft der Senderangestellten, Forderung abgelehnt"}

function Event2403:OnTrigger()
end

function Event2403:OnBegin()
	CreateEmail(2403, -1);				-- Streikankuendigung der Gewerkschaft 
	CreateEmail(2404, -1);				-- Kommentar Intendant
	GetStrikeDuration(2403);
	SetAmbient(2400, true); 			-- Streikambient freischalten
	RemoveSomeSenderPersons(true);		-- NPCs deaktivieren
	EnableChannel(0, false);
	SetStrike();
end

function Event2403:OnUpdate()
	if salaryraised == true then
		CreateEmail(2402, 19);								-- Dankes-Email der Gewerkschaft verschicken
		CallEvent(2405);
		SetEndCalled(2403,true);
	end
end

function Event2403:OnEnd()
	if math.random(2) == 1 then
		ChangeGroupMotivation(0,-math.random(5,15));
	end
	CreateEmail(2405, 19);
	SetLohnforderung(0, -1);
	CallEvent(2405);
end

InitEvent(Event2403);


--[[
Event 2405
Decription: Gewerkschaft der Senderangestellten - Angenommen/Streik beendet Pufferevent fr ein Jahr
]]
Event2405 = {id=2405; duration=168; update=-1; typ=-1; name="Gewerkschaft der Senderangestellten - Puffer"}

function Event2405:OnTrigger()
end

function Event2405:OnBegin()
	EnableChannel(0, true);
	angestellte = false;
	erhoehung = 0;
	salaryraised = false;
	SetAmbient(2400, false);				-- Streikambient deaktivieren
	RemoveSomeSenderPersons(false);			-- NPCs reaktivieren
	CallEvent(2406);
end

function Event2405:OnUpdate()
end

function Event2405:OnEnd()
end

InitEvent(Event2405);


--[[
Event 2406
Decription: Gewerkschaft der Senderangestellten - Streik beim Gegner?
]]
Event2406 = {id=2406; duration=1; update=-1; typ=-1; name="Gewerkschaft der Senderangestellten - Streik beim Gegner?"}

function Event2406:OnTrigger()
end

function Event2406:OnBegin()
	OpponentStrike(true,0);
	GetStrikeDuration(2406);
end

function Event2406:OnUpdate()
end

function Event2406:OnEnd()
	OpponentStrike(false,0)
end

InitEvent(Event2406);


--[[
Event 2410
Decription: Gewerkschaft der Moderatoren fordert h�ere L�ne - wahrscheinlichkeit abprfen - Email abschicken
]]
Event2410 = {id=2410; duration=1; update=-1; typ=-1; name="Gewerkschaft der Moderatoren fordert h�ere L�ne I"}

function Event2410:OnTrigger()
end

function Event2410:OnBegin()
	if (IsEventRunning(2405)
	or IsEventRunning(2415)
	or IsEventRunning(2425)
	or GetPersonCount(5,0) <= 3)
	or bigEventRunning == true then							-- Event 2415 l�ft, wenn Lohnforderungen angenommen/gestreikt wurden, quasi als Puffer
		SetEndCalled(2410,true);							
	else
		if math.random(4)==1 then
			SetDuration(2410,math.random(13));					-- Sorgt fr eine zuf�lige Platzierung im laufenden Monat
		else
			SetEndCalled(2400,true);
		end
	end
end

function Event2410:OnUpdate()	
end

function Event2410:OnEnd()
	erhoehung = math.random(5,10);						-- Enth�t die Lohnforderung in prozent
    SetLohnforderung(erhoehung, 1);
	SetParserInt("percent", erhoehung);
	CreateEmail(2410,20);								-- Lohnforderungs-Email der Gewerkschaft
	moderatoren = true;
	CallEvent(2411);
end

InitEvent(Event2410);


--[[
Event 2411
Decription: Gewerkschaft der Moderatoren fordert zweites mal h�ere L�ne - Statuscheck 1. Email
]]
Event2411 = {id=2411; duration=1; update=1; typ=-1; name="Gewerkschaft der Moderatoren Statuscheck 1. Email"}

function Event2411:OnTrigger()
end

function Event2411:OnBegin()
	SetDuration(2411,math.random(5,8));
end

function Event2411:OnUpdate()
	if salaryraised==true then
		CreateEmail(2412, 19);								-- Dankes-Email der Gewerkschaft verschicken
		CallEvent(2415);
		SetEndCalled(2411, true);
	end
end

function Event2411:OnEnd()
	erhoehung = erhoehung + GetDemandAlterator();
    SetLohnforderung(erhoehung, 1);
	SetParserInt("percent", erhoehung);
	CreateEmail(2411, -1);
	CallEvent(2412);
end

InitEvent(Event2411);


--[[
Event 2412
Decription: Gewerkschaft der Moderatoren - Statuscheck 2. Email
]]
Event2412 = {id=2412; duration=1; update=1; typ=-1; name="Gewerkschaft der Moderatoren, Forderung angenommen"}

function Event2412:OnTrigger()
end

function Event2412:OnBegin()
	SetDuration(2412,math.random(4,7));
end

function Event2412:OnUpdate()
	if salaryraised == true then
		CreateEmail(2412, 19);								-- Dankes-Email der Gewerkschaft verschicken
		CallEvent(2415);
		SetEndCalled(2412, true);
	end
end

function Event2412:OnEnd()
	CallEvent(2413);
end

InitEvent(Event2412);


--[[
Event 2413
Decription: Gewerkschaft der Moderatoren - Forderung abgelehnt - Streikdauer bestimmen
]]
Event2413 = {id=2413; duration=1; update=1; typ=-1; name="Gewerkschaft der Moderatoren, Forderung abgelehnt"}

function Event2413:OnTrigger()
end

function Event2413:OnBegin()
	CreateEmail(2413, -1);							-- Streikankndigung der Gewerkschaft - hinweis auf Sekret�in
	CreateEmail(2414, -1);							-- Kommentar Intendant
	SetStrike();
	GetStrikeDuration(2413);
	SetAmbient(2410, true);							-- Streikambient freischalten?
	SetAllProductionsPaused(1, true) 				-- Showproduktionen pausieren, 
	SetAllProductionsPaused(2, true)				-- Infoproduktionen pausieren,
	SetSonderBerichtsFlag(false);					-- Produktion von Sonderberichten verbieten
end

function Event2413:OnUpdate()
	if salaryraised==true then
		CreateEmail(2412, 19);										-- Dankes-Email der Gewerkschaft verschicken
		CallEvent(2415);
		SetEndCalled(2413,true);
	end
end

function Event2413:OnEnd()
	if math.random(2) == 1 then
		ChangeGroupMotivation(5,-math.random(5, 15));					-- Motivation der Moderatoren um bis zu 20 verringern
	end
	CreateEmail(2415, 19);
	SetLohnforderung(0, -1);
	CallEvent(2415);
end

InitEvent(Event2413);


--[[
Event 2415
Decription: Gewerkschaft der Moderatoren - Pufferevent fr ein Jahr
]]
Event2415 = {id=2415; duration=168; update=-1; typ=-1; name="Gewerkschaft der Moderatoren - Puffer"}

function Event2415:OnTrigger()
end

function Event2415:OnBegin()
	salaryraised = false;
	moderatoren = false;
	erhoehung = 0;
	SetAmbient(2410, false);
	SetAllProductionsPaused(1, false) 				-- Showproduktionen weiterfhren, 
	SetAllProductionsPaused(2, false)				-- Infoproduktionen weiterfhren,
	SetSonderBerichtsFlag(true);					-- Produktion von Sonderberichten wieder erlauben
	CallEvent(2416);
end

function Event2415:OnUpdate()
end

function Event2415:OnEnd()
end

InitEvent(Event2415);


--[[
Event 2416
Decription: Gewerkschaft der Moderatoren - Streik beim Gegner?
]]
Event2416 = {id=2416; duration=1; update=-1; typ=-1; name="Gewerkschaft der Moderatoren - Streik beim Gegner?"}

function Event2416:OnTrigger()
end

function Event2416:OnBegin()
	OpponentStrike(true,1);
	GetStrikeDuration(2416);
end

function Event2416:OnUpdate()
end

function Event2416:OnEnd()
	OpponentStrike(false,1);
end

InitEvent(Event2416);


--[[
Event 2420
Decription: Gewerkschaft der Produktionsleiter fordert h�ere L�ne 
]]
Event2420 = {id=2420; duration=1; update=-1; typ=-1; name="Gewerkschaft der Produktionsleiter fordert h�ere L�ne I"}

function Event2420:OnTrigger()
end

function Event2420:OnBegin()
	if (IsEventRunning(2405)
	or IsEventRunning(2415)
	or IsEventRunning(2425)
	or GetPersonCount(3,0) <= 3)
	or bigEventRunning == true then			-- Event 2425 l�ft, wenn Lohnforderungen angenommen/gestreikt wurden, quasi als Puffer
		SetEndCalled(2420,true);							
	else
		if math.random(4)==1 then
			SetDuration(2420,math.random(13));								-- Sorgt fr eine zuf�lige Platzierung im laufenden Monat
		else
			SetEndCalled(2400,true);
		end
	end
end

function Event2420:OnUpdate()	
end

function Event2420:OnEnd()
	erhoehung = math.random(5,10);										-- Enth�t die Lohnforderung in prozent
    SetLohnforderung(erhoehung, 2);
	SetParserInt("percent", erhoehung);
	CreateEmail(2420,20);												-- Lohnforderungs-Email der Gewerkschaft
	produzenten = true;
	CallEvent(2421);
end

InitEvent(Event2420);


--[[
Event 2421
Decription: Gewerkschaft der Produktionsleiter fordert zweites mal h�ere L�ne - Statuscheck 1. Email
]]
Event2421 = {id=2421; duration=1; update=1; typ=-1; name="Gewerkschaft der Produktionsleiter - Statuscheck 1. Email"}

function Event2421:OnTrigger()
end

function Event2421:OnBegin()
	SetDuration(2421,math.random(5,8));
end

function Event2421:OnUpdate()
	if salaryraised==true then
		CreateEmail(2422, 19);								-- Dankes-Email der Gewerkschaft verschicken
		CallEvent(2425);
		SetEndCalled(2421, true);
	end
end

function Event2421:OnEnd()
	erhoehung = erhoehung + GetDemandAlterator();
        SetLohnforderung(erhoehung, 2)
	SetParserInt("percent", erhoehung);
	CreateEmail(2421, -1);
	CallEvent(2422);
end

InitEvent(Event2421);


--[[
Event 2422
Decription: Gewerkschaft der Produktionsleiter - Forderung angenommen - Statuscheck 2. Email
]]
Event2422 = {id=2422; duration=1; update=1; typ=1; name="Gewerkschaft der Produktionsleiter - Statuscheck 2. Email"}

function Event2422:OnTrigger()
end

function Event2422:OnBegin()
	SetDuration(2422,math.random(4,7));	
end

function Event2422:OnUpdate()
	if salaryraised==true then
		CreateEmail(2422, 19);								-- Dankes-Email der Gewerkschaft verschicken
		CallEvent(2425);
		SetEndCalled(2422, true);
	end
end

function Event2422:OnEnd()
	CallEvent(2423);
end

InitEvent(Event2422);


--[[
Event 2423
Decription: Gewerkschaft der Produktionsleiter - Streik
]]
Event2423 = {id=2423; duration=1; update=1; typ=-1; name="Gewerkschaft der Produktionsleiter, Streik"}

function Event2423:OnTrigger()
end

function Event2423:OnBegin()
	CreateEmail(2423, -1);							-- Streikankndigung der Gewerkschaft - hinweis auf Sekret�in
	CreateEmail(2424, -1);							-- Kommentar Intendant
	GetStrikeDuration(2423);
	SetStrike();
	SetAmbient(2420, true);							-- Streikambient freischalten mit Tagesangabe?
	SetAllProductionsPaused(1, true) 				-- SHowproduktionen pausieren, 
	SetAllProductionsPaused(2, true)				-- Infoproduktionen pausieren,
	SetSonderBerichtsFlag(false);					-- Produktion von Sonderberichten verbieten
end

function Event2423:OnUpdate()
	if salaryraised==true then
		CallEvent(2425);
		CreateEmail(2422, 19);						-- Dankes-Email der Gewerkschaft verschicken
		SetEndCalled(2423, true);
	end
end

function Event2423:OnEnd()
	CallEvent(2425);
	SetLohnforderung(0, -1);
	if math.random(2) == 1 then
		ChangeGroupMotivation(3,-math.random(5,15));					-- Motivation der Produktionsleiter um bis zu 20 verringern
	end
	CreateEmail(2425, 19);
end

InitEvent(Event2423);


--[[
Event 2425
Decription: Gewerkschaft der Produktionsleiter - Pufferevent fr ein Jahr
]]
Event2425 = {id=2425; duration=168; update=-1; typ=-1; name="Gewerkschaft der Produktionsleiter - Puffer"}

function Event2425:OnTrigger()
end

function Event2425:OnBegin()
	produzenten = false;
	erhoehung = 0;
	salaryraised = false;
	SetAmbient(2420, false);
	SetAllProductionsPaused(1, false) 				-- SHowproduktionen weiterfhren, 
	SetAllProductionsPaused(2, false)				-- Infoproduktionen weiterfhren,
	SetSonderBerichtsFlag(true);					-- Produktion von Sonderberichten wieder erlauben
	CallEvent(2426);
end

function Event2425:OnUpdate()
end

function Event2425:OnEnd()
end

InitEvent(Event2425);


--[[
Event 2426
Decription: Gewerkschaft der Produktionsleiter - Streik beim Gegner?
]]
Event2426 = {id=2426; duration=1; update=-1; typ=-1; name="Gewerkschaft der Produktionsleiter - Streik beim Gegner?"}

function Event2426:OnTrigger()
end

function Event2426:OnBegin()
	OpponentStrike(true,2);
	GetStrikeDuration(2426);
end

function Event2426:OnUpdate()
end

function Event2426:OnEnd()
	OpponentStrike(false,2);
end

InitEvent(Event2426);


--[[
Event 2510
Decription: Neubau Sportstadion

Im Kalender, Beginnt Ende Oktober 07 endet Ende februar 08

]]
Event2510 = {id=2510; duration=56; update=7; typ=-1; name="Neubau Sportstadion"}

function Event2510:OnTrigger()
end

function Event2510:OnBegin()
	SetNews(2510);
	buildStadium = 1;
end

function Event2510:OnUpdate()
	if buildStadium == 1 then
		SetAmbient(2511,true);				-- Baustufe 1
		buildStadium = 2;
	elseif buildStadium == 2 then
		SetAmbient(2512,true);				-- Baustufe 2
		buildStadium = 3;
	elseif buildStadium == 3 then
		SetAmbient(2513,true);				-- Baustufe 3
	end
end

function Event2510:OnEnd()
	SetAmbient(2514,true);				-- Baustufe 4
	EnableBuilding(6, true);			-- Stadion betretbar machen
	SetBubble(0, 2510);					-- Kommentar Intendant
	SetBubble(12, 2511);				-- Erste Begr�ng Stadionbesitzer
end

InitEvent(Event2510);


--[[
Event 2520
Decription: Neubau Marktforschungsinstitut
Im Kalender, beginnt Dezember 05 - Endet Mitte Januar 06
]]
Event2520 = {id=2520; duration=21; update=7; typ=-1; name="Neubau Marktforschungsinstitut"}

function Event2520:OnTrigger()
end

function Event2520:OnBegin()
	buildMarketResearch = 2;
	SetAmbient(2521, true);						-- Baustufe 1
end

function Event2520:OnUpdate()
	if buildMarketResearch == 2 then
		SetAmbient(2522, true);					-- Baustufe 2
		buildMarketResearch = 3;
	elseif buildMarketResearch == 3 then
		SetAmbient(2523, true);					-- Baustufe 3
		buildMarketResearch = 4;
	elseif buildMarketResearch == 4 then
		SetAmbient(2524, true);					-- Baustufe 4
		EnableBuilding(8, true);				-- Marktforschung betretbar machen
		SetBubble(0, 2520);						-- Kommentar Intendant
		SetBubble(19, 2521);					-- Erste Begruessung Marktforschungschef
		CreateEmail(2520, -1);					-- Einladungsmail vom Marktforschungschef
		TriggerHelpMail(2225);
	end
end

function Event2520:OnEnd()
	SetNews(2520);	
end

InitEvent(Event2520);


--[[
Event 2530
Decription: Neubau Konzerthalle

Im Kalender, beginnt Ende Dezember 06 - endet Ende Mrz 07

]]
Event2530 = {id=2530; duration=42; update=14; typ=-1; name="Neubau Konzerthalle"}

function Event2530:OnTrigger()
end

function Event2530:OnBegin()
	SetNews(2530);
	buildConcertHall = 1;
end

function Event2530:OnUpdate()
	if buildConcertHall == 1 then
		SetAmbient(2531, true);			-- Baustufe 1
		buildConcertHall = 2;
	elseif buildConcertHall == 2 then
		SetAmbient(2532, true);			-- Baustufe 2
	end
end

function Event2530:OnEnd()
	SetAmbient(2533, true);				-- Baustufe 3
	EnableBuilding(7, true);			-- Halle betretbar machen
	SetBubble(0, 2530);					-- Kommentar Intendant
	SetBubble(13, 2531);				-- Erste Begr�ng Besitzerin
end

InitEvent(Event2530);


--[[
Event 2540
Decription: Einrichtung Contentagentur
Im Kalender 
]]
Event2540 = {id=2540; duration=21; update=7; typ=-1; name="Er�fnung Contentagentur"}

function Event2540:OnTrigger()
end

function Event2540:OnBegin()
	SetAmbient(2541,true);						-- Baustufe 1
	buildContentAgency = 2;
end

function Event2540:OnUpdate()
	if buildContentAgency == 2 then
		SetAmbient(2542,true);					-- Baustufe 2
		buildContentAgency = 3;
	elseif buildContentAgency == 3 then
		SetAmbient(2543,true);					-- Baustufe 3
		buildContentAgency = 4;
	elseif buildContentAgency == 4 then
		SetAmbient(2544,true);					-- Baustufe 4
		EnableBuilding(3, true);				-- Contentagentur betretbar machen
		SetBubble(0, 2540);						-- Kommentar Intendant
		SetBubble(24, 2541);					-- Erste Begr�ng Drehbuchchef
		CreateEmail(2540, -1);					-- Einladungsmail vom Drehbuchchef
	end
end

function Event2540:OnEnd()
	SetNews(2540);
end

InitEvent(Event2540);

--[[
Event 3000
Decription: Sonderberichtsverwaltungs/Trigger - Event

W�hentlich im Kalender

]]

Event3000 = {id=3000; duration=1; update=0; typ=-1; name="Sonderberichtsverwaltungs/Trigger"}

function Event3000:OnTrigger()
end

function Event3000:OnBegin()
	if bigEventRunning == false and sbEnabled == true then						-- nur ab Nachrichtenzentrale und whrend kein Groevent luft, finden Sonderberichte statt
		SBCallerMain();
		SetDuration(3000, math.random(0,6));											
	else
		SetEndCalled(3000,true);
	end
end

function Event3000:OnUpdate()
end

function Event3000:OnEnd()
	if helpMailSB == true then
		TriggerHelpMail(7720);
		helpMailSB = false;
	end
	if helpMailLaura == true then
		TriggerHelpMail(7722);
		helpMailLaura = false;
	end
	CallEvent(sbEvent);
end

InitEvent(Event3000);



--[[
Event 3005
Decription: Attentat auf Politiker
]]
Event3005 = {id=3005; duration=1; update=1; typ=-1; name="Attentat auf Politiker"}

function Event3005:OnTrigger()
end

function Event3005:OnBegin()
	SetBubble(2,3005);
	SetTicker(3005);
	SetSonderBericht(3005);
	SetAmbient(3005, true);
end

function Event3005:OnUpdate()
	SetAmbient(3005, false);
	SetNews(3005);
end

function Event3005:OnEnd()
end

InitEvent(Event3005);


--[[
Event 3010
Decription: Kleinkind malt satanische Zeichen in Kartoffelbrei und sonstiges
]]
Event3010 = {id=3010; duration=1; update=1; typ=-1; name="Satanische Zeichen"}

function Event3010:OnTrigger()
end

function Event3010:OnBegin()
	SetBubble(2,3010);
	SetTicker(3010);
	SetSonderBericht(3010);
	SetAmbient(3010, true);
end

function Event3010:OnUpdate()
	SetAmbient(3010, false);
	SetNews(3010);
end

function Event3010:OnEnd()
end

InitEvent(Event3010);


--[[
Event 3015
Decription: Frau bringt Sechslinge zur Welt
]]
Event3015 = {id=3015; duration=1; update=1; typ=-1; name="Frau bringt Sechslinge zur Welt"}

function Event3015:OnTrigger()
end

function Event3015:OnBegin()
	SetBubble(2,3015);
	SetTicker(3015);
	SetSonderBericht(3015);
	SetAmbient(3015, true);
end

function Event3015:OnUpdate()
	SetAmbient(3015, false);
	SetNews(3015);
end

function Event3015:OnEnd()
end

InitEvent(Event3015);



--[[
Event 3035
Decription: Mariensilhoutte In �pftze


]]
Event3035 = {id=3035; duration=1; update=1; typ=-1; name="Pizza Papstsilhoutte"}

function Event3035:OnTrigger()
end

function Event3035:OnBegin()
	SetBubble(2,3035);
	SetTicker(3035);
	SetSonderBericht(3035);
	SetAmbient(3035, true);
end

function Event3035:OnUpdate()
	SetAmbient(3035, false);
	SetNews(3035);
end

function Event3035:OnEnd()
end

InitEvent(Event3035);





--[[
Event 3040
Decription: Demonstration
4 verschiedene
]]
Event3040 = {id=3040; duration=1; update=1; typ=-1; name="Demonstration"}

function Event3040:OnTrigger()
end

function Event3040:OnBegin()
	SetBubble(2,sbDemo[sbDemoCounter]);
	SetTicker(sbDemo[sbDemoCounter]);
	SetSonderBericht(sbDemo[sbDemoCounter]);
	SetAmbient(sbDemo[sbDemoCounter], true);
end

function Event3040:OnUpdate()
	SetAmbient(sbDemo[sbDemoCounter], false);
	SetNews(sbDemo[sbDemoCounter]);
end

function Event3040:OnEnd()
	sbDemoCounter = sbDemoCounter + 1;
	if sbDemoCounter > table.getn(sbDemo) then
		sbDemoCounter = 1;
	end
end

InitEvent(Event3040);


--[[
Event 3045
Decription: Lottojackpot bricht alle Rekorde
]]
Event3045 = {id=3045; duration=1; update=1; typ=-1; name="Lottojackpot bricht alle Rekorde"}

function Event3045:OnTrigger()
end

function Event3045:OnBegin()
	SetBubble(2,3045);
	SetTicker(3045);
	SetSonderBericht(3045);
	SetAmbient(3045, true);
end

function Event3045:OnUpdate()
	SetAmbient(3045, false);
	SetNews(3045);
end

function Event3045:OnEnd()
end

InitEvent(Event3045);


--[[
Event 3050
Decription: Stechmckenplage im Sommer

wird individuell gehandelt

]]
Event3050 = {id=3050; duration=1; update=1; typ=-1; name="Stechmckenplage im Sommer"}

function Event3050:OnTrigger()
end

function Event3050:OnBegin()
	SetBubble(2,3050);
	SetTicker(3050);
	SetSonderBericht(3050);
	SetAmbient(3050, true);
end

function Event3050:OnUpdate()
	SetAmbient(3050, false);
	SetNews(3050);
end

function Event3050:OnEnd()
end

InitEvent(Event3050);


--[[
Event 3055
Decription: Salmonellen im besten Restaurant am Platz
]]
Event3055 = {id=3055; duration=1; update=1; typ=-1; name="Salmonellen im besten Restaurant am Platz"}

function Event3055:OnTrigger()
end

function Event3055:OnBegin()
	SetBubble(2,3055);
	SetTicker(3055);
	SetSonderBericht(3055);
	SetAmbient(3055, true);
end

function Event3055:OnUpdate()
	SetNews(3055);
	SetAmbient(3055, false);
end

function Event3055:OnEnd()
end

InitEvent(Event3055);


--[[
Event 3060
Decription: Frustrierter Vater startet Hungerstreik wegen Sorgerecht 
]]
Event3060 = {id=3060; duration=1; update=1; typ=-1; name="Frustrierter Vater startet Hungerstreik wegen Sorgerecht "}

function Event3060:OnTrigger()
end

function Event3060:OnBegin()
	SetBubble(2,3060);
	SetTicker(3060);
	SetSonderBericht(3060);
	SetAmbient(3060, true);
end

function Event3060:OnUpdate()
	SetAmbient(3060, false);
	SetNews(3060);
end

function Event3060:OnEnd()
end

InitEvent(Event3060);


--[[
Event 3065
Decription: Kunstraub im Museum
]]
Event3065 = {id=3065; duration=1; update=1; typ=-1; name="Kunstraub im Museum"}

function Event3065:OnTrigger()
end

function Event3065:OnBegin()
	SetBubble(2,3065);
	SetTicker(3065);
	SetSonderBericht(3065);
	SetAmbient(3065, true);
end

function Event3065:OnUpdate()
	SetAmbient(3065, false);
	SetNews(3065);
end

function Event3065:OnEnd()
end

InitEvent(Event3065);


--[[
Event 3070
Decription: Generelles Rauchverbot in Kneipen sorgt fr Aufregung
]]
Event3070 = {id=3070; duration=1; update=1; typ=-1; name="Generelles Rauchverbot in Kneipen sorgt fr Aufregung"}

function Event3070:OnTrigger()
end

function Event3070:OnBegin()
	SetBubble(2,3070);
	SetTicker(3070);
	SetSonderBericht(3070);
	SetAmbient(3070, true);
end

function Event3070:OnUpdate()
	SetAmbient(3070, false);
	SetNews(3070);
end

function Event3070:OnEnd()
end

InitEvent(Event3070);


--[[
Event 3075
Decription: Besuch Popstar
4 verschiedene
]]
Event3075 = {id=3075; duration=1; update=1; typ=-1; name="Besuch Popstar"}

function Event3075:OnTrigger()
end

function Event3075:OnBegin()
	SetBubble(2,sbPopstar[sbPopstarCounter]);
	SetTicker(sbPopstar[sbPopstarCounter]);
	SetSonderBericht(sbPopstar[sbPopstarCounter]);
	SetAmbient(sbPopstar[sbPopstarCounter], true);
end

function Event3075:OnUpdate()
	SetAmbient(sbPopstar[sbPopstarCounter], false);
	SetNews(sbPopstar[sbPopstarCounter]);
end

function Event3075:OnEnd()
	sbPopstarCounter = sbPopstarCounter + 1;
	if sbPopstarCounter > table.getn(sbPopstar) then
		sbPopstarCounter = 1;
	end
end

InitEvent(Event3075);


--[[
Event 3080
Decription: Besuch Politiker
4 verschiedene
]]
Event3080 = {id=3080; duration=1; update=1; typ=-1; name="Besuch Politiker"}

function Event3080:OnTrigger()
end

function Event3080:OnBegin()
	SetBubble(2,sbPolitiker[sbPolitikerCounter]);
	SetTicker(sbPolitiker[sbPolitikerCounter]);
	SetSonderBericht(sbPolitiker[sbPolitikerCounter]);
	SetAmbient(sbPolitiker[sbPolitikerCounter], true);
end

function Event3080:OnUpdate()
	SetAmbient(sbPolitiker[sbPolitikerCounter], false);
	SetNews(sbPolitiker[sbPolitikerCounter]);
end

function Event3080:OnEnd()
	sbPolitikerCounter = sbPolitikerCounter + 1;
	if sbPolitikerCounter > table.getn(sbPolitiker) then
		sbPolitikerCounter = 1;
	end
end

InitEvent(Event3080);


--[[
Event 3085
Decription: Besuch Knstler
4 verschiedene
]]
Event3085 = {id=3085; duration=1; update=1; typ=-1; name="Besuch Kuenstler"}

function Event3085:OnTrigger()
end

function Event3085:OnBegin()
	SetBubble(2,sbKuenstler[sbKuenstlerCounter]);
	SetTicker(sbKuenstler[sbKuenstlerCounter]);
	SetSonderBericht(sbKuenstler[sbKuenstlerCounter]);
	SetAmbient(sbKuenstler[sbKuenstlerCounter], true);
end

function Event3085:OnUpdate()
	SetAmbient(sbKuenstler[sbKuenstlerCounter], false);
	SetNews(sbKuenstler[sbKuenstlerCounter]);
end

function Event3085:OnEnd()
	sbKuenstlerCounter = sbKuenstlerCounter + 1;
	if sbKuenstlerCounter > table.getn(sbKuenstler) then
		sbKuenstlerCounter = 1;
	end
end

InitEvent(Event3085);


--[[
Event 3090
Decription: Gewerbeskandal Hundefutter zu Gulasch umetikettiert
]]
Event3090 = {id=3090; duration=1; update=1; typ=-1; name="Gewerbeskandal Hundefutter zu Gulasch umetikettiert"}

function Event3090:OnTrigger()
end

function Event3090:OnBegin()
	SetBubble(2,3090);
	SetTicker(3090);
	SetSonderBericht(3090);
	SetAmbient(3090, true);
end

function Event3090:OnUpdate()
	SetAmbient(3090, false);
	SetNews(3090);
end

function Event3090:OnEnd()
end

InitEvent(Event3090);


--[[
Event 3095
Decription: Gewerbeskandal Illegale Besch�tigung
]]
Event3095 = {id=3095; duration=1; update=1; typ=-1; name="Gewerbeskandal Illegale Besch�tigung"}

function Event3095:OnTrigger()
end

function Event3095:OnBegin()
	SetBubble(2,3095);
	SetTicker(3095);
	SetSonderBericht(3095);
	SetAmbient(3095, true);
end

function Event3095:OnUpdate()
	SetAmbient(3095, false);
	SetNews(3095);
end

function Event3095:OnEnd()
end

InitEvent(Event3095);


--[[
Event 3100
Decription: Gewerbeskandal Umweltvergiftung
4 verschiedene
]]
Event3100 = {id=3100; duration=1; update=1; typ=-1; name="Gewerbeskandal Umweltvergiftung"}

function Event3100:OnTrigger()
end

function Event3100:OnBegin()
	SetBubble(2,sbUmwelt[sbUmweltCounter]);
	SetTicker(sbUmwelt[sbUmweltCounter]);
	SetSonderBericht(sbUmwelt[sbUmweltCounter]);
	SetAmbient(sbUmwelt[sbUmweltCounter], true);
end

function Event3100:OnUpdate()
	SetAmbient(sbUmwelt[sbUmweltCounter], false);
	SetNews(sbUmwelt[sbUmweltCounter]);
end

function Event3100:OnEnd()
	sbUmweltCounter = sbUmweltCounter + 1
	if sbUmweltCounter > table.getn(sbUmwelt) then
		sbUmweltCounter = 1;
	end
end

InitEvent(Event3100);


--[[
Event 3105
Decription: Gewerbeskandal Pfusch am Bau
4 verschiedene
]]
Event3105 = {id=3105; duration=1; update=1; typ=-1; name="Gewerbeskandal Pfusch am Bau"}

function Event3105:OnTrigger()
end

function Event3105:OnBegin()
	SetBubble(2,sbBaupfusch[sbBaupfuschCounter]);
	SetTicker(sbBaupfusch[sbBaupfuschCounter]);
	SetSonderBericht(sbBaupfusch[sbBaupfuschCounter]);
	SetAmbient(sbBaupfusch[sbBaupfuschCounter], true);
end

function Event3105:OnUpdate()
	SetAmbient(sbBaupfusch[sbBaupfuschCounter], false);
	SetNews(sbBaupfusch[sbBaupfuschCounter]);
end

function Event3105:OnEnd()
	sbBaupfuschCounter = sbBaupfuschCounter + 1;
	if sbBaupfuschCounter > table.getn(sbBaupfusch) then
		sbBaupfuschCounter = 1;
	end
end

InitEvent(Event3105);




--[[
Event 3110
Decription: Gewerbeskandal skandal�e Massentierhaltung
]]
Event3110 = {id=3110; duration=1; update=1; typ=-1; name="Gewerbeskandal skandal�e Massentierhaltung"}

function Event3110:OnTrigger()
end

function Event3110:OnBegin()
	SetBubble(2,3110);
	SetTicker(3110);
	SetSonderBericht(3110);
	SetAmbient(3110, true);
end

function Event3110:OnUpdate()
	SetAmbient(3110, false);
	SetNews(3110);
end

function Event3110:OnEnd()
end

InitEvent(Event3110);



--[[
Event 3115
Decription: Gewerbeskandal Aktienbetrug bei der Bank

Follow up von 1315: Auftrag des Bankdirektors diesen Bericht zu verhindern
]]
Event3115 = {id=3115; duration=1; update=1; typ=-1; name="Gewerbeskandal Aktienbetrug bei der Bank"}

function Event3115:OnTrigger()
end

function Event3115:OnBegin()
	SetBubble(2,3115);
	SetTicker(3115);
	SetSonderBericht(3115);
	SetAmbient(3115, true);
end

function Event3115:OnUpdate()
	SetAmbient(3115, false);
	SetNews(3115);
	CallEvent(3116);
end

function Event3115:OnEnd()
end

InitEvent(Event3115);


--[[
Event 3116
Decription: Prft ab, ob der Spieler den Bericht gesendet hat
]]
Event3116 = {id=3116; duration=10; update=1; typ=-1; name="Aktienbetrug, Abprfevent"}

function Event3116:OnTrigger()
end

function Event3116:OnBegin()
	if GetSBSended(0) == true then
		AddFaction(0,NPCFactionStory[2]);
		CreateEmail(3118, -1);
		SetBubble(0,3118);
		SetEndCalled(3116,true);
	end
end

function Event3116:OnUpdate()
	if GetSBSended(0) == true then
		AddFaction(0,NPCFactionStory[2]);
		CreateEmail(3118, -1);
		SetBubble(0,3118);
		SetEndCalled(3116,true);
	end
end

function Event3116:OnEnd()
	if GetSBSended(0) == true then
		AddFaction(0,NPCFactionStory[2]);
		CreateEmail(3118, -1);
		SetBubble(0,3118);
	else
		AddFaction(0,NPCFactionStory[1]);
		CreateEmail(3117, -1);
		SetBubble(0,3117);
	end
end

InitEvent(Event3116);




--[[
Event 3125
Decription: Algenplage im Badesee
]]
Event3125 = {id=3125; duration=7; update=1; typ=-1; name="Algenplage im Badesee"}

function Event3125:OnTrigger()
end

function Event3125:OnBegin()
	SetBubble(2,3125);
	SetTicker(3125);
	SetSonderBericht(3125);
	SetAmbient(3125, true);
end

function Event3125:OnUpdate()
	SetNews(3125);
	SetUpdateTime(3125,666);							-- Update soll nur ein mal ausgefhrt werden
end

function Event3125:OnEnd()
	SetAmbient(3125, false);
end

InitEvent(Event3125);


--[[
Event 3130
Decription: Autobahnunfall - Klebstofftransporter
]]
Event3130 = {id=3130; duration=1; update=1; typ=-1; name="Autobahnunfall - Klebstofftransporter"}

function Event3130:OnTrigger()
end

function Event3130:OnBegin()
	SetBubble(2,3130);
	SetTicker(3130);
	SetSonderBericht(3130);
	SetAmbient(3130, true);
end

function Event3130:OnUpdate()
	SetNews(3130);
	SetAmbient(3130, false);
end

function Event3130:OnEnd()
end

InitEvent(Event3130);


--[[
Event 3135
Decription: Autobahnvollsperrung wegen Demonstration
]]
Event3135 = {id=3135; duration=1; update=1; typ=-1; name="Autobahnvollsperrung wegen Demonstration"}

function Event3135:OnTrigger()
end

function Event3135:OnBegin()
	SetBubble(2,3135);
	SetTicker(3135);
	SetSonderBericht(3135);
	SetAmbient(3135, true);
end

function Event3135:OnUpdate()
	SetAmbient(3135, false);
	SetNews(3135);
end

function Event3135:OnEnd()
end

InitEvent(Event3135);





--[[
Event 3145
Decription: Autobahn von unbekannten beschmiert (politischer oder mysteri�er Slogan)
4 verschiedene
]]
Event3145 = {id=3145; duration=1; update=1; typ=-1; name="Autobahn von unbekannten beschmiert"}

function Event3145:OnTrigger()
end

function Event3145:OnBegin()
	SetBubble(2,sbGraffiti[sbGraffitiCounter]);
	SetTicker(sbGraffiti[sbGraffitiCounter]);
	SetSonderBericht(sbGraffiti[sbGraffitiCounter]);
	SetAmbient(sbGraffiti[sbGraffitiCounter], true);
end

function Event3145:OnUpdate()
	SetNews(sbGraffiti[sbGraffitiCounter]);
	SetAmbient(sbGraffiti[sbGraffitiCounter], false);
	sbGraffitiCounter = sbGraffitiCounter + 1;
	if sbGraffitiCounter > table.getn(sbGraffiti) then
		sbGraffitiCounter = 1;
	end
end

function Event3145:OnEnd()
end

InitEvent(Event3145);



--[[
Event 3150 
Decription: Anonymer Informant - Tagebcher eines berhmten Diktators entdeckt
 - Email an den Spieler, Nachrichten-Ambient setzen, Status berprfen und Zeitungsartikel schreiben
]]
Event3150 = {id=3150; duration=10; update=3; typ=-1; name="Diktator Tagebcher"}

function Event3150:OnTrigger()
end

function Event3150:OnBegin()
	if GetCallCount(3150) > 0 then
		SetEndCalled(3150,true);
	else
		CreateEmail(3150, -1);								-- Person behauptet, Diktatortagebcher auf dem Speicher gefunden zu haben
		CallEvent(3151);
	end
end

function Event3150:OnUpdate()
	if GetSBSended(1) == true then			-- berprft, ob Sonderbericht gemacht und gesendet wurde
		if math.random(2)==1 then
			SetNews(3150);								-- Tagebcher beinhalten spektakul�e erkenntnisse
			SetTicker(3150);							-- Tagebcher entdeckt
			AddSenderFame(0, 5);
			SetBubble(2, 3150);							-- Empfangsdame ber den erfolgreichen Exklusivbericht
		else
			SetNews(3151);								-- Geflschte Tagebcher, (ber die Herstellung?)
			SetTicker(3151);							-- Tagebcher nur billige F�schung
			AddSenderFame(0,-5);
			SetBubble(2, 3152);							-- Empfangsdame ber den missglckten Exklusivbericht
		end
		SetEndCalled(3150,true);
	end
end

function Event3150:OnEnd()
end

InitEvent(Event3150);

--[[
Event 3151
Decription: Anonymer Informant - Tagebcher - Sonderbericht
]]
Event3151 = {id=3151; duration=2; update=1; typ=-1; name="Tagebcher - Sonderbericht"}

function Event3151:OnTrigger()
end

function Event3151:OnBegin()
end

function Event3151:OnUpdate()
	SetSonderBericht(3150);
	SetAmbient(3151, true);
	SetUpdateTime(3151, 999);
end

function Event3151:OnEnd()
	SetAmbient(3151, false);
end

InitEvent(Event3151);


--[[
Event 3155 
Decription: Anonymer Informant - Intelligenter Hund kann komplizierte Mathematische Gleichungen L�en
 - Email an den Spieler, Nachrichten-Ambient setzen, Status berprfen und Zeitungsartikel schreiben
]]
Event3155 = {id=3155; duration=10; update=3; typ=-1; name="Intelligenter Hund"}

function Event3155:OnTrigger()
end

function Event3155:OnBegin()
	if GetCallCount(3155) > 0 then
		SetEndCalled(3155,true);
	else
		CreateEmail(3155, -1);										-- Person behauptet, der eigene Hund k�ne komplizierte Math. Gleichungen l�en
		CallEvent(3156);
	end
end

function Event3155:OnUpdate()
	if GetSBSended(2) == true then					-- berprft, ob Sonderbericht gemacht und gesendet wurde
		if math.random(2)==1 then
			SetNews(3155);										-- Intelligenter Hund ein Evolutionssprung? Verhaltensforscher und Evolutionstheoretiker interesse angemeldet
			SetTicker(3155);									-- Intelligenter Hund
			AddSenderFame(0,5);
			SetBubble(2, 3155);									-- Empfangsdame ber den erfolgreichen Exklusivbericht
		else
			SetNews(3156);										-- Offensichtliche Schummelei, wie man an den aufnahmen des Senders sehen kann
			SetTicker(3156);									-- Intelligenter Hund nur ein billiger Trick
			AddSenderFame(0,-5);
			SetBubble(2, 3157);									-- Empfangsdame ber den missglckten Exklusivbericht
		end
		SetEndCalled(3155,true);
	end
end

function Event3155:OnEnd()
end

InitEvent(Event3155);

--[[
Event 3156
Decription: Anonymer Informant - Intelligenter Hund - Sonderbericht
]]
Event3156 = {id=3156; duration=2; update=1; typ=-1; name="Intelligenter Hund - Sonderbericht"}

function Event3156:OnTrigger()
end

function Event3156:OnBegin()
end

function Event3156:OnUpdate()
	SetAmbient(3156, true);
	SetSonderBericht(3155);
	SetUpdateTime(3156, 999);
end

function Event3156:OnEnd()
	SetAmbient(3156, false);
end

InitEvent(Event3156);



--[[
Event 3160 
Decription: Anonymer Informant - Ausserirdisches Artefakt im Besitz einer �teren Dame
 - Email an den Spieler, Nachrichten-Ambient setzen, Status berprfen und Zeitungsartikel schreiben
]]
Event3160 = {id=3160; duration=10; update=3; typ=-1; name="Ausserirdisches Artefakt"}

function Event3160:OnTrigger()
end

function Event3160:OnBegin()
	if GetCallCount(3160) > 0 then
		SetEndCalled(3160,true);
	else
		CreateEmail(3160, -1);					-- Person behauptet ein Ausserirdisches Artefakt zu besitzen
		CallEvent(3161);
	end
end

function Event3160:OnUpdate()
	if GetSBSended(3) == true then					-- berprft, ob Sonderbericht gemacht und gesendet wurde
		if math.random(2) == 1 then
			SetNews(3160);										-- W�rend Forscher noch ber Zweck, Art und Ursprung r�seln, l�t sich das Artefakt in  Luft auf
			SetTicker(3160);									-- Ausserirdisches Artefakt gefunden
			AddSenderFame(0,5);
			SetBubble(2, 3160);									-- Empfangsdame ber den erfolgreichen Exklusivbericht
		else
			SetNews(3161);										-- Neffe hat das Ding aus altem Schrott zusammengebastelt
			SetTicker(3161);									-- Artefakt nichtsals Humbug
			AddSenderFame(0,-5);
			SetBubble(2, 3162);									-- Empfangsdame ber den missglckten Exklusivbericht
		end
		SetEndCalled(3160,true);
	end
end

function Event3160:OnEnd()
end

InitEvent(Event3160);

--[[
Event 3161
Decription: Informant - Ausserirdisches Artefakt - Sonderbericht
]]
Event3161 = {id=3161; duration=2; update=1; typ=-1; name="Ausserirdisches Artefakt - Sonderbericht"}

function Event3161:OnTrigger()
end

function Event3161:OnBegin()
end

function Event3161:OnUpdate()
	SetAmbient(3161, true);
	SetSonderBericht(3160);
	SetUpdateTime(3161, 999);
end

function Event3161:OnEnd()
	SetAmbient(3161, false);
end

InitEvent(Event3161);



--[[
Event 3170
Decription: Gro�r Verkehrsunfall
4 verschiedene
]]
Event3170 = {id=3170; duration=1; update=1; typ=-1; name="Gro�r Verkehrsunfall"}

function Event3170:OnTrigger()
end

function Event3170:OnBegin()
	SetBubble(2,sbUnfall[sbUnfallCounter]);
	SetTicker(sbUnfall[sbUnfallCounter]);
	SetSonderBericht(sbUnfall[sbUnfallCounter]);
	SetAmbient(sbUnfall[sbUnfallCounter], true);
end

function Event3170:OnUpdate()
	SetAmbient(sbUnfall[sbUnfallCounter], false);
	SetNews(sbUnfall[sbUnfallCounter]);
end

function Event3170:OnEnd()
	sbUnfallCounter = sbUnfallCounter + 1;
	if sbUnfallCounter > table.getn(sbUnfall) then
		sbUnfallCounter = 1;
	end
end

InitEvent(Event3170);


--[[
Event 3175
Decription: Gro�r Auffahrunfall auf der Autobahn
4 verschiedene
]]
Event3175 = {id=3175; duration=1; update=1; typ=-1; name="Gro�r Auffahrunfall auf der Autobahn"}

function Event3175:OnTrigger()
end

function Event3175:OnBegin()
	SetBubble(2, sbUnfallAB[sbUnfallABCounter]);
	SetTicker(sbUnfallAB[sbUnfallABCounter]);
	SetSonderBericht(sbUnfallAB[sbUnfallABCounter]);
	--SetAmbient(sbUnfallAB[sbUnfallABCounter], true);
	SetAmbient(3175, true);
end

function Event3175:OnUpdate()
	--SetAmbient(sbUnfallAB[sbUnfallABCounter], false);
	SetAmbient(3175, false);
	SetNews(sbUnfallAB[sbUnfallABCounter]);
end

function Event3175:OnEnd()
	sbUnfallABCounter = sbUnfallABCounter + 1;
	if sbUnfallABCounter > table.getn(sbUnfallAB) then
		sbUnfallABCounter = 1;
	end
end

InitEvent(Event3175);


--[[
Event 3180
Decription: Feuer
3 verschiedene
]]
Event3180 = {id=3180; duration=1; update=1; typ=-1; name="Feuer"}

function Event3180:OnTrigger()
end

function Event3180:OnBegin()
	SetBubble(2,sbFeuer[sbFeuerCounter]);
	SetTicker(sbFeuer[sbFeuerCounter]);
	SetSonderBericht(sbFeuer[sbFeuerCounter]);
	SetAmbient(sbFeuer[sbFeuerCounter], true);
end

function Event3180:OnUpdate()
	SetAmbient(sbFeuer[sbFeuerCounter], false);
	SetNews(sbFeuer[sbFeuerCounter]);
end

function Event3180:OnEnd()
	sbFeuerCounter = sbFeuerCounter + 1;
	if sbFeuerCounter > table.getn(sbFeuer) then
		sbFeuerCounter = 1;
	end
end

InitEvent(Event3180);


--[[
Event 3190
Decription: Panzerknacker - Erster Einbruch - Banktresor geleert
]]
Event3190 = {id=3190; duration=1; update=1; typ=-1; name="Panzerknacker - Erster Einbruch"}

function Event3190:OnTrigger()
end

function Event3190:OnBegin()
	SetBubble(2, 3190);
	SetBubble(11, 3194);						-- Schalterbeamter zum Vorfall
	SetBubble(8, 3193);							-- Bankdirektor zum Vorfall
	SetTicker(3190);
	SetSonderBericht(3190);
	SetAmbient(3190, true);
end

function Event3190:OnUpdate()
	SetAmbient(3190, false);
	SetNews(3190);
end

function Event3190:OnEnd()
end

InitEvent(Event3190);


--[[
Event 3195
Decription: Panzerknacker - Zweiter Einbruch - Raubberfall auf Tankstelle
]]
Event3195 = {id=3195; duration=1; update=1; typ=-1; name="Panzerknacker - Zweiter Einbruch"}

function Event3195:OnTrigger()
end

function Event3195:OnBegin()
	SetBubble(2, 3195);
	SetTicker(3195);
	SetSonderBericht(3195);
	SetAmbient(3195, true);
end

function Event3195:OnUpdate()
	SetAmbient(3195, false);
	SetNews(3195);
end

function Event3195:OnEnd()
end

InitEvent(Event3195);


--[[
Event 3200
Decription: Panzerknacker - Dritter Einbruch - Raubberfall auf Kino-Megaplex
]]
Event3200 = {id=3200; duration=1; update=1; typ=-1; name="Panzerknacker - Dritter Einbruch"}

function Event3200:OnTrigger()
end

function Event3200:OnBegin()
	SetBubble(2, 3200);
	SetBubble(0, 3203);						-- Intendant spricht sich erfreut ber die Panzerknacker aus
	SetTicker(3200);
	SetSonderBericht(3200);
	SetAmbient(3200, true);
end

function Event3200:OnUpdate()
	SetAmbient(3200, false);
	SetNews(3200);
end

function Event3200:OnEnd()
end

InitEvent(Event3200);


--[[
Event 3205
Decription: Panzerknacker - Erste Verhaftung - T�er bei Fluchtversuch ber Autobahn wegen Stau gestellt
]]
Event3205 = {id=3205; duration=1; update=1; typ=-1; name="Panzerknacker - Erste Verhaftung"}

function Event3205:OnTrigger()
end

function Event3205:OnBegin()
	SetBubble(2, 3205);
	SetTicker(3205);
	SetSonderBericht(3205);
	SetAmbient(3205, true);
end

function Event3205:OnUpdate()
	SetAmbient(3205, false);
	SetNews(3205);
end

function Event3205:OnEnd()
end

InitEvent(Event3205);


--[[
Event 3210
Decription: Panzerknacker - Zweite Verhaftung - Polizei findet geheimversteck der Bande, Erdloch unter Stadtpark
]]
Event3210 = {id=3210; duration=1; update=1; typ=-1; name="Panzerknacker - Zweite Verhaftung"}

function Event3210:OnTrigger()
end

function Event3210:OnBegin()
	SetBubble(2, 3210);
	SetTicker(3210);
	SetSonderBericht(3210);
	SetAmbient(3210, true);
end

function Event3210:OnUpdate()
	SetAmbient(3210, false);
	SetNews(3210);
end

function Event3210:OnEnd()
end

InitEvent(Event3210);


--[[
Event 3215
Decription: Panzerknacker - Ausbruch - Bande bricht aus Gef�gnis aus


]]
Event3215 = {id=3215; duration=1; update=1; typ=-1; name="Panzerknacker - Ausbruch"}

function Event3215:OnTrigger()
end

function Event3215:OnBegin()
	SetBubble(2, 3220);
	SetTicker(3215);
	SetSonderBericht(3215);
	SetAmbient(3215,true);
end

function Event3215:OnUpdate()
	SetNews(3215);
	SetAmbient(3215,false);
end

function Event3215:OnEnd()
end

InitEvent(Event3215);


--[[
Event 3220
Decription: Panzerknacker - Einbruch A - Einbruch im Neureichenviertel (wiederholbar)
]]
Event3220 = {id=3220; duration=1; update=1; typ=-1; name="Panzerknacker - Einbruch A"}

function Event3220:OnTrigger()
end

function Event3220:OnBegin()
	if sbPKcount > 3 then
		SetEndCalled(3220,true);
	else
		if sbPKcount == 1 then
			SetBubble(2, 3215);
		end
		SetTicker(3220);
		SetAmbient((3219 + sbPKcount), true);				-- drei verschiedene Ambient Locations fr diesen SB
		SetSonderBericht(3219 + sbPKcount);
	end
end

function Event3220:OnUpdate()
	SetAmbient((3219 + sbPKcount), false);			-- drei verschiedene Ambient Locations fr diesen SB
	SetNews(3220);
	sbPKcount = sbPKcount + 1;
end

function Event3220:OnEnd()
end

InitEvent(Event3220);


--[[
Event 3225
Decription: Panzerknacker - Einbruch B - Bande schl�t erneut zu: Supermarkt
]]
Event3225 = {id=3225; duration=1; update=1; typ=-1; name="Panzerknacker - Einbruch C"}

function Event3225:OnTrigger()
end

function Event3225:OnBegin()
	SetBubble(2,3225);
	SetTicker(3225);
	SetSonderBericht(3225);
	SetAmbient(3225, true);
end

function Event3225:OnUpdate()
	SetAmbient(3225, false);
	SetNews(3225);
end

function Event3225:OnEnd()
end

InitEvent(Event3225);


--[[
Event 3230
Decription: Panzerknacker - Einbruch C - Bande schl�t erneut zu: FastFoodFiliale
]]
Event3230 = {id=3230; duration=1; update=1; typ=-1; name="Panzerknacker - Einbruch C"}

function Event3230:OnTrigger()
end

function Event3230:OnBegin()
	SetBubble(2, 3230);
	SetTicker(3230);
	SetSonderBericht(3230);
	SetAmbient(3230, true);
end

function Event3230:OnUpdate()
	SetNews(3230);
	SetAmbient(3230, false);
end

function Event3230:OnEnd()
end

InitEvent(Event3230);


--[[
Event 3235
Decription: Panzerknacker - Einbruch D - Bande schl�t erneut zu: Kirche berfallen
]]
Event3235 = {id=3235; duration=1; update=1; typ=-1; name="Panzerknacker - Einbruch D"}

function Event3235:OnTrigger()
end

function Event3235:OnBegin()
	SetBubble(2,3235);
	SetTicker(3235);
	SetSonderBericht(3235);
	SetAmbient(3235, true);
end

function Event3235:OnUpdate()
	SetAmbient(3235, false);
	SetNews(3235);
end

function Event3235:OnEnd()
end

InitEvent(Event3235);


--[[
Event 3240
Decription: Urineisklumpen
]]
Event3240 = {id=3240; duration=1; update=1; typ=-1; name="Urineisklumpen"}

function Event3240:OnTrigger()
end

function Event3240:OnBegin()
	SetBubble(2,3240);
	SetTicker(3240);
	SetSonderBericht(3240);
	SetAmbient(3240, true);
end

function Event3240:OnUpdate()
	SetNews(3240);
	SetUpdateTime(3240,666);						-- Soll nicht mehr upgadatet werden
	SetAmbient(3240, false);
end

function Event3240:OnEnd()
end

InitEvent(Event3240);


--[[
Event 4997
Decription: Crisisweather
]]
Event4997 = {id=4997; duration=100; update=1; typ=-1; name="Crisisweather"}

function Event4997:OnTrigger()
end

function Event4997:OnBegin()
	SetWeatherState(weatherState);
end

function Event4997:OnUpdate()
	SetWeatherState(weatherState);
end

function Event4997:OnEnd()
end

InitEvent(Event4997);


--[[
Event 4998
Decription: Katastrophentrigger

Im Kalender, findet j�rlich am 01. Oktober statt

]]
Event4998 = {id=4998; duration=-1; update=1; typ=-1; name="Katastrophentrigger"}

function Event4998:OnTrigger()				-- Prft wahrscheinlichkeit einer Katastrophe
end

function Event4998:OnBegin()
	if math.random(2) == 1 then
		SetEndCalled(4998,true);					-- In den Folgejahren findet zu 50% eine Katastrophe statt
		return;
	end
	whichDisaster = math.random(3);
	if whichDisaster == 1 then							-- Epidemie ab 1. April
		SetDuration(4998,84);							-- Duration bestimmt, wann das erste Teil-Event der betr. Katastrophe gestartet wird
		whichDisaster = 5100;
	elseif whichDisaster == 2 then						-- Hitzewelle ab 1. Juli
		SetDuration(4998,126);
		whichDisaster = 5200;	
	else												-- Sturm ab 8. Oktober
		SetDuration(4998,174);
		whichDisaster = 5300;
	end
	SetUpdateTime(4998, GetDuration(4998) - 28);		-- 4 Wochen vor der Katastrophe wird dieses Event geupdatet (evt. Hypes verbieten)		
end

function Event4998:OnUpdate()
	SetUpdateTime(4998,-1);
end

function Event4998:OnEnd()
	CallEvent(whichDisaster);
	bigEventRunning = true;
end

InitEvent(Event4998);



--[[
Event 5100
Decription: Epidemie I - Vorzeichen, Zeitungsartikel, Ticker und Sprechblasen
]]
Event5100 = {id=5100; duration=3; update=2; typ=-1; name="Epidemie I - Vorzeichen"}

function Event5100:OnTrigger()
end

function Event5100:OnBegin()
	bigEventRunning = true;
	SetNews(5100);										-- Warnung des Gesundheitsamtes
	SetTicker(5100);									-- Warnung des Gesundheitsamtes
	SetBubble(2,5100);									-- Empfangsdame ber die angekndigte Infektionswelle
end

function Event5100:OnUpdate()
	SetTicker(5101);									-- Best�igung von ersten lokalen F�len durch das Krankenhaus
end

function Event5100:OnEnd()
	CallEvent(5105);
end

InitEvent(Event5100);


--[[
Event 5105
Decription: Epidemie II - grassiert in der Stadt
]]
Event5105 = {id=5105; duration=3; update=2; typ=-1; name="Epidemie II - grassiert"}

function Event5105:OnTrigger()
end

function Event5105:OnBegin()
	SetTicker(5105);							-- zahlreiche F�le von Erkrankungen
	SetBubble(0,5105);							-- Intendant zur Epidemie
	SetSonderBericht(5105);						-- Sonderbericht ber die Epidemie
	SetBubble(2,5106);							-- Empfangsdame ber die sich ausbreitende Infektionswelle
end

function Event5105:OnUpdate()
	RemoveSomeSenderPersons(true);					-- Ein paar Senderangestellte Indoor wegschalten
	SetAmbient(5105,true);							-- Krankenwagen in der Stadt / Fussg�ger kotzen
	DumpThemeActivityLevels(true);
	SetThemeActivityLevel(0,1); 					-- Weniger Menschen in der Stadt
	SetThemeActivityLevel(5,4);						-- Krankenhaustrubel 					
	AddChannel5(-25);
	SetBubble(19, 5115);							-- Marktforscherin ber den Quotenboom
end

function Event5105:OnEnd()
	SetTicker(5106);								-- Warnhinweise, Tips, Aufkl�ung
	CallEvent(5110);
end

InitEvent(Event5105);


--[[
Event 5110
Decription: Epidemie III - Climax und Beruhigung
]]
Event5110 = {id=5110; duration=10; update=6; typ=-1; name="Epidemie III - Climax und Beruhigung"}

function Event5110:OnTrigger()
end

function Event5110:OnBegin()
	CreateEmail(5110, -1);								-- Sekret�in berichtet von zahlreichen Krankmeldungen
	AddOverallProductionDuration(20); 					-- Produktionen um 20% verz�ert;
	SetEpidemicClose(true);								-- Gebaeude schliessen, mit pop-up info (RH, Drehbuch, Marktforschung)
	SetTicker(5110);									-- Report ber zusammenbruch zahlreicher Firmen, einrichtugnen usw.
	SetNews(5110);										-- Bericht ber die grassierende Epidemie
end

function Event5110:OnUpdate()
	SetTicker(5111);									-- Deutlicher Rckgang der Neuerkrankungen verzeichnet
	SetEpidemicClose(false);
	RemoveSomeSenderPersons(false);						-- Einige NPC wieder aktivieren
	SetAmbient(5105,false);								-- @Krankenwagen wegschalten;
end

function Event5110:OnEnd()
	DumpThemeActivityLevels(false);						-- Stadtfrequentierung wieder normalisieren
	SetTicker(5112);									-- Entwarnung
	SetNews(5111);										-- Resumee
	SetBubble(0,5110);									-- Resumee Intendant
	SetBubble(2, 5111);									-- Empfangsdame Fazit und Prognosen die Epidemie betreffend
	bigEventRunning = false;
	ResetChannel5();									-- Quotenboom rckg�gig machen
end

InitEvent(Event5110);




--[[
Event 5200
Decription: Hitzwelle I - Vorzeichen, Zeitungsartikel, Ticker und Sprechblasen
]]
Event5200 = {id=5200; duration=3; update=2; typ=-1; name="Hitzwelle I - Vorzeichen"}

function Event5200:OnTrigger()
end

function Event5200:OnBegin()
	bigEventRunning = true;
	weatherState = 0;
	CallEvent(4997);
	SetNews(5200);									-- Warnung der Wetterstation
	SetTicker(5200);								-- Warnung der Wetterstation
	SetBubble(2,5200);								-- Empfangsdame: Tratsch ber die angekndigte Hitzewelle
end

function Event5200:OnUpdate()
	SetTicker(5201);								-- Best�igung, Hitzewelle wird kommen
end

function Event5200:OnEnd()
	CallEvent(5205);
end

InitEvent(Event5200);


--[[
Event 5205
Decription: Hitzewelle II - es wird heiss...
]]
Event5205 = {id=5205; duration=3; update=2; typ=-1; name="Hitzewelle II"}

function Event5205:OnTrigger()
end

function Event5205:OnBegin()
	SetTicker(5205); 							-- Warnung fr Alte und Kinder wg. Hitze
	DumpThemeActivityLevels(true);
	SetThemeActivityLevel(0,1);					-- Stadtfrequentierung runter
	SetThemeActivityLevel(17,4);				-- mehr leute an den Badesee
	SetAmbient(5205,true);						-- Sommeranimationen erh�en --> Eike
	SetSonderBericht(5205);						-- Sonderbericht
end

function Event5205:OnUpdate()
	SetTicker(5206);							-- Wasserknappheit und daruas resultierende Sperre
	AddChannel5(20);							-- Fernsehbaisse -30%
	SetBubble(0, 5205);							-- Boss ber die Hitzewelle und die enstehenden Probleme
	SetBubble(2, 5206);
	SetBubble(19, 5219);						-- Marktforschungschefin ber Fernsehbaisse
end

function Event5205:OnEnd()
	SetAmbient(3050,true);			-- Insektenplage freischalten 
	SetSonderBericht(5210);			-- Sonderbericht Insektenplage
	SetTicker(5207);				-- Insektenplage in der Stadt
	-- Schauspieler einer Produktion faellt wg. Hitzeschlag aus, deswegen verzoegerung
	heatsickMovie, heatsickActor = GetRandomActorNMovie();
	if heatsickMovie ~= -1 and heatsickActor ~= -1 then
		GetProduction(heatsickMovie);
		SetProductionPaused(true);
		SelectPerson(heatsickActor);
		CreateEmail(5205, -1); 			-- Sekretrin informiert ber Hitzschlag
	end
	CallEvent(5210);	
end

InitEvent(Event5205);



--[[
Event 5210
Decription: Hitzewelle III - climax und rckgang
]]
Event5210 = {id=5210; duration=4; update=3; typ=-1; name="Hitzewelle III"}

function Event5210:OnTrigger()
end

function Event5210:OnBegin()
	SetTicker(5210);									-- Warnung vor Stromausf�len wegen Klimaanlagen
	SetBubble(2, 5210);									-- Empfangsdame ber Erfahrungen
	SetNews(5210);										-- �er die Probleme der Hitzwelle (Insekten, Wasserknappheit, Stromausf�le usw.)
	CallEvent(2360);									-- Stromausfall
	SetDuration(2360,1);
end

function Event5210:OnUpdate()
	SetAmbient(3050,false);								-- Insekten deaktivieren
	SetTicker(5211);									-- Temperaturrckgang verzeichnet
	SetAmbient(5205,false);								-- Sommeranimationen normalisieren
	DumpThemeActivityLevels(false);						-- Stadt/Badesee frequentierung normalisieren
	-- Schauspieler reaktivieren + Email
	if heatsickMovie ~= -1 and heatsickActor ~= -1 then
		GetProduction(heatsickMovie);
		SetProductionPaused(false);
		SelectPerson(heatsickActor);
		CreateEmail(5210, -1);							-- Rckmeldung vom Schauspieler
		heatsickActor = -1;
		heatsickMovie = -1;
	end
end

function Event5210:OnEnd()
	SetBubble(0,5214);									-- Resumee des intendanten
	SetNews(5211);										-- Resumee
	SetTicker(5212);									-- Normalisierung der Situation
	ResetChannel5();									-- Quote normalisieren
	SetBubble(2, 5215);									-- Resumee der Empfangsdame
	bigEventRunning = false;
	SetEndCalled(4997,true);
end

InitEvent(Event5210);


--[[
Event 5300
Decription: Sturm I - Vorzeichen
]]
Event5300 = {id=5300; duration=3; update=2; typ=-1; name="Sturm I - Vorzeichen"}

function Event5300:OnTrigger()
end

function Event5300:OnBegin()
	-- war vorher TRUE
	bigEventRunning = false;							
	--SetNews(5300);										-- Prognose der Wetterstation
	--SetTicker(5300);									-- Prognose der Wetterstation
	--SetBubble(2, 5300);									-- Gerchte und tratsch ber den angekndigten Sturm
end

function Event5300:OnUpdate()
	--SetTicker(5301);									-- Best�igung der Prognose
end

function Event5300:OnEnd()
	--weatherState = 1;									-- RegenWetter
	--CallEvent(4997);									-- Crisisweather
	--CallEvent(5305);
end

InitEvent(Event5300);



--[[
Event 5305
Decription: Sturm II - Es geht los
]]
Event5305 = {id=5305; duration=2; update=1; typ=-1; name="Sturm II - Es geht los"}

function Event5305:OnTrigger()
end

function Event5305:OnBegin()
	SetTicker(5305);									-- Unwetterwarnung
	DumpThemeActivityLevels(true);
	SetThemeActivityLevel(0,1)							-- Stadtfrequentierung runter
	AddChannel5(-15);									-- Quotenboom +20%
	SetBubble(19, 5305);
	weatherState = 2;									-- Regen + Blitze
end

function Event5305:OnUpdate()
	-- Blitzschlag im Studio: Produktion verzoegert sich um zwei Wochen, kostet 20% mehr
	lightningMovie, lightningActor = GetRandomActorNMovie();
	if lightningMovie ~= -1 then
		GetProduction(lightningMovie);
		lightningduration = GetProductionDuration();
		SetProductionDuration(lightningduration + 14, 18);
		costChange = math.ceil(GetProductionCost() * 0.2);
		SetProductionCostChange(costChange);
		SetProductionCost(GetProductionCost()+GetProductionCostChange(), 18);
		AddCash(-GetProductionCostChange(), 6);
		CreateEmail(5305, 19);							-- Produktionsleiter wegen Blitzschaden
		SetUpdateTime(5305,666);
	end
end

function Event5305:OnEnd()
	CallEvent(5310);
end

InitEvent(Event5305);



--[[
Event 5310
Decription: Sturm III - climax
]]
Event5310 = {id=5310; duration=3; update=1; typ=-1; name="Sturm III - climax und Abfall"}

function Event5310:OnTrigger()
end

function Event5310:OnBegin()
	SetNews(5310);													-- Bisheriger Verlauf des Unwetters
	SetTicker(5310);												-- Unwettersch�en, verletzte
	SetBubble(2, 5310);												-- Sturmerfahrungen der Empfangsdame
	SetBubble(0, 5314);												-- Intendant zum Sturm
	SetAmbient(5310, true); 										-- Senderantenne wurde umgeweht, ein tag kaputt, ein tag wiederaufbau
	EnableChannel(0,false);											-- Bis zum wiederaufbau (2 Tage) kein Programm
	CreateEmail(5310, -1); 											-- Info-Email vom Boss: Antenne wird repariert
	-- Geld abziehen
	reparaturKosten = math.ceil(30000*(GetBuildingLevel(0,2)+1))	-- @TWEAK:
	AddCash(-reparaturKosten, 2 );
	antennaDowntime = 1;
end

function Event5310:OnUpdate()
	if antennaDowntime == 1 then
		SetAmbient(5311, true);
		weatherState = 3;									-- starkes RegenWetter
		-- Produktionsleiter wird von umstuerzenden Baum verletzt, setzt einige Zeit aus ---> Produktionen und wieder reaktivieren	
		treeProduction, treeProducer = GetRandomPersonAndProduction(3);
		if treeProduction ~= -1 and treeProducer ~= -1 then
			GetProduction(treeProduction);
			SetProductionPaused(true);
			SelectPerson(treeProducer);
			CreateEmail(5311, -1); 								-- Info-Email von der Sekretrin
		end
		antennaDowntime = 2;
	elseif antennaDowntime == 2 then
		SetAmbient(5315, true);
		EnableChannel(0,true);
		SetUpdateTime(5310,666)								-- soll nicht mehr geupdatet werden
	end		
end

function Event5310:OnEnd()
	weatherState = 1;									-- RegenWetter
	CallEvent(5315);
end

InitEvent(Event5310);



--[[
Event 5315
Decription: Sturm IV - Abfall
]]
Event5315 = {id=5315; duration=3; update=2; typ=-1; name="Sturm IV - Abfall"}

function Event5315:OnTrigger()
end

function Event5315:OnBegin()
	-- Produktion (umgestrzter Baum) wieder aktivieren
	if treeProduction ~= -1 and treeProducer ~= -1 then
		SelectPerson(treeProducer);
		GetProduction(treeProduction);
		SetProductionPaused(false);
		CreateEmail(5315, -1); 						-- Rckmeldung des Produktionsleiters
		treeProduction = -1;
		treeProducer = -1;
	end
	SetTicker(5315);								-- Ende in Sicht
end

function Event5315:OnUpdate()
	weatherState = 0;								-- normales Wetter
	SetEndCalled(4997,true);						-- crisisweather beenden
	SetBubble(2, 5315);								-- Resumee der Empfangsdame
	SetBubble(0, 5319);								-- Resumee des Intendanten
	SetNews(5315); 									-- Resumee zum Sturm
	bigEventRunning = false;
	DumpThemeActivityLevels(false);					-- Stadtfrequentierung rauf
end

function Event5315:OnEnd()
end

InitEvent(Event5315);




--[[
Event 6000
Decription: Die Gala I - Ankndigung und Nominierung

ab 04.11.09 jaehrlich

]]
Event6000 = {id=6000; duration=10; update=1; typ=-1; name="Die Gala I"}

function Event6000:OnTrigger()
end

function Event6000:OnBegin()							-- Ankndigung
	nominationsCounter = 0;								-- fuer den OnUpdate Bereich (alle Ticker durchgehen)
	SetNews(6000);
	SetBubble(0, 6000);									-- Intendant zur Bevorstehenden Gala
	SetupGala();
	CreateEmail(6000,20);								-- Einladung zur Gala
	AddCalendarEntry(6000,20,17);						-- Termin setzen
	nominationsTicker = MixArray(nominationsTicker);	-- Kategorie-IDs durcheinanderwrfeln
	InitLive(25,17);									-- Drehbuch freischalten
end

function Event6000:OnUpdate()								-- Nominierung
	TriggerGalaSpam(nominationsCounter);
	nominationsCounter = nominationsCounter + 1;
	if nominationsCounter == 8 then
		SetUpdateTime(6000,999);
	end
end

function Event6000:OnEnd()
	CallEvent(6020);
end

InitEvent(Event6000);



--[[
Event 6020
Decription: Die Gala II - Offizielle Nominierungsliste mit Feedback, 
]]
Event6020 = {id=6020; duration=7; update=-1; typ=-1; name="Die Gala II"}

function Event6020:OnTrigger()
end

function Event6020:OnBegin()
	CreateEmail(6020, 19);						-- Jury informiert noch mal umfassend ber alle Nominierungen des Spielers
	--hat der Spieler keine Nominierungen, wird die Email 6021 von der Engine verschickt
	ownNominations = GetGalaNominations();
	if ownNominations == 0 then					-- keine Nominierungen
		SetBubble (0,6020);
		SetBubble(2, 6040);						-- Empfangsdame, wenn keine Nominierungen
	else
		SetBubble(2, 6025);						-- Empfangsdame
	end
	if ownNominations == 16 then		
		SetBubble (0,6021);
	elseif ownNominations < 5 then
		SetBubble (0,6022);
	elseif ownNominations > 11 then
		SetBubble (0,6023);
	end
end

function Event6020:OnUpdate()
end

function Event6020:OnEnd()
	CallEvent(6040);
end

InitEvent(Event6020);



--[[
Event 6040
Decription: Die Gala III - Die Veranstaltung und das Feedback
]]
Event6040 = {id=6040; duration=3; update=1; typ=-1; name="Die Gala III"}

function Event6040:OnTrigger()
end

function Event6040:OnBegin()
	SetAmbient(6040,true);						-- Ambient in der Stadt?
	DoGala();									-- Gala freischalten!
end

function Event6040:OnUpdate()
	SetAmbient(6040,false);						-- Ambient in der Stadt wegschalten
	wonAwards = GetWonGalaTrophies();
	if wonAwards < 4 then
		SetBubble(0, 6050);
		SetBubble(2, 6051);
	elseif wonAwards < 7 then
		SetBubble(0, 6060);
		SetBubble(2, 6061);
	else
		SetBubble(0, 6070);
		SetBubble(2, 6071);
		AddFaction(0,1);
		if wonAwards == 9 then
			CreateEmail(6041,21);				-- Hat der Spieler wirklich ALLES abgesahnt, spricht ihm der Mogul seinen Respekt aus
		end
	end
	SetNews(6030);
	SetUpdateTime(6040, 999);
end

function Event6040:OnEnd()
end

InitEvent(Event6040);



--[[
Event 6100
Decription: HETV I - Ankndigung

02.06.09

]]
Event6100 = {id=6100; duration=8; update=3; typ=-1; name="HETV I - Ankndigung"}

function Event6100:OnTrigger()
end

function Event6100:OnBegin()
	SetTicker(6100);										-- Durchbruch in der Fernsehtechnik
	SetBubble(0,6099);										-- Intendant weisst schonmal darauf hin, dass Geld gespart werden sollte
end

function Event6100:OnUpdate()
	SetNews(6100);											-- Eingehender Bericht ber die neue Technik und bevorstehende Lizenzversteigerung
	SetBubble(2, 6100);										-- Empfangsdame ber die neue Technik
	SetUpdateTime(6100,666);
end

function Event6100:OnEnd()
	CallEvent(6110);
end

InitEvent(Event6100);


--[[
Event 6110
Decription: HE TV II - Einladung zur LizenzAuktion
]]
Event6110 = {id=6110; duration=8; update=-1; typ=-1; name="HE TV II - Einladung zur Auktion"}

function Event6110:OnTrigger()
end

function Event6110:OnBegin()
	CreateEmail(6110, 20);		-- Einladung zur Lizenzauktion
	InitAuction(4,7);			-- an Termin anpassen/Email
	AddCalendarEntry(6110,20,7) -- Termin der Auktion festsetzen, n�hste Woche Dienstag
	SetBubble(0, 6110);			-- Intendant ber die bevorstehende Auktion und die Bedeutung der Lizenz fr den Sender
end

function Event6110:OnUpdate()
end

function Event6110:OnEnd()
	SetTicker(6110);									-- ber den Sender, der auf der Strecke bleibt
	SetNews(6130);
	SetBubble(19,6112);									-- Medienaufsichtsbeh�de ber die Auswirkungen/M�lichkeiten - gratulation
	SetBubble(0,6113); 									-- Intendant: Spieler soll nun die Antenne ausbauen, um die Lizenz nutzen zu k�nen
	CreateEmail(6111, -1);								-- BGM ber erfolgreichen Erwerb der Lizenz (offizielle Best�igung)
	SetBubble(2, 6115);									-- Empfangsdame zur erfolgreichen Lizenzauktion
end

InitEvent(Event6110);




--[[
Event 6200
Decription: Wirtschaftskrise I - Vorzeichen

Samstag, 13.01.09

]]
Event6200 = {id=6200; duration=6; update=3; typ=-1; name="Wirtschaftskrise I - Vorzeichen"}

function Event6200:OnTrigger()
end

function Event6200:OnBegin()
	SetTicker(6200);									-- Wirtschaftskrise angekndigt
	SetNews(6200);										-- Artikel ber die unausweichliche Wirtschaftskrise
	SetBubble(2, 6200);									-- Empfangsdame: Getratsche ber die Angekndigte Krise
end

function Event6200:OnUpdate()
	EconomyCrisisFame(0, 100);							-- famekopplung bei der auswahl der bewerber ausser kraft
	EconomyCrisis(true, 0.75);							-- Loehne fr neue Bewerber um 25% niedriger
	CreateEmail(6200, 21);								-- Sekretaerin informiert den Spieler ueber die Bereitschaft fr weniger Lohn zu arbeiten
	SetBubble(1, 6205);									-- Sekretaerin: Kommentar ber die Wirtschaftskrise
end

function Event6200:OnEnd()
	CallEvent(6210);
end

InitEvent(Event6200);


--[[
Event 6210
Decription: Wirtschaftskrise II - Versch�fung der Situation

@TWEAK: Duration

]]
Event6210 = {id=6210; duration=21; update=0; typ=-1; name="Wirtschaftskrise II - Versch�fung der Situation"}

function Event6210:OnTrigger()
end

function Event6210:OnBegin()
	SetBubble(18, 6210);                			-- Werbekauffrau informiert ber reduziertes Werbeangebot
	spamQuote = 0;
	if gameLevel == 1 then
		spamQuote = 0.5;
	elseif gameLevel == 0.9 then
		spamQuote = 2.5;
	else
		spamQuote = 4.5;
	end
	if GetBuildingLevel(0, 2) == 2 then
		spamQuote = spamQuote + 23;
	elseif GetBuildingLevel(0, 2) == 1 then
		spamQuote = spamQuote + 18;
	elseif GetBuildingLevel(0, 2) == 0 then
		spamQuote = spamQuote + 13;
	end
	SetSpamQuote(spamQuote);						-- Angebot an Werbung auf 13%-quotenvertrge oder weniger reduzieren
	ResetSpam();
	--SetBubble(0, 6211);							-- Intendant ber Gewerbemieten,
end

function Event6210:OnUpdate()
end

function Event6210:OnEnd()
	CallEvent(6220);
end

InitEvent(Event6210);


--[[
Event 6220
Decription: Wirtschaftskrise III - Bev�kerungsstruktur �dert sich
]]
Event6220 = {id=6220; duration=14; update=6; typ=-1; name="Wirtschaftskrise III - Bev�kerungsstruktur �dert sich"}

function Event6220:OnTrigger()
end

function Event6220:OnBegin()
	SetNews(6220);											-- Bevoelkerungsstruktur hat sich aufgrund der Krise ver�dert, es gibt mehr Konservative und Mateialisten; Rckgang der Etablierten, Moderner Performer und Postmateriellen
	SetBubble(19, 6220);									-- Marktforschungschef berichtet von der Bevoelkerungsver�derung
	ModifyPopulation(	-0.0035,							-- etablierte
						-0.0035,							-- moderne performer
						-0.0035,							-- experimentalisten
						 0,									-- hedonisten
						-0.0035,							-- postmaterielle
						 0,									-- brgerliche mitte
					     0.007,								-- konsummaterialisten
						 0.007,								-- konservative
						 0);								-- traditionsverw.
end

function Event6220:OnUpdate()
	SetNews(6221);										-- Regierung versucht durch verschiedene Massnahmen der Krise entgegenzuwirken, unter anderem ver�derte Laden�fnungszeiten
	SetBubble(2, 6221);									-- Empfangsdame ber die Ma�ahmen, und wie man es besser machen m�e
	SetUpdateTime(6220, 999);
end

function Event6220:OnEnd()
	CallEvent(2330);									-- Ver�derte Laden�fnungszeiten
	CallEvent(6230);
end

InitEvent(Event6220);


--[[
Event 6230
Decription: Wirtschaftskrise IV - Aufschwung
]]
Event6230 = {id=6230; duration=13; update=7; typ=-1; name="Wirtschaftskrise IV - Aufschwung"}

function Event6230:OnTrigger()
end

function Event6230:OnBegin()
	SetSpamQuote(100);					-- Werbeangebot wieder normalisieren
	ResetSpam();
	SetBubble(18, 6230);				-- Werbeagentur berichtet froh ber viele neue Werbeauftr�e
end

function Event6230:OnUpdate()
	SetTicker(6230);					-- Krise offiziell berwunden
	SetNews(6230);						-- Massnahmen haben gegriffen, Krise von der Regierung offiziell als beendet bezeichnet
end

function Event6230:OnEnd()
	EconomyCrisis(false, 1);			-- Loehne wieder anheben, famekopplung wieder aktivieren
	SetBubble(1,6231);					-- Sekretaerin berichtet von normalisierung auf dem Arbeitsmarkt
end

InitEvent(Event6230);


--[[
Event 6300
Decription: Der Mogul I - Gerchte
Im Kalender: beginnt mitte Juli 08 - endet Anfang September 08
]]
Event6300 = {id=6300; duration=21; update=7; typ=-1; name="Der Mogul I - Geruechte"}

function Event6300:OnTrigger()
end

function Event6300:OnBegin()
	SetAmbient(6301,true);								-- Baustufe 1
	buildVilla = 2;
end

function Event6300:OnUpdate()
	if buildVilla == 2 then
		SetAmbient(6302,true);							-- Baustufe 2
		SetTicker(6300);								-- Villabau am Stadtrand l�st auf prominenten Neubrger schlie�n
		SetNews(6300);									-- Ausfhrliche Mutma�ngen ber den Besitzer des neuen Grundstcks
		SetBubble(2, 6300);								-- Empfangsdame: getratsche, um wen es sich denn handeln k�ne
		buildVilla = 3;
		bigEventRunning = true;
	elseif buildVilla == 3 then
		SetAmbient(6303,true);							-- Baustufe 3
	end
end

function Event6300:OnEnd()
	CallEvent(6310);
end

InitEvent(Event6300);


--[[
Event 6310
Decription: Der Mogul II - Laesst sich in der Stadt nieder
]]
Event6310 = {id=6310; duration=6; update=1; typ=-1; name="Der Mogul II - L�st sich in der Stadt nieder"}

function Event6310:OnTrigger()
end

function Event6310:OnBegin()
	SetTicker(6310);								-- Es handelt sich um den grossen Medienmogulin
	SetNews(6310);									-- Bericht ber das Imperium der Mogulin und die Bedeutung ihres Einzugs in die Stadt
	SetBubble(2, 6310);								-- Empfangsdame: Sorgen und Gerchte ber den Einzug der Mogulin
	SetBubble(0, 6315);								-- Intendant: Macht sich grosse Sorgen, und warnt den Spieler auf alles gefasst zu sein
	SetSonderBericht(6310);							-- Sonderbericht vor der Villa der Mogulin
	SetAmbient(6310,true);
end

function Event6310:OnUpdate()
	SetAmbient(6310,false);
	SetUpdateTime(6310,999);
	bigEventRunning = false;
end

function Event6310:OnEnd()
	CreateEmail(6310, -1);							-- Mogulin kndigt Konferenz fr Samstag 06. Oktober an
	InitLive(26, 14);								-- drehbuch freischalten 
	CallEvent(6320);
end

InitEvent(Event6310);



--[[
Event 6320
Decription: Der Mogul III - Mogul verbreitet Gerchte
]]
Event6320 = {id=6320; duration=7; update=3; typ=-1; name="Der Mogul III - Mogule verbreitet Gerchte"}

function Event6320:OnTrigger()
end

function Event6320:OnBegin()
	CreateEmail(6320, 19);										-- BGM laed den Spieler zu einem Vertraulichem Gespraech ein
	AddCalendarEntry(1200,19,5);		
	SetBubble(10,6320);											-- BGM redet von Bedeutung des Senders fr die Stadt, und das fr alle Probleme eine L�ung gefunden werden kann, usw.
	NPCactive(10, true);										-- BGM freischalten
end

function Event6320:OnUpdate()
	CreateEmail(6321, -1);										-- Bankdirektor laed den Spieler zu einem vertraulichem Gespr�h ein
	AddCalendarEntry(1300, -1, 5);
	SetBubble(11,6321);											-- Bankdirektor teilt dem Spieler mit, da�er ab sofort leider keinen neuen Kredit aufnehmen kann (es f�lt ihm h�bar/sichtlich schwer)
	SetCreditAllowed(false);									-- Kreditlinie sperren
	SetUpdateTime(6320, 999);
	NPCactive(11, true);
end

function Event6320:OnEnd()
	CallEvent(6330);
end

InitEvent(Event6320);


--[[
Event 6330
Decription: Der Mogul IV - Feedback von BGM und BD falls der Spieler sie nicht besucht hat, und wieder sperren
]]
Event6330 = {id=6330; duration=4; update=3; typ=-1; name="Der Mogul IV - Feedback BGM und BD"}

function Event6330:OnTrigger()
end

function Event6330:OnBegin()
	NPCactive(10, false);
	if IsInBubbleQueue(10,6320) == true then
		CreateEmail(6330, 20);					-- BGM: Kann verstehen, das es dem Spieler unangenehm ist darber zu sprechen, er wollte ja nur helfen
		RemoveBubble(10,6320);
	end
end

function Event6330:OnUpdate()
	NPCactive(11, false);
	if IsInBubbleQueue(11,6321) == true then
		CreateEmail(6331, 19);					-- BD: Es tut ihm leid dem Spieler es auf diesem Wege mitteilen zu mssen, aber bis auf weiteres bekommt er keine Kredite mehr gew�rt
		RemoveBubble(19,6331);
	end
end

function Event6330:OnEnd()
	CallEvent(6340);
end

InitEvent(Event6330);


--[[
Event 6340
Decription: Der Mogul V - Programmdirektor wird abgeworben
]]
Event6340 = {id=6340; duration=2; update=-1; typ=-1; name="Der Mogul V - Programmdirektor wird abgeworben"}

function Event6340:OnTrigger()
end

function Event6340:OnBegin()
	if GetPlayerProgramDirector() ~= -1 then
		SelectPerson(GetPlayerProgramDirector());
		CreateEmail(6340, -1);									-- Programmdirektor kndigt PArservariable
		SetChief(GetPlayerProgramDirector(),GetMogul());		-- Programmdirektor des Spielers dem Mogul bertragen -> Welche SenderID!?
		CreateEmail(6341, -1);									-- Sekret�in berichtet dem Spieler vom Weggang des Programmdirektors
		SetBubble(0, 6340); 									-- Intendant regt sich tierisch auf, denn er wei�genau wer dahinter steckt
	end
end

function Event6340:OnUpdate()
end

function Event6340:OnEnd()
	CallEvent(6350);
end

InitEvent(Event6340);


--[[
Event 6350
Decription: Der Mogul VI - Mogul gibt Pressekonferenz, Missverst�dnis des Bankdirektors kl�t sich
]]
Event6350 = {id=6350; duration=4; update=1; typ=-1; name="Der Mogul VI - Mogul gibt Pressekonferenz, Missverst�dnis des Bankdirektors kl�t sich"}

function Event6350:OnTrigger()
end

function Event6350:OnBegin()
	SetTicker(6350);			 						-- Mogul gibt Pressekonferenz
	SetAmbient(6350, true);
end

function Event6350:OnUpdate()
	SetAmbient(6350, false);
	SetBubble(2, 6350);									-- Empfangsdame: Angst vor der �erm�htiger Konkurrenz aber auch Zuversichtlichkeit
	SetBubble(0, 6355);									-- Intendant hat es von Anfang geahnt, harte Zeiten stehen bevor
	SetNews(6350);										-- Ausfhrlicher Bericht ber die Konferenz, die Pl�e und Ziele des Moguls
	SetUpdateTime(6350, 666);
end

function Event6350:OnEnd()
	CreateEmail(6350,21);								-- Bankdirektor, hat gerade den Gesch�tsbericht des Senders gelesen, entschuldigt sich vielmals einem Gercht aufgesessen zu sein, Kreditlinie wieder frei
	SetCreditAllowed(true);								-- Kreditlinie wieder freimachen
	if math.random(2) == 1 then
		CreateEmail(6351,19);							-- "Kriegserkl�ung" des Moguls per Mail
	end
end

InitEvent(Event6350);


--[[
Event 6400
Decription: BGM Wahl I - Ankndigung der Wahlen, Werbung verfuegbar

01. August j�rlich

]]
Event6400 = {id=6400; duration=7; update=3; typ=-1; name="BGM Wahl I - Ankndigung der Wahlen"}

function Event6400:OnTrigger()
end

function Event6400:OnBegin()
	if GetCallCount(6400) == 1 then					-- TIMELINE == 3 // TIMELINE == 4
		SetCallCount(6400, -1);						-- TIMELINE , 0)
		SetEndCalled(6400, true);
		return;
	elseif GetCallCount(6400) ~= 0 then				-- TIMELINE ~= 1		-- Event wird alle vier Jahre ausgefuehrt
		SetEndCalled(6400, true);
		return;
	end
	SetTicker(6400);										-- Wahl des neuen Buergermeisters steht bevor
	CreateEmail(6401, -1);									-- Ankndigung ber Rededuelle und Wahltag von der Stadt 
	--@TOTAKECAREABOUT: Rededuelle und Wahltag mit Datum ankuendigen
	InitLive(27, 18);								-- 05.09.
	InitLive(28, 22);								-- 09.09.
	InitLive(29, 26);								-- 13.09.
	InitLive(30, 27);								-- 14.09.
end

function Event6400:OnUpdate()
	corruptionFulfilled = false;							-- Korruptionsvariablen setten/resetten
	corruption = false;
	SetNews(6400);											-- Artikel zur bevorstehenden Wahl
	SetBubble(2, 6400);										-- Empfangsdame ber die bevorstehende Brgermeisterwahl
	CreateEmail(6400,19);									-- Werbeagentur informiert den Spieler ber die jetzt verfgbare Wahlwerbung (n�eres vor ort)
	EnableSpam(5529, 1)										-- Wahlwerbung freischalten - stimmt das so?
	SetBubble(18, 6405);									-- Werbekaufmann erkl�t Wahlwerbung (Paket mit Spots aller kandidaten in gleichen Teilen, gering staatlich gef�dert);
	SetUpdateTime(6400, 999);
end

function Event6400:OnEnd()
	CallEvent(6410);
end

InitEvent(Event6400);


--[[
Event 6410
Decription: BGM Wahl II - evt. "unmoralisches" Angebot vom amtierenden Brgermeister
]]
Event6410 = {id=6410; duration=7; update=-1; typ=-1; name="BGM Wahl II - evt. unmoralisches Angebot vom amtierenden Brgermeister"}

function Event6410:OnTrigger()
end

function Event6410:OnBegin()
	CreateEmail(6410, -1);										-- BGM l� zu einem gespr�h unter vier Augen ein
	AddCalendarEntry(1200, -1, 6);								-- Terminplanereintrag setzen
	SetBubble(10,6410);											-- BGM: Spieler und er kennen sich ja schon l�ger... Fragt den Spieler verblmt, ob er evt. zus�zliche Werbung fr ihn austrahlt. Natrlich w�cht eine Hand die andere...
	NPCactive(10, true);										-- BGM freischalten
end

function Event6410:OnUpdate()
end

function Event6410:OnEnd()
	CallEvent(6440);
end

InitEvent(Event6410);


--[[
Event 6420
Decription: BGM Wahl II.a - Spieler geht auf Angebot ein
]]
Event6420 = {id=6420; duration=13; update=1; typ=-1; name="BGM Wahl II.a - Spieler geht auf Angebot ein"}

function Event6420:OnTrigger()
end

function Event6420:OnBegin()
	corruption = true;
	EnableSpam((5530 + GetBGM()), 2);
	SetOwner((5530 + GetBGM()), 0);		 			-- Spieler bekommt Wahlwerbung des amtierenden BGM
	NPCactive(10, false);
	SetBubble(0,6420);								-- Intendant weiss was der Spieler vor hat, und warnt ihn davor
end

function Event6420:OnUpdate()
	if IsSpamEnabled(5530 + GetBGM()) == 1 then		-- Auftrag erfllt, werbung verstecken
		corruptionFulfilled = true;
		EnableSpam((5530 + GetBGM()), 0);
		SetEndCalled(6420, true);
	end
end

function Event6420:OnEnd()
	corruptionFulfilled = false;
	EnableSpam((5530 + GetBGM()), 0);				-- Auftrag nicht erfllt, Werbung verstecken
	SetEndCalled(6420, true);
end

InitEvent(Event6420);


--[[
Event 6440
Decription: BGM Wahl III - Rededuelle
]]
Event6440 = {id=6440; duration=13; update=4; typ=-1; name="BGM Wahl III - Rededuelle"}

function Event6440:OnTrigger()
end

function Event6440:OnBegin()
	EnableSpam(5529, 0);									-- Wahlwerbung wegschalten
	ResetSpam();
	duellNumber = 6440;
	if IsInBubbleQueue(10,6410) == true then
		RemoveBubble(10,6410);								-- Korruptionsbubble entfernen
		NPCactive(10, false);
		CreateEmail(6469, -1);								-- BGM ist ein wenig entt�scht, weil der Spieler ihn nicht besucht hat
		corruption = false;
	end
end

function Event6440:OnUpdate()
	SetTicker(duellNumber);									-- Heute Rededuell im Rathaus
	SetAmbient(6440, true);									-- Rededuell Ambient setzen
	duellNumber = duellNumber + 1;
	CallEvent(6441);
end

function Event6440:OnEnd()
	CallEvent(6450);
end

InitEvent(Event6440);

--[[
Event 6441
Decription: BGM Wahl III.1 - Rededuell Ambients beenden
]]
Event6441 = {id=6441; duration=1; update=1; typ=-1; name="Rededuell beenden"}

function Event6441:OnTrigger()
end

function Event6441:OnBegin()
end

function Event6441:OnUpdate()
	SetAmbient(6440, false);
end

function Event6441:OnEnd()
end

InitEvent(Event6441);


--[[
Event 6450
Decription: BGM Wahl IV - Wahltag und Auswertung
@TWEAK: 	1. WS der Wahlausgnge
			2. Factionvernderungen Intendant
			3. Vernderung der Grundstckspreise
]]
Event6450 = {id=6450; duration=1; update=1; typ=-1; name="BGM Wahl IV - Wahltag und Auswertung"}

function Event6450:OnTrigger()
end

function Event6450:OnBegin()
	SetTicker(6450);							-- Wahltag!
	SetAmbient(6450,true);						-- Wahltagambient starten
	oldBGM = GetBGM();
	newBGM = GetBGM();
	if corruptionFulfilled == true then
		if math.random(3) == 1 then	 					-- WS einer Niederlage des alten BGM bei Korruption 1/3
			while newBGM == oldBGM do
				newBGM = math.random(0,3);				-- zuflligen Kandidaten auswhlen
			end
		end
	else
		if math.random(2) == 1 then	 					-- WS einer Niederlage des alten BGM ohne Korruption 1/2
			while newBGM == oldBGM do
				newBGM = math.random(0,3);				-- zuflligen Kandidaten auswhlen
			end
		end
	end
	if newBGM == oldBGM then							-- wiederwahl des alten BGM
		if corruption == true and corruptionFulfilled == true then
			if math.random(3) == 1 then					-- WS fr das Auffliegen der untersttzung 1/3
				election = 1;
				SetNews(6453);							-- Wahlerfolg von fragwrdiger Senderpolitik berschattet
			else
				election = 2;
				SetNews(6452);							-- Alter BGM!  (Parservariable)
			end
		elseif corruption == true and corruptionFulfilled == false then
			election = 3;
			SetNews(6452);							-- Alter BGM!  (Parservariable)
		else
			election = 4;
			SetNews(6452);							-- Alter BGM!  (Parservariable)
		end
	else
		election = 5;
	end
end

function Event6450:OnUpdate()
	SetAmbient(6450,false);								-- Wahltagambient beenden
	if election == 1 then	
		SetTicker(6452);								-- Alter BGM!  (Parservariable)
		SetTicker(6453);						-- untersttzung des BGM durch den Sender aufgedeckt
		AddSenderFame(0,-20);
		AddFaction(0,-0.5);
		SetBubble(0,6454);						-- Anschiss vom Intendanten
		SetBubble(2, 6455);						-- Empfangsdame zum Wahlskandal (Scham, Entt�schung?)
	elseif election == 2 then
		SetTicker(6452);						-- Alter BGM!  (Parservariable)
		SetBubble(2, 6465);						-- Empfangsdame ber den Sieg des alten BGMs
		CreateEmail(6450, -1);					-- Verblmte DankesEmail BGM, kndigt Senkung der Gewerbemieten an
		landPrice = landPrice - 20;
		SetLandPricePercent(landPrice);				
		AddCash((math.random(5)*100000),4);		-- Spieler bekommt 100k-500k Credits gutgeschrieben
		SetBubble(0,6463);						-- Intendant: Kommentar, das nichts rausgekommen ist, aber er die aktion trotzdem nicht gutheisst
	elseif election == 3 then
		SetTicker(6452);
		SetBubble(0, 6464);						-- Beglckwnscht den Spieler dafr, da�er es sich doch anders berlegt hat
		AddFaction(0,0.5);
		CreateEmail(6451, -1);					-- Verblmter Anschiss BGM, kndigt erhoehung der Grundstckspreise an
		landPrice = 120;
		SetLandPricePercent(landPrice);
	elseif election == 4 then
		SetTicker(6452);
		CreateEmail(6451, -1);					-- Verblmter Anschiss BGM, kndigt erhoehung der Grundstckspreise an
		landPrice = 120;
		SetLandPricePercent(landPrice);
	elseif election == 5 then					-- neuer BGM gewhlt
		SetBGM(newBGM);
		SetNews(6451);							-- Neuer BGM!  (Parservariable)
		SetTicker(6451);						-- Neuer BGM!  (Parservariable)
		SetBubble(2, 6450);						-- Empfangsdame ber den Sieg des neuen BGMs
		landPrice = 100;
		SetLandPricePercent(landPrice);						
		CreateEmail(6452,-1)					-- Email vom neuen BGM, stellt sich vor, und berichtet ber anpassung der Grundstckspreise
		if corruption == true then
			SetBubble(0, 6464);					-- Beglckwnscht den Spieler dafr, da�er es sich doch anders berlegt hat
			AddFaction(0,0.5);
		end
	end
	SetUpdateTime(6450,999);
end

function Event6450:OnEnd()
end

InitEvent(Event6450);



--[[
Event 6500
Decription: Neues Stadtgebiet I - Ankndigung und Pressekonferenz

10. Mrz, Jahr 4

]]
Event6500 = {id=6500; duration=15; update=14; typ=-1; name="Neues Stadtgebiet I - Ankndigung und Pressekonferenz"}

function Event6500:OnTrigger()
end

function Event6500:OnBegin()
	bigEventRunning = true;
	SetTicker(6500);								-- Brgermeister setzt Pressekonferenz an
	CreateEmail(6500, -1);							-- Information von der Stadt
	InitLive(31,14); 								-- Livebertragung Pressekonferenz im Rathaus freigeben
end

function Event6500:OnUpdate()
	SetAmbient(3080, true);					-- Ambient Pressekonferenz Rathaus
end

function Event6500:OnEnd()
	SetAmbient(3080, false);
	CallEvent(6510);	
end

InitEvent(Event6500);



--[[
Event 6510
Decription: Neues Stadtgebiet II - Erweiterung des Stadtgebiets
]]
Event6510 = {id=6510; duration=7; update=5; typ=-1; name="Neues Stadtgebiet II - Erweiterung des Stadtgebiets"}

function Event6510:OnTrigger()
end

function Event6510:OnBegin()
	SetTicker(6510);										-- BGM plant die Erweiterung der Stadt
	SetNews(6510);											-- Artikel ber die Pl�e und Beweggrnde des BGM
	SetBubble(2, 6510);										-- Empfangsdame ber die geplante Stadterweiterung
	SetBubble(0, 6509);										-- Intendant ber die m�lichkeiten
end

function Event6510:OnUpdate()
	EnableDevArea(true);									-- Ambient fr den Stadtausbau triggern
end

function Event6510:OnEnd()
	CallEvent(6520);
end

InitEvent(Event6510);



--[[
Event 6520
Decription:  Neues Stadtgebiet III - Fund bei Grabungen
]]
Event6520 = {id=6520; duration=12; update=1; typ=-1; name="Neues Stadtgebiet III - Fund bei Grabungen"}

function Event6520:OnTrigger()
end

function Event6520:OnBegin()
	grabung = math.random(10);
	if grabung < 7 then
		SetTicker(6520);							-- Dinoknochen bei Grabung entdeckt
		SetNews(6520);								-- Missing Link bringt Licht in die Evolutionstheorie, wird nach der Stadt benannt
		SetFictionFormatHype(1, true);				-- Dinohype triggern
		--SetFictionFormatHype(2, true);			-- Dinohype triggern
		SetBubble(2, 6520);							-- Empfangsdame: Getratsche ber den fossilien fund
		SetSonderBericht(6520);						-- Sonderbericht Dinoknochen
		SetAmbient(6550,true);
	elseif grabung < 10 then
		SetTicker(6530);							-- Leiche bei Grabung entdeckt
		SetNews(6530);								-- Bei der Leiche handelt es sich um eine vor vielen Jahren spurlos verschwundene Frau, ermittlungen laufen
		SetFictionFormatHype(34, true);				-- Krimihype triggern
		--SetFictionFormatHype(70, true);				-- Krimihype triggern
		SetBubble(2, 6530);							-- Empfangsdame: Getratsche ber die Leiche
		SetSonderBericht(6530);						-- Sonderbericht Leiche
		SetAmbient(6550,true);
	else
		SetTicker(6540);							-- Artefakt bei Grabung entdeckt
		SetNews(6540);								-- Forscher r�seln ber den Ursprung des Artefakts, unbekannte Elemente - Ausserirdisch?
		SetFictionFormatHype(13, true);				-- Sci-Fi Hype triggern
		--SetFictionFormatHype(14, true);			-- Sci-Fi Hype triggern
		SetBubble(2, 6540);							-- Empfangsdame: Getratsche ber das Artefakt
		SetSonderBericht(6540);						-- Sonderbericht Artefakt
		SetAmbient(6550,true);
	end
end

function Event6520:OnUpdate()
	SetAmbient(6550,false);
	SetUpdateTime(6520,999);
end

function Event6520:OnEnd()
	CallEvent(6550);
end

InitEvent(Event6520);


--[[
Event 6550
Decription: Neues Stadtgebiet IV - Skandal um Baugenehmigung
]]
Event6550 = {id=6550; duration=7; update=1; typ=-1; name="Neues Stadtgebiet III - Skandal um Baugenehmigung"}

function Event6550:OnTrigger()
end

function Event6550:OnBegin()
	SetTicker(6550);									-- Skandal um Baugenehmigungen
	SetSonderBericht(6550);								-- Sonderbericht Baugenehmigungsskandal
	SetAmbient(6550,true);
	SetBubble(2, 6550);									-- Senderangestellte ber den Skandal
end

function Event6550:OnUpdate()
	SetAmbient(6550, false);
	SetTicker(6551);									-- Alles in Ordnung, "nur" Schlampigkeit der Baufirma
	SetNews(6550);										-- Artikel ber den Skandal
	SetUpdateTime(6550,999);
end

function Event6550:OnEnd()
	CallEvent(6560);
	bigEventRunning = false;
end

InitEvent(Event6550);


--[[
Event 6560
Decription: Neues Stadtgebiet V - Bau abgeschlossen, Bev�kerungsstruktur ver�dert sich
]]
Event6560 = {id=6560; duration=7; update=3; typ=-1; name="Neues Stadtgebiet IV - Bau abgeschlossen, Bev�kerungsstruktur ver�dert sich"}

function Event6560:OnTrigger()
end

function Event6560:OnBegin()
end

function Event6560:OnUpdate()
	-- Bevoelkerungsstruktur aendert sich: mehr Etablierte und brgerliche mitte
	ModifyPopulation(	 0.0070,					-- etablierte
						 0,							-- moderne performer
						 0,							-- experimentalisten
						 0,							-- hedonisten
						-0.0035,					-- postmaterielle
					  	 0.0035,					-- brgerliche mitte
						 0,							-- konsummaterialisten
						-0.0035,					-- konservative
						-0.0035);					-- traditionsverw.
	SetUpdateTime(6560,999);
end

function Event6560:OnEnd()
	SetBubble(19, 6560);		-- Marktforschung ber Bev�kerungstruktur�derung
	SetNews(6560);				-- Artikel ber das neue Stadtviertel
end

InitEvent(Event6560);


--[[
Event 7999
Decription: Intendantenauftr�e Geldbelohnung
]]
Event7999 = {id=7999; duration=-1; update=-1; typ=-1; name="Questreward-Handler"}

function Event7999:OnTrigger()
end

function Event7999:OnBegin()
	local levelofHQ = GetBuildinglevel(0, 3) + 1;
	local totalreward = 10*reward*levelofHQ;
	AddCash(totalreward, 4);
	reward = 0;
end

function Event7999:OnUpdate()
end

function Event7999:OnEnd()
end

InitEvent(Event7999);





--[[
Event 8000
Decription: Intendantenauftrag
]]
Event8000 = {id=8000; duration=8; update=7; typ=-1; name="Quest: Steigerung der Quote"}

function Event8000:OnTrigger()
end

function Event8000:OnBegin()
end

function Event8000:OnUpdate()
	if quest[1] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 8000;
		SetBubble(0, 8001);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8002);
	end
	quest[1] = false;
end

function Event8000:OnEnd()
end

InitEvent(Event8000);


--[[
Event 8003
Decription: Intendantenauftrag
]]
Event8003 = {id=8003; duration=8; update=7; typ=-1; name="Quest: Livebertragung erwerben"}

function Event8003:OnTrigger()
end

function Event8003:OnBegin()
end

function Event8003:OnUpdate()
	if quest[2] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 10000;
		SetBubble(0, 8004);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8005);
	end
	quest[2] = false;
end

function Event8003:OnEnd()
end

InitEvent(Event8003);

--[[
Event 8009
Decription: Intendantenauftrag
]]
Event8009 = {id=8009; duration=8; update=7; typ=-1; name="Quest: Flyerkampagne"}

function Event8009:OnTrigger()
end

function Event8009:OnBegin()
end

function Event8009:OnUpdate()
	if quest[4] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 5000;
		SetBubble(0, 8010);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8011);
	end
	quest[4] = false;
end

function Event8009:OnEnd()
end

InitEvent(Event8009);


--[[
Event 8012
Decription: Intendantenauftrag
]]
Event8012 = {id=8012; duration=8; update=7; typ=-1; name="Quest: Printkampagne"}

function Event8012:OnTrigger()
end

function Event8012:OnBegin()
end

function Event8012:OnUpdate()
	if quest[5] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 7000;
		SetBubble(0, 8013);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8014);
	end
	quest[5] = false;
end

function Event8012:OnEnd()
end

InitEvent(Event8012);


--[[
Event 8015
Decription: Intendantenauftrag
]]
Event8015 = {id=8015; duration=8; update=7; typ=-1; name="Quest: Plakatkampagne"}

function Event8015:OnTrigger()
end

function Event8015:OnBegin()
end

function Event8015:OnUpdate()
	if quest[6] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 900;
		SetBubble(0, 8016);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8017);
	end
	quest[6] = false;
end

function Event8015:OnEnd()
end

InitEvent(Event8015);


--[[
Event 8018
Decription: Intendantenauftrag
]]
Event8018 = {id=8018; duration=8; update=7; typ=-1; name="Quest: Vergr�ern des Archivbestands"}

function Event8018:OnTrigger()
end

function Event8018:OnBegin()
end

function Event8018:OnUpdate()
	if quest[7] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 10000;
		SetBubble(0, 8019);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8020);
	end
	quest[7] = false;
end

function Event8018:OnEnd()
end

InitEvent(Event8018);


--[[
Event 8021
Decription: Intendantenauftrag
]]
Event8021 = {id=8021; duration=8; update=7; typ=-1; name="Quest: Showsendung einrichten"}

function Event8021:OnTrigger()
end

function Event8021:OnBegin()
end

function Event8021:OnUpdate()
	if quest[8] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 8000;
		SetBubble(0, 8022);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8023);
	end
	quest[8] = false;
end

function Event8021:OnEnd()
end

InitEvent(Event8021);


--[[
Event 8024
Decription: Intendantenauftrag
]]
Event8024 = {id=8024; duration=8; update=7; typ=-1; name="Quest: Infosendung einrichten"}

function Event8024:OnTrigger()
end

function Event8024:OnBegin()
end

function Event8024:OnUpdate()
	if quest[9] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 8000;
		SetBubble(0, 8025);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8026);
	end
	quest[9] = false;
end

function Event8024:OnEnd()
end

InitEvent(Event8024);


--[[
Event 8027
Decription: Intendantenauftrag
]]
Event8027 = {id=8027; duration=8; update=7; typ=-1; name="Quest: Motivation von Angestellten"}

function Event8027:OnTrigger()
end

function Event8027:OnBegin()
end

function Event8027:OnUpdate()
	if quest[10] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 7000;
		SetBubble(0, 8028);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8029);
	end
	quest[10] = false;
end

function Event8027:OnEnd()
end

InitEvent(Event8027);


--[[
Event 8030
Decription: Intendantenauftrag
]]
Event8030 = {id=8030; duration=8; update=7; typ=-1; name="Quest: Lohnerh�ung (m)"}

function Event8030:OnTrigger()
end

function Event8030:OnBegin()
end

function Event8030:OnUpdate()
	if quest[11] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 5000;
		SetBubble(0, 8031);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8032);
	end
	quest[11] = false;
end

function Event8030:OnEnd()
end

InitEvent(Event8030);


--[[
Event 8033
Decription: Intendantenauftrag
]]
Event8033 = {id=8033; duration=8; update=7; typ=-1; name="Quest: Lohnerh�ung (f)"}

function Event8033:OnTrigger()
end

function Event8033:OnBegin()
end

function Event8033:OnUpdate()
	if quest[12] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 5000;
		SetBubble(0, 8034);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8035);
	end
	quest[12] = false;
end

function Event8033:OnEnd()
end

InitEvent(Event8033);


--[[
Event 8036
Decription: Intendantenauftrag
]]
Event8036 = {id=8036; duration=8; update=7; typ=-1; name="Quest: Loben (m)"}

function Event8036:OnTrigger()
end

function Event8036:OnBegin()
end

function Event8036:OnUpdate()
	if quest[13] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 3000;
		SetBubble(0, 8037);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8038);
	end
	quest[13] = false;
end

function Event8036:OnEnd()
end

InitEvent(Event8036);


--[[
Event 8039
Decription: Intendantenauftrag
]]
Event8039 = {id=8039; duration=8; update=7; typ=-1; name="Quest: Loben (f)"}

function Event8039:OnTrigger()
end

function Event8039:OnBegin()
end

function Event8039:OnUpdate()
	if quest[14] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 3000;
		SetBubble(0, 8040);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8041);
	end
	quest[14] = false;
end

function Event8039:OnEnd()
end

InitEvent(Event8039);


--[[
Event 8042
Decription: Intendantenauftrag
]]
Event8042 = {id=8042; duration=8; update=7; typ=-1; name="Quest: Feuern (m)"}

function Event8042:OnTrigger()
end

function Event8042:OnBegin()
end

function Event8042:OnUpdate()
	if quest[15] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 3000;
		SetBubble(0, 8043);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8044);
	end
	quest[15] = false;
end

function Event8042:OnEnd()
end

InitEvent(Event8042);


--[[
Event 8045
Decription: Intendantenauftrag
]]
Event8045 = {id=8045; duration=8; update=7; typ=-1; name="Quest: Feuern (f)"}

function Event8045:OnTrigger()
end

function Event8045:OnBegin()
end

function Event8045:OnUpdate()
	if quest[16] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 3000;
		SetBubble(0, 8046);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8047);
	end
	quest[16] = false;
end

function Event8045:OnEnd()
end

InitEvent(Event8045);


--[[
Event 8048
Decription: Intendantenauftrag
]]
Event8048 = {id=8048; duration=8; update=7; typ=-1; name="Quest: Analyse Film"}

function Event8048:OnTrigger()
end

function Event8048:OnBegin()
end

function Event8048:OnUpdate()
	if quest[17] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 6000;
		SetBubble(0, 8049);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8050);
	end
	quest[17] = false;
end

function Event8048:OnEnd()
end

InitEvent(Event8048);


--[[
Event 8051
Decription: Intendantenauftrag
]]
Event8051 = {id=8051; duration=8; update=7; typ=-1; name="Quest: Analyse Serie"}

function Event8051:OnTrigger()
end

function Event8051:OnBegin()
end

function Event8051:OnUpdate()
	if quest[18] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 6000;
		SetBubble(0, 8052);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8053);
	end
	quest[18] = false;
end

function Event8051:OnEnd()
end

InitEvent(Event8051);


--[[
Event 8054
Decription: Intendantenauftrag
]]
Event8054 = {id=8054; duration=8; update=7; typ=-1; name="Quest: Analyse Show"}

function Event8054:OnTrigger()
end

function Event8054:OnBegin()
end

function Event8054:OnUpdate()
	if quest[19] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 6000;
		SetBubble(0, 8055);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8056);
	end
	quest[19] = false;
end

function Event8054:OnEnd()
end

InitEvent(Event8054);


--[[
Event 8057
Decription: Intendantenauftrag
]]
Event8057 = {id=8057; duration=8; update=7; typ=-1; name="Quest: Analyse Info"}

function Event8057:OnTrigger()
end

function Event8057:OnBegin()
end

function Event8057:OnUpdate()
	if quest[20] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 6000;
		SetBubble(0, 8058);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8059);
	end
	quest[20] = false;
end

function Event8057:OnEnd()
end

InitEvent(Event8057);


--[[
Event 8060
Decription: Intendantenauftrag
]]
Event8060 = {id=8060; duration=8; update=7; typ=-1; name="Quest: Analyse Stadtbev�kerung"}

function Event8060:OnTrigger()
end

function Event8060:OnBegin()
end

function Event8060:OnUpdate()
	if quest[21] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 5000;
		SetBubble(0, 8061);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8062);
	end
	quest[21] = false;
end

function Event8060:OnEnd()
end

InitEvent(Event8060);


--[[
Event 8063
Decription: Intendantenauftrag
]]
Event8063 = {id=8063; duration=8; update=7; typ=-1; name="Quest: Filmproduktion mit Schauspieler (m)"}

function Event8063:OnTrigger()
end

function Event8063:OnBegin()
end

function Event8063:OnUpdate()
	if quest[22] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 10000;
		SetBubble(0, 8064);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8065);
	end
	quest[22] = false;
end

function Event8063:OnEnd()
end

InitEvent(Event8063);


--[[
Event 8066
Decription: Intendantenauftrag
]]
Event8066 = {id=8066; duration=8; update=7; typ=-1; name="Quest: Filmproduktion mit Schauspieler (f)"}

function Event8066:OnTrigger()
end

function Event8066:OnBegin()
end

function Event8066:OnUpdate()
	if quest[23] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 10000;
		SetBubble(0, 8067);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8068);
	end
	quest[23] = false;
end

function Event8066:OnEnd()
end

InitEvent(Event8066);


--[[
Event 8069
Decription: Intendantenauftrag
]]
Event8069 = {id=8069; duration=8; update=7; typ=-1; name="Quest: Filmproduktion mit Regisseur (m)"}

function Event8069:OnTrigger()
end

function Event8069:OnBegin()
end

function Event8069:OnUpdate()
	if quest[24] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 10000;
		SetBubble(0, 8070);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8071);
	end
	quest[24] = false;
end

function Event8069:OnEnd()
end

InitEvent(Event8069);


--[[
Event 8072
Decription: Intendantenauftrag
]]
Event8072 = {id=8072; duration=8; update=7; typ=-1; name="Quest: Filmproduktion mit Regisseur (f)"}

function Event8072:OnTrigger()
end

function Event8072:OnBegin()
end

function Event8072:OnUpdate()
	if quest[25] == true then
		AddFaction(0, BossFactionQuest[1]);
		reward = 10000;
		SetBubble(0, 8073);
	else
		AddFaction(0, BossFactionQuest[2]);
		SetBubble(0, 8074);
	end
	quest[25] = false;
end

function Event8072:OnEnd()
end

InitEvent(Event8072);


Init();